
from sre_constants import MAXREPEAT
from lark.grammar import Rule
from lark.lexer import TerminalDef
from lark import Lark

DATA = ({'parser': {'parser': {'tokens': {0: '$END', 1: 'RBRACE', 2: '__ANON_1', 3: '__ANON_2', 4: '__ANON_0', 5: 'identifier', 6: '__anon_plus_2', 7: '__anon_star_0', 8: 'new_line_or_comment', 9: 'block', 10: 'body', 11: '__ANON_3', 12: 'start', 13: 'attribute', 14: 'one_line_block', 15: '__anon_star_1', 16: 'EQUAL', 17: 'STRING_LIT', 18: 'LBRACE', 19: 'IN', 20: '__ANON_10', 21: 'RPAR', 22: 'MINUS', 23: 'RSQB', 24: 'TRUE', 25: '__ANON_11', 26: 'FALSE', 27: 'NULL', 28: 'FOR', 29: 'BANG', 30: 'DECIMAL', 31: 'LPAR', 32: 'LSQB', 33: 'IF', 34: 'COMMA', 35: 'COLON', 36: 'STAR', 37: 'SLASH', 38: 'LESSTHAN', 39: '__ANON_5', 40: '__ANON_7', 41: '__ANON_9', 42: 'PERCENT', 43: '__ANON_4', 44: '__ANON_12', 45: '__ANON_14', 46: '__ANON_13', 47: 'PLUS', 48: '__ANON_6', 49: 'MORETHAN', 50: '__ANON_8', 51: 'QMARK', 52: 'DOT', 53: 'expr_term', 54: 'object', 55: 'for_object_expr', 56: 'binary_op', 57: 'attr_splat_expr_term', 58: 'function_call', 59: 'int_lit', 60: 'full_splat_expr_term', 61: 'tuple', 62: 'unary_op', 63: '__anon_plus_3', 64: 'float_lit', 65: 'true_lit', 66: 'false_lit', 67: 'heredoc_template_trim', 68: 'heredoc_template', 69: 'expression', 70: 'null_lit', 71: 'for_tuple_expr', 72: 'conditional', 73: 'index_expr_term', 74: 'operation', 75: 'get_attr_expr_term', 76: 'for_intro', 77: 'index', 78: 'get_attr', 79: 'attr_splat', 80: 'full_splat', 81: 'object_elem', 82: 'EXP_MARK', 83: 'binary_operator', 84: 'binary_term', 85: '__anon_star_4', 86: '__anon_star_6', 87: '__anon_star_5', 88: 'new_line_and_or_comma', 89: 'arguments', 90: 'for_cond', 91: '__anon_star_7'}, 'states': {0: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (0, 9), 3: (0, 5), 4: (0, 4), 5: (0, 1), 6: (0, 2), 7: (0, 3), 8: (0, 6), 9: (0, 7), 10: (0, 8), 11: (0, 10), 12: (0, 11), 13: (0, 12), 14: (0, 13)}, 1: {15: (0, 14), 16: (0, 15), 17: (0, 16), 5: (0, 17), 18: (0, 18), 11: (0, 10)}, 2: {18: (1, {'@': 46}), 1: (1, {'@': 46}), 19: (1, {'@': 46}), 20: (1, {'@': 46}), 21: (1, {'@': 46}), 22: (1, {'@': 46}), 23: (1, {'@': 46}), 11: (1, {'@': 46}), 24: (1, {'@': 46}), 25: (1, {'@': 46}), 0: (1, {'@': 46}), 26: (1, {'@': 46}), 2: (0, 21), 27: (1, {'@': 46}), 28: (1, {'@': 46}), 29: (1, {'@': 46}), 30: (1, {'@': 46}), 17: (1, {'@': 46}), 31: (1, {'@': 46}), 32: (1, {'@': 46}), 33: (1, {'@': 46}), 3: (0, 20), 4: (0, 19), 34: (1, {'@': 46})}, 3: {0: (1, {'@': 47}), 1: (1, {'@': 47}), 2: (1, {'@': 47}), 3: (1, {'@': 47}), 4: (1, {'@': 47}), 5: (0, 1), 14: (0, 22), 11: (0, 10), 9: (0, 23), 13: (0, 24)}, 4: {20: (1, {'@': 48}), 21: (1, {'@': 48}), 23: (1, {'@': 48}), 11: (1, {'@': 48}), 24: (1, {'@': 48}), 27: (1, {'@': 48}), 30: (1, {'@': 48}), 17: (1, {'@': 48}), 31: (1, {'@': 48}), 32: (1, {'@': 48}), 3: (1, {'@': 48}), 4: (1, {'@': 48}), 18: (1, {'@': 48}), 1: (1, {'@': 48}), 19: (1, {'@': 48}), 22: (1, {'@': 48}), 25: (1, {'@': 48}), 0: (1, {'@': 48}), 26: (1, {'@': 48}), 2: (1, {'@': 48}), 28: (1, {'@': 48}), 29: (1, {'@': 48}), 33: (1, {'@': 48}), 34: (1, {'@': 48})}, 5: {20: (1, {'@': 49}), 21: (1, {'@': 49}), 23: (1, {'@': 49}), 11: (1, {'@': 49}), 24: (1, {'@': 49}), 27: (1, {'@': 49}), 30: (1, {'@': 49}), 17: (1, {'@': 49}), 31: (1, {'@': 49}), 32: (1, {'@': 49}), 3: (1, {'@': 49}), 4: (1, {'@': 49}), 18: (1, {'@': 49}), 1: (1, {'@': 49}), 19: (1, {'@': 49}), 22: (1, {'@': 49}), 25: (1, {'@': 49}), 0: (1, {'@': 49}), 26: (1, {'@': 49}), 2: (1, {'@': 49}), 28: (1, {'@': 49}), 29: (1, {'@': 49}), 33: (1, {'@': 49}), 34: (1, {'@': 49})}, 6: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 7: (0, 3), 5: (0, 1), 9: (0, 7), 10: (0, 25), 11: (0, 10), 13: (0, 12), 14: (0, 13)}, 7: {11: (1, {'@': 50}), 0: (1, {'@': 50}), 1: (1, {'@': 50}), 2: (1, {'@': 50}), 3: (1, {'@': 50}), 4: (1, {'@': 50})}, 8: {0: (1, {'@': 51}), 6: (0, 2), 4: (0, 4), 3: (0, 5), 2: (0, 9), 8: (0, 26)}, 9: {20: (1, {'@': 52}), 21: (1, {'@': 52}), 23: (1, {'@': 52}), 11: (1, {'@': 52}), 24: (1, {'@': 52}), 27: (1, {'@': 52}), 30: (1, {'@': 52}), 17: (1, {'@': 52}), 31: (1, {'@': 52}), 32: (1, {'@': 52}), 3: (1, {'@': 52}), 4: (1, {'@': 52}), 18: (1, {'@': 52}), 1: (1, {'@': 52}), 19: (1, {'@': 52}), 22: (1, {'@': 52}), 25: (1, {'@': 52}), 0: (1, {'@': 52}), 26: (1, {'@': 52}), 2: (1, {'@': 52}), 28: (1, {'@': 52}), 29: (1, {'@': 52}), 33: (1, {'@': 52}), 34: (1, {'@': 52})}, 10: {16: (1, {'@': 53}), 35: (1, {'@': 53}), 36: (1, {'@': 53}), 20: (1, {'@': 53}), 21: (1, {'@': 53}), 23: (1, {'@': 53}), 11: (1, {'@': 53}), 24: (1, {'@': 53}), 37: (1, {'@': 53}), 27: (1, {'@': 53}), 38: (1, {'@': 53}), 30: (1, {'@': 53}), 17: (1, {'@': 53}), 31: (1, {'@': 53}), 39: (1, {'@': 53}), 40: (1, {'@': 53}), 41: (1, {'@': 53}), 32: (1, {'@': 53}), 42: (1, {'@': 53}), 3: (1, {'@': 53}), 4: (1, {'@': 53}), 43: (1, {'@': 53}), 44: (1, {'@': 53}), 45: (1, {'@': 53}), 18: (1, {'@': 53}), 46: (1, {'@': 53}), 1: (1, {'@': 53}), 47: (1, {'@': 53}), 48: (1, {'@': 53}), 19: (1, {'@': 53}), 22: (1, {'@': 53}), 25: (1, {'@': 53}), 26: (1, {'@': 53}), 2: (1, {'@': 53}), 29: (1, {'@': 53}), 49: (1, {'@': 53}), 50: (1, {'@': 53}), 51: (1, {'@': 53}), 33: (1, {'@': 53}), 52: (1, {'@': 53}), 34: (1, {'@': 53})}, 11: {0: (0, 27)}, 12: {11: (1, {'@': 54}), 0: (1, {'@': 54}), 1: (1, {'@': 54}), 2: (1, {'@': 54}), 3: (1, {'@': 54}), 4: (1, {'@': 54})}, 13: {11: (1, {'@': 55}), 0: (1, {'@': 55}), 1: (1, {'@': 55}), 2: (1, {'@': 55}), 3: (1, {'@': 55}), 4: (1, {'@': 55})}, 14: {18: (0, 28), 17: (0, 29), 5: (0, 30), 11: (0, 10)}, 15: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 69: (0, 56), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 16: {11: (1, {'@': 56}), 18: (1, {'@': 56}), 17: (1, {'@': 56})}, 17: {11: (1, {'@': 57}), 18: (1, {'@': 57}), 17: (1, {'@': 57})}, 18: {1: (0, 67), 6: (0, 2), 4: (0, 4), 5: (0, 68), 8: (0, 69), 3: (0, 5), 2: (0, 9), 11: (0, 10)}, 19: {20: (1, {'@': 58}), 21: (1, {'@': 58}), 23: (1, {'@': 58}), 11: (1, {'@': 58}), 24: (1, {'@': 58}), 27: (1, {'@': 58}), 30: (1, {'@': 58}), 17: (1, {'@': 58}), 31: (1, {'@': 58}), 32: (1, {'@': 58}), 3: (1, {'@': 58}), 4: (1, {'@': 58}), 18: (1, {'@': 58}), 1: (1, {'@': 58}), 19: (1, {'@': 58}), 22: (1, {'@': 58}), 25: (1, {'@': 58}), 0: (1, {'@': 58}), 26: (1, {'@': 58}), 2: (1, {'@': 58}), 28: (1, {'@': 58}), 29: (1, {'@': 58}), 33: (1, {'@': 58}), 34: (1, {'@': 58})}, 20: {20: (1, {'@': 59}), 21: (1, {'@': 59}), 23: (1, {'@': 59}), 11: (1, {'@': 59}), 24: (1, {'@': 59}), 27: (1, {'@': 59}), 30: (1, {'@': 59}), 17: (1, {'@': 59}), 31: (1, {'@': 59}), 32: (1, {'@': 59}), 3: (1, {'@': 59}), 4: (1, {'@': 59}), 18: (1, {'@': 59}), 1: (1, {'@': 59}), 19: (1, {'@': 59}), 22: (1, {'@': 59}), 25: (1, {'@': 59}), 0: (1, {'@': 59}), 26: (1, {'@': 59}), 2: (1, {'@': 59}), 28: (1, {'@': 59}), 29: (1, {'@': 59}), 33: (1, {'@': 59}), 34: (1, {'@': 59})}, 21: {20: (1, {'@': 60}), 21: (1, {'@': 60}), 23: (1, {'@': 60}), 11: (1, {'@': 60}), 24: (1, {'@': 60}), 27: (1, {'@': 60}), 30: (1, {'@': 60}), 17: (1, {'@': 60}), 31: (1, {'@': 60}), 32: (1, {'@': 60}), 3: (1, {'@': 60}), 4: (1, {'@': 60}), 18: (1, {'@': 60}), 1: (1, {'@': 60}), 19: (1, {'@': 60}), 22: (1, {'@': 60}), 25: (1, {'@': 60}), 0: (1, {'@': 60}), 26: (1, {'@': 60}), 2: (1, {'@': 60}), 28: (1, {'@': 60}), 29: (1, {'@': 60}), 33: (1, {'@': 60}), 34: (1, {'@': 60})}, 22: {11: (1, {'@': 61}), 0: (1, {'@': 61}), 1: (1, {'@': 61}), 2: (1, {'@': 61}), 3: (1, {'@': 61}), 4: (1, {'@': 61})}, 23: {11: (1, {'@': 62}), 0: (1, {'@': 62}), 1: (1, {'@': 62}), 2: (1, {'@': 62}), 3: (1, {'@': 62}), 4: (1, {'@': 62})}, 24: {11: (1, {'@': 63}), 0: (1, {'@': 63}), 1: (1, {'@': 63}), 2: (1, {'@': 63}), 3: (1, {'@': 63}), 4: (1, {'@': 63})}, 25: {0: (1, {'@': 64}), 6: (0, 2), 4: (0, 4), 3: (0, 5), 2: (0, 9), 8: (0, 70)}, 26: {0: (1, {'@': 65})}, 27: {}, 28: {1: (0, 71), 8: (0, 72), 6: (0, 2), 5: (0, 73), 4: (0, 4), 3: (0, 5), 2: (0, 9), 11: (0, 10)}, 29: {11: (1, {'@': 66}), 18: (1, {'@': 66}), 17: (1, {'@': 66})}, 30: {11: (1, {'@': 67}), 18: (1, {'@': 67}), 17: (1, {'@': 67})}, 31: {6: (0, 2), 76: (0, 74), 32: (0, 31), 28: (0, 75), 53: (0, 32), 18: (0, 33), 69: (0, 76), 54: (0, 34), 5: (0, 35), 8: (0, 77), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 23: (0, 78), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 32: {35: (1, {'@': 68}), 20: (1, {'@': 68}), 21: (1, {'@': 68}), 23: (1, {'@': 68}), 24: (1, {'@': 68}), 37: (1, {'@': 68}), 38: (1, {'@': 68}), 30: (1, {'@': 68}), 39: (1, {'@': 68}), 32: (0, 79), 3: (1, {'@': 68}), 4: (1, {'@': 68}), 43: (1, {'@': 68}), 45: (1, {'@': 68}), 18: (1, {'@': 68}), 48: (1, {'@': 68}), 22: (1, {'@': 68}), 25: (1, {'@': 68}), 26: (1, {'@': 68}), 49: (1, {'@': 68}), 50: (1, {'@': 68}), 34: (1, {'@': 68}), 16: (1, {'@': 68}), 36: (1, {'@': 68}), 11: (1, {'@': 68}), 27: (1, {'@': 68}), 17: (1, {'@': 68}), 31: (1, {'@': 68}), 40: (1, {'@': 68}), 41: (1, {'@': 68}), 42: (1, {'@': 68}), 44: (1, {'@': 68}), 1: (1, {'@': 68}), 47: (1, {'@': 68}), 2: (1, {'@': 68}), 29: (1, {'@': 68}), 51: (1, {'@': 68}), 33: (1, {'@': 68}), 46: (0, 80), 77: (0, 81), 78: (0, 82), 79: (0, 83), 80: (0, 84), 52: (0, 85)}, 33: {6: (0, 2), 8: (0, 86), 32: (0, 31), 28: (0, 75), 53: (0, 32), 76: (0, 87), 18: (0, 33), 54: (0, 34), 5: (0, 88), 81: (0, 89), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 69: (0, 90), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 67: (0, 53), 1: (0, 91), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 34: {16: (1, {'@': 69}), 35: (1, {'@': 69}), 36: (1, {'@': 69}), 20: (1, {'@': 69}), 21: (1, {'@': 69}), 23: (1, {'@': 69}), 11: (1, {'@': 69}), 24: (1, {'@': 69}), 37: (1, {'@': 69}), 27: (1, {'@': 69}), 38: (1, {'@': 69}), 30: (1, {'@': 69}), 17: (1, {'@': 69}), 31: (1, {'@': 69}), 39: (1, {'@': 69}), 40: (1, {'@': 69}), 41: (1, {'@': 69}), 32: (1, {'@': 69}), 42: (1, {'@': 69}), 3: (1, {'@': 69}), 4: (1, {'@': 69}), 43: (1, {'@': 69}), 44: (1, {'@': 69}), 45: (1, {'@': 69}), 46: (1, {'@': 69}), 18: (1, {'@': 69}), 1: (1, {'@': 69}), 47: (1, {'@': 69}), 48: (1, {'@': 69}), 22: (1, {'@': 69}), 25: (1, {'@': 69}), 26: (1, {'@': 69}), 2: (1, {'@': 69}), 29: (1, {'@': 69}), 49: (1, {'@': 69}), 50: (1, {'@': 69}), 51: (1, {'@': 69}), 33: (1, {'@': 69}), 52: (1, {'@': 69}), 34: (1, {'@': 69})}, 35: {16: (1, {'@': 70}), 35: (1, {'@': 70}), 36: (1, {'@': 70}), 20: (1, {'@': 70}), 21: (1, {'@': 70}), 23: (1, {'@': 70}), 11: (1, {'@': 70}), 24: (1, {'@': 70}), 37: (1, {'@': 70}), 27: (1, {'@': 70}), 38: (1, {'@': 70}), 30: (1, {'@': 70}), 17: (1, {'@': 70}), 31: (0, 92), 39: (1, {'@': 70}), 40: (1, {'@': 70}), 41: (1, {'@': 70}), 32: (1, {'@': 70}), 42: (1, {'@': 70}), 3: (1, {'@': 70}), 4: (1, {'@': 70}), 43: (1, {'@': 70}), 44: (1, {'@': 70}), 45: (1, {'@': 70}), 46: (1, {'@': 70}), 18: (1, {'@': 70}), 1: (1, {'@': 70}), 47: (1, {'@': 70}), 48: (1, {'@': 70}), 22: (1, {'@': 70}), 25: (1, {'@': 70}), 26: (1, {'@': 70}), 2: (1, {'@': 70}), 29: (1, {'@': 70}), 49: (1, {'@': 70}), 50: (1, {'@': 70}), 51: (1, {'@': 70}), 33: (1, {'@': 70}), 52: (1, {'@': 70}), 34: (1, {'@': 70})}, 36: {16: (1, {'@': 71}), 35: (1, {'@': 71}), 36: (1, {'@': 71}), 20: (1, {'@': 71}), 21: (1, {'@': 71}), 23: (1, {'@': 71}), 11: (1, {'@': 71}), 24: (1, {'@': 71}), 37: (1, {'@': 71}), 27: (1, {'@': 71}), 38: (1, {'@': 71}), 30: (1, {'@': 71}), 17: (1, {'@': 71}), 31: (1, {'@': 71}), 39: (1, {'@': 71}), 40: (1, {'@': 71}), 41: (1, {'@': 71}), 32: (1, {'@': 71}), 42: (1, {'@': 71}), 3: (1, {'@': 71}), 4: (1, {'@': 71}), 43: (1, {'@': 71}), 44: (1, {'@': 71}), 45: (1, {'@': 71}), 46: (1, {'@': 71}), 18: (1, {'@': 71}), 1: (1, {'@': 71}), 47: (1, {'@': 71}), 48: (1, {'@': 71}), 22: (1, {'@': 71}), 25: (1, {'@': 71}), 26: (1, {'@': 71}), 2: (1, {'@': 71}), 29: (1, {'@': 71}), 49: (1, {'@': 71}), 50: (1, {'@': 71}), 51: (1, {'@': 71}), 33: (1, {'@': 71}), 52: (1, {'@': 71}), 34: (1, {'@': 71})}, 37: {16: (1, {'@': 72}), 35: (1, {'@': 72}), 36: (1, {'@': 72}), 20: (1, {'@': 72}), 21: (1, {'@': 72}), 23: (1, {'@': 72}), 11: (1, {'@': 72}), 24: (1, {'@': 72}), 37: (1, {'@': 72}), 27: (1, {'@': 72}), 38: (1, {'@': 72}), 30: (1, {'@': 72}), 17: (1, {'@': 72}), 31: (1, {'@': 72}), 39: (1, {'@': 72}), 40: (1, {'@': 72}), 41: (1, {'@': 72}), 32: (1, {'@': 72}), 42: (1, {'@': 72}), 3: (1, {'@': 72}), 4: (1, {'@': 72}), 43: (1, {'@': 72}), 44: (1, {'@': 72}), 45: (1, {'@': 72}), 18: (1, {'@': 72}), 1: (1, {'@': 72}), 47: (1, {'@': 72}), 48: (1, {'@': 72}), 22: (1, {'@': 72}), 25: (1, {'@': 72}), 26: (1, {'@': 72}), 2: (1, {'@': 72}), 29: (1, {'@': 72}), 49: (1, {'@': 72}), 50: (1, {'@': 72}), 51: (1, {'@': 72}), 33: (1, {'@': 72}), 34: (1, {'@': 72})}, 38: {16: (1, {'@': 73}), 35: (1, {'@': 73}), 36: (1, {'@': 73}), 20: (1, {'@': 73}), 21: (1, {'@': 73}), 23: (1, {'@': 73}), 11: (1, {'@': 73}), 24: (1, {'@': 73}), 37: (1, {'@': 73}), 27: (1, {'@': 73}), 38: (1, {'@': 73}), 30: (1, {'@': 73}), 17: (1, {'@': 73}), 31: (1, {'@': 73}), 39: (1, {'@': 73}), 40: (1, {'@': 73}), 41: (1, {'@': 73}), 32: (1, {'@': 73}), 42: (1, {'@': 73}), 3: (1, {'@': 73}), 4: (1, {'@': 73}), 43: (1, {'@': 73}), 44: (1, {'@': 73}), 45: (1, {'@': 73}), 46: (1, {'@': 73}), 18: (1, {'@': 73}), 1: (1, {'@': 73}), 47: (1, {'@': 73}), 48: (1, {'@': 73}), 22: (1, {'@': 73}), 25: (1, {'@': 73}), 26: (1, {'@': 73}), 2: (1, {'@': 73}), 29: (1, {'@': 73}), 49: (1, {'@': 73}), 50: (1, {'@': 73}), 51: (1, {'@': 73}), 33: (1, {'@': 73}), 52: (1, {'@': 73}), 34: (1, {'@': 73})}, 39: {16: (1, {'@': 74}), 35: (1, {'@': 74}), 36: (1, {'@': 74}), 20: (1, {'@': 74}), 21: (1, {'@': 74}), 23: (1, {'@': 74}), 11: (1, {'@': 74}), 24: (1, {'@': 74}), 37: (1, {'@': 74}), 27: (1, {'@': 74}), 38: (1, {'@': 74}), 30: (1, {'@': 74}), 17: (1, {'@': 74}), 31: (1, {'@': 74}), 39: (1, {'@': 74}), 40: (1, {'@': 74}), 41: (1, {'@': 74}), 32: (1, {'@': 74}), 42: (1, {'@': 74}), 3: (1, {'@': 74}), 4: (1, {'@': 74}), 43: (1, {'@': 74}), 44: (1, {'@': 74}), 45: (1, {'@': 74}), 46: (1, {'@': 74}), 18: (1, {'@': 74}), 1: (1, {'@': 74}), 47: (1, {'@': 74}), 48: (1, {'@': 74}), 22: (1, {'@': 74}), 25: (1, {'@': 74}), 26: (1, {'@': 74}), 2: (1, {'@': 74}), 29: (1, {'@': 74}), 49: (1, {'@': 74}), 50: (1, {'@': 74}), 51: (1, {'@': 74}), 33: (1, {'@': 74}), 52: (1, {'@': 74}), 34: (1, {'@': 74})}, 40: {32: (0, 31), 53: (0, 93), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 57: (0, 38), 58: (0, 39), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 73: (0, 62), 24: (0, 64), 75: (0, 65)}, 41: {16: (1, {'@': 75}), 35: (1, {'@': 75}), 36: (1, {'@': 75}), 20: (1, {'@': 75}), 21: (1, {'@': 75}), 23: (1, {'@': 75}), 11: (1, {'@': 75}), 24: (1, {'@': 75}), 37: (1, {'@': 75}), 27: (1, {'@': 75}), 38: (1, {'@': 75}), 30: (1, {'@': 75}), 17: (1, {'@': 75}), 31: (1, {'@': 75}), 39: (1, {'@': 75}), 40: (1, {'@': 75}), 41: (1, {'@': 75}), 32: (1, {'@': 75}), 42: (1, {'@': 75}), 3: (1, {'@': 75}), 4: (1, {'@': 75}), 43: (1, {'@': 75}), 44: (1, {'@': 75}), 45: (1, {'@': 75}), 46: (1, {'@': 75}), 18: (1, {'@': 75}), 1: (1, {'@': 75}), 47: (1, {'@': 75}), 48: (1, {'@': 75}), 22: (1, {'@': 75}), 25: (1, {'@': 75}), 26: (1, {'@': 75}), 2: (1, {'@': 75}), 29: (1, {'@': 75}), 49: (1, {'@': 75}), 50: (1, {'@': 75}), 51: (1, {'@': 75}), 33: (1, {'@': 75}), 52: (1, {'@': 75}), 34: (1, {'@': 75})}, 42: {16: (1, {'@': 76}), 35: (1, {'@': 76}), 36: (1, {'@': 76}), 20: (1, {'@': 76}), 21: (1, {'@': 76}), 23: (1, {'@': 76}), 11: (1, {'@': 76}), 24: (1, {'@': 76}), 37: (1, {'@': 76}), 27: (1, {'@': 76}), 38: (1, {'@': 76}), 30: (1, {'@': 76}), 17: (1, {'@': 76}), 31: (1, {'@': 76}), 39: (1, {'@': 76}), 40: (1, {'@': 76}), 41: (1, {'@': 76}), 32: (1, {'@': 76}), 42: (1, {'@': 76}), 3: (1, {'@': 76}), 4: (1, {'@': 76}), 43: (1, {'@': 76}), 44: (1, {'@': 76}), 45: (1, {'@': 76}), 46: (1, {'@': 76}), 18: (1, {'@': 76}), 1: (1, {'@': 76}), 47: (1, {'@': 76}), 48: (1, {'@': 76}), 22: (1, {'@': 76}), 25: (1, {'@': 76}), 26: (1, {'@': 76}), 2: (1, {'@': 76}), 29: (1, {'@': 76}), 49: (1, {'@': 76}), 50: (1, {'@': 76}), 51: (1, {'@': 76}), 33: (1, {'@': 76}), 52: (1, {'@': 76}), 34: (1, {'@': 76})}, 43: {16: (1, {'@': 77}), 35: (1, {'@': 77}), 36: (1, {'@': 77}), 20: (1, {'@': 77}), 21: (1, {'@': 77}), 23: (1, {'@': 77}), 11: (1, {'@': 77}), 24: (1, {'@': 77}), 37: (1, {'@': 77}), 27: (1, {'@': 77}), 38: (1, {'@': 77}), 30: (1, {'@': 77}), 17: (1, {'@': 77}), 31: (1, {'@': 77}), 39: (1, {'@': 77}), 40: (1, {'@': 77}), 41: (1, {'@': 77}), 32: (1, {'@': 77}), 42: (1, {'@': 77}), 3: (1, {'@': 77}), 4: (1, {'@': 77}), 43: (1, {'@': 77}), 44: (1, {'@': 77}), 45: (1, {'@': 77}), 46: (1, {'@': 77}), 18: (1, {'@': 77}), 1: (1, {'@': 77}), 47: (1, {'@': 77}), 48: (1, {'@': 77}), 22: (1, {'@': 77}), 25: (1, {'@': 77}), 26: (1, {'@': 77}), 2: (1, {'@': 77}), 29: (1, {'@': 77}), 49: (1, {'@': 77}), 50: (1, {'@': 77}), 51: (1, {'@': 77}), 33: (1, {'@': 77}), 52: (1, {'@': 77}), 34: (1, {'@': 77})}, 44: {16: (1, {'@': 78}), 35: (1, {'@': 78}), 36: (1, {'@': 78}), 20: (1, {'@': 78}), 21: (1, {'@': 78}), 23: (1, {'@': 78}), 11: (1, {'@': 78}), 24: (1, {'@': 78}), 37: (1, {'@': 78}), 27: (1, {'@': 78}), 38: (1, {'@': 78}), 30: (1, {'@': 78}), 17: (1, {'@': 78}), 31: (1, {'@': 78}), 39: (1, {'@': 78}), 40: (1, {'@': 78}), 41: (1, {'@': 78}), 32: (1, {'@': 78}), 42: (1, {'@': 78}), 3: (1, {'@': 78}), 4: (1, {'@': 78}), 43: (1, {'@': 78}), 44: (1, {'@': 78}), 45: (1, {'@': 78}), 46: (1, {'@': 78}), 18: (1, {'@': 78}), 1: (1, {'@': 78}), 47: (1, {'@': 78}), 48: (1, {'@': 78}), 22: (1, {'@': 78}), 25: (1, {'@': 78}), 26: (1, {'@': 78}), 2: (1, {'@': 78}), 29: (1, {'@': 78}), 49: (1, {'@': 78}), 50: (1, {'@': 78}), 51: (1, {'@': 78}), 33: (1, {'@': 78}), 52: (1, {'@': 78}), 34: (1, {'@': 78})}, 45: {16: (1, {'@': 79}), 35: (1, {'@': 79}), 36: (1, {'@': 79}), 20: (1, {'@': 79}), 21: (1, {'@': 79}), 23: (1, {'@': 79}), 11: (1, {'@': 79}), 24: (1, {'@': 79}), 37: (1, {'@': 79}), 27: (1, {'@': 79}), 38: (1, {'@': 79}), 30: (1, {'@': 79}), 17: (1, {'@': 79}), 31: (1, {'@': 79}), 39: (1, {'@': 79}), 40: (1, {'@': 79}), 41: (1, {'@': 79}), 32: (1, {'@': 79}), 42: (1, {'@': 79}), 3: (1, {'@': 79}), 4: (1, {'@': 79}), 43: (1, {'@': 79}), 44: (1, {'@': 79}), 45: (1, {'@': 79}), 18: (1, {'@': 79}), 1: (1, {'@': 79}), 47: (1, {'@': 79}), 48: (1, {'@': 79}), 22: (1, {'@': 79}), 25: (1, {'@': 79}), 26: (1, {'@': 79}), 2: (1, {'@': 79}), 29: (1, {'@': 79}), 49: (1, {'@': 79}), 50: (1, {'@': 79}), 51: (1, {'@': 79}), 33: (1, {'@': 79}), 34: (1, {'@': 79})}, 46: {16: (1, {'@': 80}), 35: (1, {'@': 80}), 36: (1, {'@': 80}), 20: (1, {'@': 80}), 21: (1, {'@': 80}), 23: (1, {'@': 80}), 11: (1, {'@': 80}), 24: (1, {'@': 80}), 37: (1, {'@': 80}), 27: (1, {'@': 80}), 38: (1, {'@': 80}), 30: (0, 96), 17: (1, {'@': 80}), 31: (1, {'@': 80}), 39: (1, {'@': 80}), 40: (1, {'@': 80}), 41: (1, {'@': 80}), 32: (1, {'@': 80}), 42: (1, {'@': 80}), 3: (1, {'@': 80}), 4: (1, {'@': 80}), 43: (1, {'@': 80}), 44: (1, {'@': 80}), 45: (1, {'@': 80}), 46: (1, {'@': 80}), 18: (1, {'@': 80}), 1: (1, {'@': 80}), 47: (1, {'@': 80}), 48: (1, {'@': 80}), 22: (1, {'@': 80}), 25: (1, {'@': 80}), 26: (1, {'@': 80}), 2: (1, {'@': 80}), 29: (1, {'@': 80}), 49: (1, {'@': 80}), 50: (1, {'@': 80}), 51: (1, {'@': 80}), 33: (1, {'@': 80}), 52: (0, 94), 34: (1, {'@': 80}), 82: (0, 95)}, 47: {69: (0, 97), 6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 8: (0, 98), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 48: {16: (1, {'@': 81}), 35: (1, {'@': 81}), 36: (1, {'@': 81}), 20: (1, {'@': 81}), 21: (1, {'@': 81}), 23: (1, {'@': 81}), 11: (1, {'@': 81}), 24: (1, {'@': 81}), 37: (1, {'@': 81}), 27: (1, {'@': 81}), 38: (1, {'@': 81}), 30: (1, {'@': 81}), 17: (1, {'@': 81}), 31: (1, {'@': 81}), 39: (1, {'@': 81}), 40: (1, {'@': 81}), 41: (1, {'@': 81}), 32: (1, {'@': 81}), 42: (1, {'@': 81}), 3: (1, {'@': 81}), 4: (1, {'@': 81}), 43: (1, {'@': 81}), 44: (1, {'@': 81}), 45: (1, {'@': 81}), 46: (1, {'@': 81}), 18: (1, {'@': 81}), 1: (1, {'@': 81}), 47: (1, {'@': 81}), 48: (1, {'@': 81}), 22: (1, {'@': 81}), 25: (1, {'@': 81}), 26: (1, {'@': 81}), 2: (1, {'@': 81}), 29: (1, {'@': 81}), 49: (1, {'@': 81}), 50: (1, {'@': 81}), 51: (1, {'@': 81}), 33: (1, {'@': 81}), 52: (1, {'@': 81}), 34: (1, {'@': 81})}, 49: {16: (1, {'@': 82}), 35: (1, {'@': 82}), 36: (1, {'@': 82}), 20: (1, {'@': 82}), 21: (1, {'@': 82}), 23: (1, {'@': 82}), 11: (1, {'@': 82}), 24: (1, {'@': 82}), 37: (1, {'@': 82}), 27: (1, {'@': 82}), 38: (1, {'@': 82}), 30: (1, {'@': 82}), 17: (1, {'@': 82}), 31: (1, {'@': 82}), 39: (1, {'@': 82}), 40: (1, {'@': 82}), 41: (1, {'@': 82}), 32: (1, {'@': 82}), 42: (1, {'@': 82}), 3: (1, {'@': 82}), 4: (1, {'@': 82}), 43: (1, {'@': 82}), 44: (1, {'@': 82}), 45: (1, {'@': 82}), 46: (1, {'@': 82}), 18: (1, {'@': 82}), 1: (1, {'@': 82}), 47: (1, {'@': 82}), 48: (1, {'@': 82}), 22: (1, {'@': 82}), 25: (1, {'@': 82}), 26: (1, {'@': 82}), 2: (1, {'@': 82}), 29: (1, {'@': 82}), 49: (1, {'@': 82}), 50: (1, {'@': 82}), 51: (1, {'@': 82}), 33: (1, {'@': 82}), 52: (1, {'@': 82}), 34: (1, {'@': 82})}, 50: {16: (1, {'@': 83}), 35: (1, {'@': 83}), 36: (1, {'@': 83}), 20: (1, {'@': 83}), 21: (1, {'@': 83}), 23: (1, {'@': 83}), 11: (1, {'@': 83}), 24: (1, {'@': 83}), 37: (1, {'@': 83}), 27: (1, {'@': 83}), 38: (1, {'@': 83}), 30: (1, {'@': 83}), 17: (1, {'@': 83}), 31: (1, {'@': 83}), 39: (1, {'@': 83}), 40: (1, {'@': 83}), 41: (1, {'@': 83}), 32: (1, {'@': 83}), 42: (1, {'@': 83}), 3: (1, {'@': 83}), 4: (1, {'@': 83}), 43: (1, {'@': 83}), 44: (1, {'@': 83}), 45: (1, {'@': 83}), 46: (1, {'@': 83}), 18: (1, {'@': 83}), 1: (1, {'@': 83}), 47: (1, {'@': 83}), 48: (1, {'@': 83}), 22: (1, {'@': 83}), 25: (1, {'@': 83}), 26: (1, {'@': 83}), 2: (1, {'@': 83}), 29: (1, {'@': 83}), 49: (1, {'@': 83}), 50: (1, {'@': 83}), 51: (1, {'@': 83}), 33: (1, {'@': 83}), 52: (1, {'@': 83}), 34: (1, {'@': 83})}, 51: {16: (1, {'@': 84}), 35: (1, {'@': 84}), 36: (1, {'@': 84}), 20: (1, {'@': 84}), 21: (1, {'@': 84}), 23: (1, {'@': 84}), 11: (1, {'@': 84}), 24: (1, {'@': 84}), 37: (1, {'@': 84}), 27: (1, {'@': 84}), 38: (1, {'@': 84}), 30: (1, {'@': 84}), 17: (1, {'@': 84}), 31: (1, {'@': 84}), 39: (1, {'@': 84}), 40: (1, {'@': 84}), 41: (1, {'@': 84}), 32: (1, {'@': 84}), 42: (1, {'@': 84}), 3: (1, {'@': 84}), 4: (1, {'@': 84}), 43: (1, {'@': 84}), 44: (1, {'@': 84}), 45: (1, {'@': 84}), 46: (1, {'@': 84}), 18: (1, {'@': 84}), 1: (1, {'@': 84}), 47: (1, {'@': 84}), 48: (1, {'@': 84}), 22: (1, {'@': 84}), 25: (1, {'@': 84}), 26: (1, {'@': 84}), 2: (1, {'@': 84}), 29: (1, {'@': 84}), 49: (1, {'@': 84}), 50: (1, {'@': 84}), 51: (1, {'@': 84}), 33: (1, {'@': 84}), 52: (1, {'@': 84}), 34: (1, {'@': 84})}, 52: {16: (1, {'@': 85}), 35: (1, {'@': 85}), 36: (1, {'@': 85}), 20: (1, {'@': 85}), 21: (1, {'@': 85}), 23: (1, {'@': 85}), 11: (1, {'@': 85}), 24: (1, {'@': 85}), 37: (1, {'@': 85}), 27: (1, {'@': 85}), 38: (1, {'@': 85}), 30: (1, {'@': 85}), 17: (1, {'@': 85}), 31: (1, {'@': 85}), 39: (1, {'@': 85}), 40: (1, {'@': 85}), 41: (1, {'@': 85}), 32: (1, {'@': 85}), 42: (1, {'@': 85}), 3: (1, {'@': 85}), 4: (1, {'@': 85}), 43: (1, {'@': 85}), 44: (1, {'@': 85}), 45: (1, {'@': 85}), 46: (1, {'@': 85}), 18: (1, {'@': 85}), 1: (1, {'@': 85}), 47: (1, {'@': 85}), 48: (1, {'@': 85}), 22: (1, {'@': 85}), 25: (1, {'@': 85}), 26: (1, {'@': 85}), 2: (1, {'@': 85}), 29: (1, {'@': 85}), 49: (1, {'@': 85}), 50: (1, {'@': 85}), 51: (1, {'@': 85}), 33: (1, {'@': 85}), 52: (1, {'@': 85}), 34: (1, {'@': 85})}, 53: {16: (1, {'@': 86}), 35: (1, {'@': 86}), 36: (1, {'@': 86}), 20: (1, {'@': 86}), 21: (1, {'@': 86}), 23: (1, {'@': 86}), 11: (1, {'@': 86}), 24: (1, {'@': 86}), 37: (1, {'@': 86}), 27: (1, {'@': 86}), 38: (1, {'@': 86}), 30: (1, {'@': 86}), 17: (1, {'@': 86}), 31: (1, {'@': 86}), 39: (1, {'@': 86}), 40: (1, {'@': 86}), 41: (1, {'@': 86}), 32: (1, {'@': 86}), 42: (1, {'@': 86}), 3: (1, {'@': 86}), 4: (1, {'@': 86}), 43: (1, {'@': 86}), 44: (1, {'@': 86}), 45: (1, {'@': 86}), 46: (1, {'@': 86}), 18: (1, {'@': 86}), 1: (1, {'@': 86}), 47: (1, {'@': 86}), 48: (1, {'@': 86}), 22: (1, {'@': 86}), 25: (1, {'@': 86}), 26: (1, {'@': 86}), 2: (1, {'@': 86}), 29: (1, {'@': 86}), 49: (1, {'@': 86}), 50: (1, {'@': 86}), 51: (1, {'@': 86}), 33: (1, {'@': 86}), 52: (1, {'@': 86}), 34: (1, {'@': 86})}, 54: {16: (1, {'@': 87}), 35: (1, {'@': 87}), 36: (1, {'@': 87}), 20: (1, {'@': 87}), 21: (1, {'@': 87}), 23: (1, {'@': 87}), 11: (1, {'@': 87}), 24: (1, {'@': 87}), 37: (1, {'@': 87}), 27: (1, {'@': 87}), 38: (1, {'@': 87}), 30: (1, {'@': 87}), 17: (1, {'@': 87}), 31: (1, {'@': 87}), 39: (1, {'@': 87}), 40: (1, {'@': 87}), 41: (1, {'@': 87}), 32: (1, {'@': 87}), 42: (1, {'@': 87}), 3: (1, {'@': 87}), 4: (1, {'@': 87}), 43: (1, {'@': 87}), 44: (1, {'@': 87}), 45: (1, {'@': 87}), 46: (1, {'@': 87}), 18: (1, {'@': 87}), 1: (1, {'@': 87}), 47: (1, {'@': 87}), 48: (1, {'@': 87}), 22: (1, {'@': 87}), 25: (1, {'@': 87}), 26: (1, {'@': 87}), 2: (1, {'@': 87}), 29: (1, {'@': 87}), 49: (1, {'@': 87}), 50: (1, {'@': 87}), 51: (1, {'@': 87}), 33: (1, {'@': 87}), 52: (1, {'@': 87}), 34: (1, {'@': 87})}, 55: {16: (1, {'@': 88}), 35: (1, {'@': 88}), 36: (1, {'@': 88}), 20: (1, {'@': 88}), 21: (1, {'@': 88}), 23: (1, {'@': 88}), 11: (1, {'@': 88}), 24: (1, {'@': 88}), 37: (1, {'@': 88}), 27: (1, {'@': 88}), 38: (1, {'@': 88}), 30: (1, {'@': 88}), 17: (1, {'@': 88}), 31: (1, {'@': 88}), 39: (1, {'@': 88}), 40: (1, {'@': 88}), 41: (1, {'@': 88}), 32: (1, {'@': 88}), 42: (1, {'@': 88}), 3: (1, {'@': 88}), 4: (1, {'@': 88}), 43: (1, {'@': 88}), 44: (1, {'@': 88}), 45: (1, {'@': 88}), 46: (1, {'@': 88}), 18: (1, {'@': 88}), 1: (1, {'@': 88}), 47: (1, {'@': 88}), 48: (1, {'@': 88}), 22: (1, {'@': 88}), 25: (1, {'@': 88}), 26: (1, {'@': 88}), 2: (1, {'@': 88}), 29: (1, {'@': 88}), 49: (1, {'@': 88}), 50: (1, {'@': 88}), 51: (1, {'@': 88}), 33: (1, {'@': 88}), 52: (1, {'@': 88}), 34: (1, {'@': 88})}, 56: {83: (0, 99), 38: (0, 100), 6: (0, 2), 49: (0, 101), 4: (0, 4), 40: (0, 102), 50: (0, 103), 41: (0, 104), 3: (0, 5), 8: (0, 105), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 2: (0, 9), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 57: {16: (1, {'@': 89}), 35: (1, {'@': 89}), 36: (1, {'@': 89}), 20: (1, {'@': 89}), 21: (1, {'@': 89}), 23: (1, {'@': 89}), 11: (1, {'@': 89}), 24: (1, {'@': 89}), 37: (1, {'@': 89}), 27: (1, {'@': 89}), 38: (1, {'@': 89}), 30: (1, {'@': 89}), 17: (1, {'@': 89}), 31: (1, {'@': 89}), 39: (1, {'@': 89}), 40: (1, {'@': 89}), 41: (1, {'@': 89}), 32: (1, {'@': 89}), 42: (1, {'@': 89}), 3: (1, {'@': 89}), 4: (1, {'@': 89}), 43: (1, {'@': 89}), 44: (1, {'@': 89}), 45: (1, {'@': 89}), 46: (1, {'@': 89}), 18: (1, {'@': 89}), 1: (1, {'@': 89}), 47: (1, {'@': 89}), 48: (1, {'@': 89}), 22: (1, {'@': 89}), 25: (1, {'@': 89}), 26: (1, {'@': 89}), 2: (1, {'@': 89}), 29: (1, {'@': 89}), 49: (1, {'@': 89}), 50: (1, {'@': 89}), 51: (1, {'@': 89}), 33: (1, {'@': 89}), 52: (1, {'@': 89}), 34: (1, {'@': 89})}, 58: {16: (1, {'@': 90}), 35: (1, {'@': 90}), 36: (1, {'@': 90}), 20: (1, {'@': 90}), 21: (1, {'@': 90}), 23: (1, {'@': 90}), 11: (1, {'@': 90}), 24: (1, {'@': 90}), 37: (1, {'@': 90}), 27: (1, {'@': 90}), 38: (1, {'@': 90}), 30: (1, {'@': 90}), 17: (1, {'@': 90}), 31: (1, {'@': 90}), 39: (1, {'@': 90}), 40: (1, {'@': 90}), 41: (1, {'@': 90}), 32: (1, {'@': 90}), 42: (1, {'@': 90}), 3: (1, {'@': 90}), 4: (1, {'@': 90}), 43: (1, {'@': 90}), 44: (1, {'@': 90}), 45: (1, {'@': 90}), 46: (1, {'@': 90}), 18: (1, {'@': 90}), 1: (1, {'@': 90}), 47: (1, {'@': 90}), 48: (1, {'@': 90}), 22: (1, {'@': 90}), 25: (1, {'@': 90}), 26: (1, {'@': 90}), 2: (1, {'@': 90}), 29: (1, {'@': 90}), 49: (1, {'@': 90}), 50: (1, {'@': 90}), 51: (1, {'@': 90}), 33: (1, {'@': 90}), 52: (1, {'@': 90}), 34: (1, {'@': 90})}, 59: {16: (1, {'@': 91}), 35: (1, {'@': 91}), 36: (1, {'@': 91}), 20: (1, {'@': 91}), 21: (1, {'@': 91}), 23: (1, {'@': 91}), 11: (1, {'@': 91}), 24: (1, {'@': 91}), 37: (1, {'@': 91}), 27: (1, {'@': 91}), 38: (1, {'@': 91}), 30: (1, {'@': 91}), 17: (1, {'@': 91}), 31: (1, {'@': 91}), 39: (1, {'@': 91}), 40: (1, {'@': 91}), 41: (1, {'@': 91}), 32: (1, {'@': 91}), 42: (1, {'@': 91}), 3: (1, {'@': 91}), 4: (1, {'@': 91}), 43: (1, {'@': 91}), 44: (1, {'@': 91}), 45: (1, {'@': 91}), 46: (1, {'@': 91}), 18: (1, {'@': 91}), 1: (1, {'@': 91}), 47: (1, {'@': 91}), 48: (1, {'@': 91}), 22: (1, {'@': 91}), 25: (1, {'@': 91}), 26: (1, {'@': 91}), 2: (1, {'@': 91}), 29: (1, {'@': 91}), 49: (1, {'@': 91}), 50: (1, {'@': 91}), 82: (1, {'@': 91}), 51: (1, {'@': 91}), 33: (1, {'@': 91}), 52: (1, {'@': 91}), 34: (1, {'@': 91})}, 60: {16: (1, {'@': 92}), 35: (1, {'@': 92}), 36: (1, {'@': 92}), 20: (1, {'@': 92}), 21: (1, {'@': 92}), 23: (1, {'@': 92}), 11: (1, {'@': 92}), 24: (1, {'@': 92}), 37: (1, {'@': 92}), 27: (1, {'@': 92}), 38: (1, {'@': 92}), 30: (1, {'@': 92}), 17: (1, {'@': 92}), 31: (1, {'@': 92}), 39: (1, {'@': 92}), 40: (1, {'@': 92}), 41: (1, {'@': 92}), 32: (1, {'@': 92}), 42: (1, {'@': 92}), 3: (1, {'@': 92}), 4: (1, {'@': 92}), 43: (1, {'@': 92}), 44: (1, {'@': 92}), 45: (1, {'@': 92}), 46: (1, {'@': 92}), 18: (1, {'@': 92}), 1: (1, {'@': 92}), 47: (1, {'@': 92}), 48: (1, {'@': 92}), 22: (1, {'@': 92}), 25: (1, {'@': 92}), 26: (1, {'@': 92}), 2: (1, {'@': 92}), 29: (1, {'@': 92}), 49: (1, {'@': 92}), 50: (1, {'@': 92}), 51: (1, {'@': 92}), 33: (1, {'@': 92}), 52: (1, {'@': 92}), 34: (1, {'@': 92})}, 61: {35: (1, {'@': 93}), 20: (1, {'@': 93}), 21: (1, {'@': 93}), 23: (1, {'@': 93}), 24: (1, {'@': 93}), 37: (1, {'@': 93}), 38: (1, {'@': 93}), 30: (1, {'@': 93}), 39: (1, {'@': 93}), 32: (1, {'@': 93}), 3: (1, {'@': 93}), 4: (1, {'@': 93}), 43: (1, {'@': 93}), 45: (1, {'@': 93}), 18: (1, {'@': 93}), 48: (1, {'@': 93}), 22: (1, {'@': 93}), 25: (1, {'@': 93}), 26: (1, {'@': 93}), 49: (1, {'@': 93}), 50: (1, {'@': 93}), 34: (1, {'@': 93}), 16: (1, {'@': 93}), 36: (1, {'@': 93}), 11: (1, {'@': 93}), 27: (1, {'@': 93}), 17: (1, {'@': 93}), 31: (1, {'@': 93}), 40: (1, {'@': 93}), 41: (1, {'@': 93}), 42: (1, {'@': 93}), 44: (1, {'@': 93}), 1: (1, {'@': 93}), 47: (1, {'@': 93}), 2: (1, {'@': 93}), 29: (1, {'@': 93}), 51: (1, {'@': 93}), 33: (1, {'@': 93})}, 62: {16: (1, {'@': 94}), 35: (1, {'@': 94}), 36: (1, {'@': 94}), 20: (1, {'@': 94}), 21: (1, {'@': 94}), 23: (1, {'@': 94}), 11: (1, {'@': 94}), 24: (1, {'@': 94}), 37: (1, {'@': 94}), 27: (1, {'@': 94}), 38: (1, {'@': 94}), 30: (1, {'@': 94}), 17: (1, {'@': 94}), 31: (1, {'@': 94}), 39: (1, {'@': 94}), 40: (1, {'@': 94}), 41: (1, {'@': 94}), 32: (1, {'@': 94}), 42: (1, {'@': 94}), 3: (1, {'@': 94}), 4: (1, {'@': 94}), 43: (1, {'@': 94}), 44: (1, {'@': 94}), 45: (1, {'@': 94}), 46: (1, {'@': 94}), 18: (1, {'@': 94}), 1: (1, {'@': 94}), 47: (1, {'@': 94}), 48: (1, {'@': 94}), 22: (1, {'@': 94}), 25: (1, {'@': 94}), 26: (1, {'@': 94}), 2: (1, {'@': 94}), 29: (1, {'@': 94}), 49: (1, {'@': 94}), 50: (1, {'@': 94}), 51: (1, {'@': 94}), 33: (1, {'@': 94}), 52: (1, {'@': 94}), 34: (1, {'@': 94})}, 63: {35: (1, {'@': 95}), 20: (1, {'@': 95}), 21: (1, {'@': 95}), 23: (1, {'@': 95}), 24: (1, {'@': 95}), 37: (1, {'@': 95}), 38: (1, {'@': 95}), 30: (1, {'@': 95}), 39: (1, {'@': 95}), 32: (1, {'@': 95}), 3: (1, {'@': 95}), 4: (1, {'@': 95}), 43: (1, {'@': 95}), 45: (1, {'@': 95}), 18: (1, {'@': 95}), 48: (1, {'@': 95}), 22: (1, {'@': 95}), 25: (1, {'@': 95}), 26: (1, {'@': 95}), 49: (1, {'@': 95}), 50: (1, {'@': 95}), 34: (1, {'@': 95}), 16: (1, {'@': 95}), 36: (1, {'@': 95}), 11: (1, {'@': 95}), 27: (1, {'@': 95}), 17: (1, {'@': 95}), 31: (1, {'@': 95}), 40: (1, {'@': 95}), 41: (1, {'@': 95}), 42: (1, {'@': 95}), 44: (1, {'@': 95}), 1: (1, {'@': 95}), 47: (1, {'@': 95}), 2: (1, {'@': 95}), 29: (1, {'@': 95}), 51: (1, {'@': 95}), 33: (1, {'@': 95})}, 64: {16: (1, {'@': 96}), 35: (1, {'@': 96}), 36: (1, {'@': 96}), 20: (1, {'@': 96}), 21: (1, {'@': 96}), 23: (1, {'@': 96}), 11: (1, {'@': 96}), 24: (1, {'@': 96}), 37: (1, {'@': 96}), 27: (1, {'@': 96}), 38: (1, {'@': 96}), 30: (1, {'@': 96}), 17: (1, {'@': 96}), 31: (1, {'@': 96}), 39: (1, {'@': 96}), 40: (1, {'@': 96}), 41: (1, {'@': 96}), 32: (1, {'@': 96}), 42: (1, {'@': 96}), 3: (1, {'@': 96}), 4: (1, {'@': 96}), 43: (1, {'@': 96}), 44: (1, {'@': 96}), 45: (1, {'@': 96}), 46: (1, {'@': 96}), 18: (1, {'@': 96}), 1: (1, {'@': 96}), 47: (1, {'@': 96}), 48: (1, {'@': 96}), 22: (1, {'@': 96}), 25: (1, {'@': 96}), 26: (1, {'@': 96}), 2: (1, {'@': 96}), 29: (1, {'@': 96}), 49: (1, {'@': 96}), 50: (1, {'@': 96}), 51: (1, {'@': 96}), 33: (1, {'@': 96}), 52: (1, {'@': 96}), 34: (1, {'@': 96})}, 65: {16: (1, {'@': 97}), 35: (1, {'@': 97}), 36: (1, {'@': 97}), 20: (1, {'@': 97}), 21: (1, {'@': 97}), 23: (1, {'@': 97}), 11: (1, {'@': 97}), 24: (1, {'@': 97}), 37: (1, {'@': 97}), 27: (1, {'@': 97}), 38: (1, {'@': 97}), 30: (1, {'@': 97}), 17: (1, {'@': 97}), 31: (1, {'@': 97}), 39: (1, {'@': 97}), 40: (1, {'@': 97}), 41: (1, {'@': 97}), 32: (1, {'@': 97}), 42: (1, {'@': 97}), 3: (1, {'@': 97}), 4: (1, {'@': 97}), 43: (1, {'@': 97}), 44: (1, {'@': 97}), 45: (1, {'@': 97}), 46: (1, {'@': 97}), 18: (1, {'@': 97}), 1: (1, {'@': 97}), 47: (1, {'@': 97}), 48: (1, {'@': 97}), 22: (1, {'@': 97}), 25: (1, {'@': 97}), 26: (1, {'@': 97}), 2: (1, {'@': 97}), 29: (1, {'@': 97}), 49: (1, {'@': 97}), 50: (1, {'@': 97}), 51: (1, {'@': 97}), 33: (1, {'@': 97}), 52: (1, {'@': 97}), 34: (1, {'@': 97})}, 66: {32: (0, 31), 53: (0, 116), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 57: (0, 38), 58: (0, 39), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 73: (0, 62), 24: (0, 64), 75: (0, 65)}, 67: {6: (0, 2), 8: (0, 117), 4: (0, 4), 3: (0, 5), 2: (0, 9)}, 68: {16: (0, 118)}, 69: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 7: (0, 3), 5: (0, 1), 9: (0, 7), 11: (0, 10), 13: (0, 12), 10: (0, 119), 14: (0, 13)}, 70: {0: (1, {'@': 98})}, 71: {6: (0, 2), 4: (0, 4), 3: (0, 5), 2: (0, 9), 8: (0, 120)}, 72: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 7: (0, 3), 5: (0, 1), 9: (0, 7), 11: (0, 10), 13: (0, 12), 14: (0, 13), 10: (0, 121)}, 73: {16: (0, 122)}, 74: {6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 69: (0, 123), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 8: (0, 124), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 75: {5: (0, 125), 6: (0, 2), 8: (0, 126), 4: (0, 4), 3: (0, 5), 2: (0, 9), 11: (0, 10)}, 76: {83: (0, 99), 38: (0, 100), 6: (0, 2), 40: (0, 102), 34: (0, 127), 85: (0, 128), 8: (0, 129), 36: (0, 106), 47: (0, 113), 42: (0, 115), 4: (0, 4), 49: (0, 101), 3: (0, 5), 50: (0, 103), 41: (0, 104), 51: (0, 107), 22: (0, 108), 23: (0, 130), 84: (0, 109), 2: (0, 9), 43: (0, 110), 37: (0, 111), 48: (0, 112), 39: (0, 114)}, 77: {69: (0, 131), 32: (0, 31), 28: (0, 75), 53: (0, 32), 18: (0, 33), 76: (0, 132), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 23: (0, 133), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 78: {16: (1, {'@': 99}), 35: (1, {'@': 99}), 36: (1, {'@': 99}), 20: (1, {'@': 99}), 21: (1, {'@': 99}), 23: (1, {'@': 99}), 11: (1, {'@': 99}), 24: (1, {'@': 99}), 37: (1, {'@': 99}), 27: (1, {'@': 99}), 38: (1, {'@': 99}), 30: (1, {'@': 99}), 17: (1, {'@': 99}), 31: (1, {'@': 99}), 39: (1, {'@': 99}), 40: (1, {'@': 99}), 41: (1, {'@': 99}), 32: (1, {'@': 99}), 42: (1, {'@': 99}), 3: (1, {'@': 99}), 4: (1, {'@': 99}), 43: (1, {'@': 99}), 44: (1, {'@': 99}), 45: (1, {'@': 99}), 46: (1, {'@': 99}), 18: (1, {'@': 99}), 1: (1, {'@': 99}), 47: (1, {'@': 99}), 48: (1, {'@': 99}), 22: (1, {'@': 99}), 25: (1, {'@': 99}), 26: (1, {'@': 99}), 2: (1, {'@': 99}), 29: (1, {'@': 99}), 49: (1, {'@': 99}), 50: (1, {'@': 99}), 51: (1, {'@': 99}), 33: (1, {'@': 99}), 52: (1, {'@': 99}), 34: (1, {'@': 99})}, 79: {6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 36: (0, 134), 55: (0, 36), 69: (0, 135), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 8: (0, 136), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 80: {16: (1, {'@': 100}), 35: (1, {'@': 100}), 36: (1, {'@': 100}), 20: (1, {'@': 100}), 21: (1, {'@': 100}), 23: (1, {'@': 100}), 11: (1, {'@': 100}), 24: (1, {'@': 100}), 37: (1, {'@': 100}), 27: (1, {'@': 100}), 38: (1, {'@': 100}), 30: (1, {'@': 100}), 17: (1, {'@': 100}), 31: (1, {'@': 100}), 39: (1, {'@': 100}), 40: (1, {'@': 100}), 41: (1, {'@': 100}), 32: (1, {'@': 100}), 42: (1, {'@': 100}), 3: (1, {'@': 100}), 4: (1, {'@': 100}), 43: (1, {'@': 100}), 44: (1, {'@': 100}), 45: (1, {'@': 100}), 46: (1, {'@': 100}), 18: (1, {'@': 100}), 1: (1, {'@': 100}), 47: (1, {'@': 100}), 48: (1, {'@': 100}), 22: (1, {'@': 100}), 25: (1, {'@': 100}), 26: (1, {'@': 100}), 2: (1, {'@': 100}), 29: (1, {'@': 100}), 49: (1, {'@': 100}), 50: (1, {'@': 100}), 51: (1, {'@': 100}), 33: (1, {'@': 100}), 52: (0, 85), 34: (1, {'@': 100}), 78: (0, 137), 86: (0, 138)}, 81: {16: (1, {'@': 101}), 35: (1, {'@': 101}), 36: (1, {'@': 101}), 20: (1, {'@': 101}), 21: (1, {'@': 101}), 23: (1, {'@': 101}), 11: (1, {'@': 101}), 24: (1, {'@': 101}), 37: (1, {'@': 101}), 27: (1, {'@': 101}), 38: (1, {'@': 101}), 30: (1, {'@': 101}), 17: (1, {'@': 101}), 31: (1, {'@': 101}), 39: (1, {'@': 101}), 40: (1, {'@': 101}), 41: (1, {'@': 101}), 32: (1, {'@': 101}), 42: (1, {'@': 101}), 3: (1, {'@': 101}), 4: (1, {'@': 101}), 43: (1, {'@': 101}), 44: (1, {'@': 101}), 45: (1, {'@': 101}), 46: (1, {'@': 101}), 18: (1, {'@': 101}), 1: (1, {'@': 101}), 47: (1, {'@': 101}), 48: (1, {'@': 101}), 22: (1, {'@': 101}), 25: (1, {'@': 101}), 26: (1, {'@': 101}), 2: (1, {'@': 101}), 29: (1, {'@': 101}), 49: (1, {'@': 101}), 50: (1, {'@': 101}), 51: (1, {'@': 101}), 33: (1, {'@': 101}), 52: (1, {'@': 101}), 34: (1, {'@': 101})}, 82: {16: (1, {'@': 102}), 35: (1, {'@': 102}), 36: (1, {'@': 102}), 20: (1, {'@': 102}), 21: (1, {'@': 102}), 23: (1, {'@': 102}), 11: (1, {'@': 102}), 24: (1, {'@': 102}), 37: (1, {'@': 102}), 27: (1, {'@': 102}), 38: (1, {'@': 102}), 30: (1, {'@': 102}), 17: (1, {'@': 102}), 31: (1, {'@': 102}), 39: (1, {'@': 102}), 40: (1, {'@': 102}), 41: (1, {'@': 102}), 32: (1, {'@': 102}), 42: (1, {'@': 102}), 3: (1, {'@': 102}), 4: (1, {'@': 102}), 43: (1, {'@': 102}), 44: (1, {'@': 102}), 45: (1, {'@': 102}), 46: (1, {'@': 102}), 18: (1, {'@': 102}), 1: (1, {'@': 102}), 47: (1, {'@': 102}), 48: (1, {'@': 102}), 22: (1, {'@': 102}), 25: (1, {'@': 102}), 26: (1, {'@': 102}), 2: (1, {'@': 102}), 29: (1, {'@': 102}), 49: (1, {'@': 102}), 50: (1, {'@': 102}), 51: (1, {'@': 102}), 33: (1, {'@': 102}), 52: (1, {'@': 102}), 34: (1, {'@': 102})}, 83: {16: (1, {'@': 103}), 35: (1, {'@': 103}), 36: (1, {'@': 103}), 20: (1, {'@': 103}), 21: (1, {'@': 103}), 23: (1, {'@': 103}), 11: (1, {'@': 103}), 24: (1, {'@': 103}), 37: (1, {'@': 103}), 27: (1, {'@': 103}), 38: (1, {'@': 103}), 30: (1, {'@': 103}), 17: (1, {'@': 103}), 31: (1, {'@': 103}), 39: (1, {'@': 103}), 40: (1, {'@': 103}), 41: (1, {'@': 103}), 32: (1, {'@': 103}), 42: (1, {'@': 103}), 3: (1, {'@': 103}), 4: (1, {'@': 103}), 43: (1, {'@': 103}), 44: (1, {'@': 103}), 45: (1, {'@': 103}), 46: (1, {'@': 103}), 18: (1, {'@': 103}), 1: (1, {'@': 103}), 47: (1, {'@': 103}), 48: (1, {'@': 103}), 22: (1, {'@': 103}), 25: (1, {'@': 103}), 26: (1, {'@': 103}), 2: (1, {'@': 103}), 29: (1, {'@': 103}), 49: (1, {'@': 103}), 50: (1, {'@': 103}), 51: (1, {'@': 103}), 33: (1, {'@': 103}), 52: (1, {'@': 103}), 34: (1, {'@': 103})}, 84: {16: (1, {'@': 104}), 35: (1, {'@': 104}), 36: (1, {'@': 104}), 20: (1, {'@': 104}), 21: (1, {'@': 104}), 23: (1, {'@': 104}), 11: (1, {'@': 104}), 24: (1, {'@': 104}), 37: (1, {'@': 104}), 27: (1, {'@': 104}), 38: (1, {'@': 104}), 30: (1, {'@': 104}), 17: (1, {'@': 104}), 31: (1, {'@': 104}), 39: (1, {'@': 104}), 40: (1, {'@': 104}), 41: (1, {'@': 104}), 32: (1, {'@': 104}), 42: (1, {'@': 104}), 3: (1, {'@': 104}), 4: (1, {'@': 104}), 43: (1, {'@': 104}), 44: (1, {'@': 104}), 45: (1, {'@': 104}), 46: (1, {'@': 104}), 18: (1, {'@': 104}), 1: (1, {'@': 104}), 47: (1, {'@': 104}), 48: (1, {'@': 104}), 22: (1, {'@': 104}), 25: (1, {'@': 104}), 26: (1, {'@': 104}), 2: (1, {'@': 104}), 29: (1, {'@': 104}), 49: (1, {'@': 104}), 50: (1, {'@': 104}), 51: (1, {'@': 104}), 33: (1, {'@': 104}), 52: (1, {'@': 104}), 34: (1, {'@': 104})}, 85: {5: (0, 139), 11: (0, 10)}, 86: {76: (0, 140), 32: (0, 31), 28: (0, 75), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 88), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 69: (0, 90), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 81: (0, 141), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 87: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 69: (0, 142), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 88: {16: (0, 145), 35: (1, {'@': 70}), 36: (1, {'@': 70}), 20: (0, 60), 21: (1, {'@': 70}), 23: (1, {'@': 70}), 11: (0, 10), 24: (0, 64), 37: (1, {'@': 70}), 27: (0, 48), 38: (1, {'@': 70}), 30: (0, 59), 17: (0, 41), 31: (0, 144), 39: (1, {'@': 70}), 40: (1, {'@': 70}), 41: (1, {'@': 70}), 32: (0, 31), 42: (1, {'@': 70}), 3: (1, {'@': 70}), 4: (1, {'@': 70}), 43: (1, {'@': 70}), 44: (1, {'@': 70}), 45: (1, {'@': 70}), 46: (1, {'@': 70}), 18: (0, 33), 1: (1, {'@': 70}), 47: (1, {'@': 70}), 48: (1, {'@': 70}), 22: (0, 40), 25: (0, 49), 26: (0, 55), 2: (1, {'@': 70}), 29: (0, 66), 49: (1, {'@': 70}), 50: (1, {'@': 70}), 51: (1, {'@': 70}), 33: (1, {'@': 70}), 52: (1, {'@': 70}), 34: (1, {'@': 70}), 53: (0, 32), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 69: (0, 143), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 70: (0, 57), 71: (0, 58), 72: (0, 61), 73: (0, 62), 74: (0, 63), 75: (0, 65)}, 89: {87: (0, 146), 6: (0, 2), 8: (0, 147), 34: (0, 148), 4: (0, 4), 3: (0, 5), 88: (0, 149), 2: (0, 9), 1: (0, 150)}, 90: {32: (0, 31), 36: (0, 106), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 42: (0, 115), 55: (0, 36), 56: (0, 37), 57: (0, 38), 83: (0, 99), 58: (0, 39), 22: (0, 151), 39: (0, 114), 17: (0, 41), 59: (0, 42), 38: (0, 100), 60: (0, 43), 61: (0, 44), 62: (0, 45), 41: (0, 104), 63: (0, 46), 51: (0, 107), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 43: (0, 110), 64: (0, 50), 65: (0, 51), 40: (0, 102), 47: (0, 113), 66: (0, 52), 49: (0, 101), 67: (0, 53), 84: (0, 109), 68: (0, 54), 26: (0, 55), 48: (0, 112), 69: (0, 152), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 16: (0, 153), 50: (0, 103), 72: (0, 61), 73: (0, 62), 74: (0, 63), 37: (0, 111), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 91: {16: (1, {'@': 105}), 35: (1, {'@': 105}), 36: (1, {'@': 105}), 20: (1, {'@': 105}), 21: (1, {'@': 105}), 23: (1, {'@': 105}), 11: (1, {'@': 105}), 24: (1, {'@': 105}), 37: (1, {'@': 105}), 27: (1, {'@': 105}), 38: (1, {'@': 105}), 30: (1, {'@': 105}), 17: (1, {'@': 105}), 31: (1, {'@': 105}), 39: (1, {'@': 105}), 40: (1, {'@': 105}), 41: (1, {'@': 105}), 32: (1, {'@': 105}), 42: (1, {'@': 105}), 3: (1, {'@': 105}), 4: (1, {'@': 105}), 43: (1, {'@': 105}), 44: (1, {'@': 105}), 45: (1, {'@': 105}), 46: (1, {'@': 105}), 18: (1, {'@': 105}), 1: (1, {'@': 105}), 47: (1, {'@': 105}), 48: (1, {'@': 105}), 22: (1, {'@': 105}), 25: (1, {'@': 105}), 26: (1, {'@': 105}), 2: (1, {'@': 105}), 29: (1, {'@': 105}), 49: (1, {'@': 105}), 50: (1, {'@': 105}), 51: (1, {'@': 105}), 33: (1, {'@': 105}), 52: (1, {'@': 105}), 34: (1, {'@': 105})}, 92: {6: (0, 2), 69: (0, 154), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 8: (0, 155), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 89: (0, 156), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 21: (0, 157), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 93: {16: (1, {'@': 106}), 35: (1, {'@': 106}), 36: (1, {'@': 106}), 20: (1, {'@': 106}), 21: (1, {'@': 106}), 23: (1, {'@': 106}), 11: (1, {'@': 106}), 24: (1, {'@': 106}), 37: (1, {'@': 106}), 27: (1, {'@': 106}), 38: (1, {'@': 106}), 30: (1, {'@': 106}), 17: (1, {'@': 106}), 31: (1, {'@': 106}), 39: (1, {'@': 106}), 40: (1, {'@': 106}), 41: (1, {'@': 106}), 32: (0, 79), 42: (1, {'@': 106}), 3: (1, {'@': 106}), 4: (1, {'@': 106}), 43: (1, {'@': 106}), 44: (1, {'@': 106}), 45: (1, {'@': 106}), 18: (1, {'@': 106}), 1: (1, {'@': 106}), 47: (1, {'@': 106}), 48: (1, {'@': 106}), 22: (1, {'@': 106}), 25: (1, {'@': 106}), 26: (1, {'@': 106}), 2: (1, {'@': 106}), 29: (1, {'@': 106}), 49: (1, {'@': 106}), 50: (1, {'@': 106}), 51: (1, {'@': 106}), 33: (1, {'@': 106}), 34: (1, {'@': 106}), 46: (0, 80), 77: (0, 81), 78: (0, 82), 79: (0, 83), 80: (0, 84), 52: (0, 85)}, 94: {63: (0, 158), 30: (0, 59)}, 95: {63: (0, 159), 30: (0, 59)}, 96: {16: (1, {'@': 107}), 35: (1, {'@': 107}), 36: (1, {'@': 107}), 20: (1, {'@': 107}), 21: (1, {'@': 107}), 23: (1, {'@': 107}), 11: (1, {'@': 107}), 24: (1, {'@': 107}), 37: (1, {'@': 107}), 27: (1, {'@': 107}), 38: (1, {'@': 107}), 30: (1, {'@': 107}), 17: (1, {'@': 107}), 31: (1, {'@': 107}), 39: (1, {'@': 107}), 40: (1, {'@': 107}), 41: (1, {'@': 107}), 32: (1, {'@': 107}), 42: (1, {'@': 107}), 3: (1, {'@': 107}), 4: (1, {'@': 107}), 43: (1, {'@': 107}), 44: (1, {'@': 107}), 45: (1, {'@': 107}), 46: (1, {'@': 107}), 18: (1, {'@': 107}), 1: (1, {'@': 107}), 47: (1, {'@': 107}), 48: (1, {'@': 107}), 22: (1, {'@': 107}), 25: (1, {'@': 107}), 26: (1, {'@': 107}), 2: (1, {'@': 107}), 29: (1, {'@': 107}), 49: (1, {'@': 107}), 50: (1, {'@': 107}), 82: (1, {'@': 107}), 51: (1, {'@': 107}), 33: (1, {'@': 107}), 52: (1, {'@': 107}), 34: (1, {'@': 107})}, 97: {83: (0, 99), 38: (0, 100), 6: (0, 2), 4: (0, 4), 49: (0, 101), 3: (0, 5), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 21: (0, 160), 22: (0, 108), 84: (0, 109), 2: (0, 9), 8: (0, 161), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 98: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 69: (0, 162), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 99: {6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 69: (0, 163), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 8: (0, 164), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 100: {18: (1, {'@': 108}), 20: (1, {'@': 108}), 22: (1, {'@': 108}), 11: (1, {'@': 108}), 24: (1, {'@': 108}), 25: (1, {'@': 108}), 26: (1, {'@': 108}), 2: (1, {'@': 108}), 27: (1, {'@': 108}), 29: (1, {'@': 108}), 30: (1, {'@': 108}), 17: (1, {'@': 108}), 31: (1, {'@': 108}), 32: (1, {'@': 108}), 3: (1, {'@': 108}), 4: (1, {'@': 108})}, 101: {18: (1, {'@': 109}), 20: (1, {'@': 109}), 22: (1, {'@': 109}), 11: (1, {'@': 109}), 24: (1, {'@': 109}), 25: (1, {'@': 109}), 26: (1, {'@': 109}), 2: (1, {'@': 109}), 27: (1, {'@': 109}), 29: (1, {'@': 109}), 30: (1, {'@': 109}), 17: (1, {'@': 109}), 31: (1, {'@': 109}), 32: (1, {'@': 109}), 3: (1, {'@': 109}), 4: (1, {'@': 109})}, 102: {18: (1, {'@': 110}), 20: (1, {'@': 110}), 22: (1, {'@': 110}), 11: (1, {'@': 110}), 24: (1, {'@': 110}), 25: (1, {'@': 110}), 26: (1, {'@': 110}), 2: (1, {'@': 110}), 27: (1, {'@': 110}), 29: (1, {'@': 110}), 30: (1, {'@': 110}), 17: (1, {'@': 110}), 31: (1, {'@': 110}), 32: (1, {'@': 110}), 3: (1, {'@': 110}), 4: (1, {'@': 110})}, 103: {18: (1, {'@': 111}), 20: (1, {'@': 111}), 22: (1, {'@': 111}), 11: (1, {'@': 111}), 24: (1, {'@': 111}), 25: (1, {'@': 111}), 26: (1, {'@': 111}), 2: (1, {'@': 111}), 27: (1, {'@': 111}), 29: (1, {'@': 111}), 30: (1, {'@': 111}), 17: (1, {'@': 111}), 31: (1, {'@': 111}), 32: (1, {'@': 111}), 3: (1, {'@': 111}), 4: (1, {'@': 111})}, 104: {18: (1, {'@': 112}), 20: (1, {'@': 112}), 22: (1, {'@': 112}), 11: (1, {'@': 112}), 24: (1, {'@': 112}), 25: (1, {'@': 112}), 26: (1, {'@': 112}), 2: (1, {'@': 112}), 27: (1, {'@': 112}), 29: (1, {'@': 112}), 30: (1, {'@': 112}), 17: (1, {'@': 112}), 31: (1, {'@': 112}), 32: (1, {'@': 112}), 3: (1, {'@': 112}), 4: (1, {'@': 112})}, 105: {11: (1, {'@': 113}), 0: (1, {'@': 113}), 1: (1, {'@': 113}), 2: (1, {'@': 113}), 3: (1, {'@': 113}), 4: (1, {'@': 113})}, 106: {18: (1, {'@': 114}), 20: (1, {'@': 114}), 22: (1, {'@': 114}), 11: (1, {'@': 114}), 24: (1, {'@': 114}), 25: (1, {'@': 114}), 26: (1, {'@': 114}), 2: (1, {'@': 114}), 27: (1, {'@': 114}), 29: (1, {'@': 114}), 30: (1, {'@': 114}), 17: (1, {'@': 114}), 31: (1, {'@': 114}), 32: (1, {'@': 114}), 3: (1, {'@': 114}), 4: (1, {'@': 114})}, 107: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 69: (0, 165), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 108: {18: (1, {'@': 115}), 20: (1, {'@': 115}), 22: (1, {'@': 115}), 11: (1, {'@': 115}), 24: (1, {'@': 115}), 25: (1, {'@': 115}), 26: (1, {'@': 115}), 2: (1, {'@': 115}), 27: (1, {'@': 115}), 29: (1, {'@': 115}), 30: (1, {'@': 115}), 17: (1, {'@': 115}), 31: (1, {'@': 115}), 32: (1, {'@': 115}), 3: (1, {'@': 115}), 4: (1, {'@': 115})}, 109: {16: (1, {'@': 116}), 35: (1, {'@': 116}), 36: (1, {'@': 116}), 20: (1, {'@': 116}), 21: (1, {'@': 116}), 23: (1, {'@': 116}), 11: (1, {'@': 116}), 24: (1, {'@': 116}), 37: (1, {'@': 116}), 27: (1, {'@': 116}), 38: (1, {'@': 116}), 30: (1, {'@': 116}), 17: (1, {'@': 116}), 31: (1, {'@': 116}), 39: (1, {'@': 116}), 40: (1, {'@': 116}), 41: (1, {'@': 116}), 32: (1, {'@': 116}), 42: (1, {'@': 116}), 3: (1, {'@': 116}), 4: (1, {'@': 116}), 43: (1, {'@': 116}), 44: (1, {'@': 116}), 45: (1, {'@': 116}), 18: (1, {'@': 116}), 1: (1, {'@': 116}), 47: (1, {'@': 116}), 48: (1, {'@': 116}), 22: (1, {'@': 116}), 25: (1, {'@': 116}), 26: (1, {'@': 116}), 2: (1, {'@': 116}), 29: (1, {'@': 116}), 49: (1, {'@': 116}), 50: (1, {'@': 116}), 51: (1, {'@': 116}), 33: (1, {'@': 116}), 34: (1, {'@': 116})}, 110: {18: (1, {'@': 117}), 20: (1, {'@': 117}), 22: (1, {'@': 117}), 11: (1, {'@': 117}), 24: (1, {'@': 117}), 25: (1, {'@': 117}), 26: (1, {'@': 117}), 2: (1, {'@': 117}), 27: (1, {'@': 117}), 29: (1, {'@': 117}), 30: (1, {'@': 117}), 17: (1, {'@': 117}), 31: (1, {'@': 117}), 32: (1, {'@': 117}), 3: (1, {'@': 117}), 4: (1, {'@': 117})}, 111: {18: (1, {'@': 118}), 20: (1, {'@': 118}), 22: (1, {'@': 118}), 11: (1, {'@': 118}), 24: (1, {'@': 118}), 25: (1, {'@': 118}), 26: (1, {'@': 118}), 2: (1, {'@': 118}), 27: (1, {'@': 118}), 29: (1, {'@': 118}), 30: (1, {'@': 118}), 17: (1, {'@': 118}), 31: (1, {'@': 118}), 32: (1, {'@': 118}), 3: (1, {'@': 118}), 4: (1, {'@': 118})}, 112: {18: (1, {'@': 119}), 20: (1, {'@': 119}), 22: (1, {'@': 119}), 11: (1, {'@': 119}), 24: (1, {'@': 119}), 25: (1, {'@': 119}), 26: (1, {'@': 119}), 2: (1, {'@': 119}), 27: (1, {'@': 119}), 29: (1, {'@': 119}), 30: (1, {'@': 119}), 17: (1, {'@': 119}), 31: (1, {'@': 119}), 32: (1, {'@': 119}), 3: (1, {'@': 119}), 4: (1, {'@': 119})}, 113: {18: (1, {'@': 120}), 20: (1, {'@': 120}), 22: (1, {'@': 120}), 11: (1, {'@': 120}), 24: (1, {'@': 120}), 25: (1, {'@': 120}), 26: (1, {'@': 120}), 2: (1, {'@': 120}), 27: (1, {'@': 120}), 29: (1, {'@': 120}), 30: (1, {'@': 120}), 17: (1, {'@': 120}), 31: (1, {'@': 120}), 32: (1, {'@': 120}), 3: (1, {'@': 120}), 4: (1, {'@': 120})}, 114: {18: (1, {'@': 121}), 20: (1, {'@': 121}), 22: (1, {'@': 121}), 11: (1, {'@': 121}), 24: (1, {'@': 121}), 25: (1, {'@': 121}), 26: (1, {'@': 121}), 2: (1, {'@': 121}), 27: (1, {'@': 121}), 29: (1, {'@': 121}), 30: (1, {'@': 121}), 17: (1, {'@': 121}), 31: (1, {'@': 121}), 32: (1, {'@': 121}), 3: (1, {'@': 121}), 4: (1, {'@': 121})}, 115: {18: (1, {'@': 122}), 20: (1, {'@': 122}), 22: (1, {'@': 122}), 11: (1, {'@': 122}), 24: (1, {'@': 122}), 25: (1, {'@': 122}), 26: (1, {'@': 122}), 2: (1, {'@': 122}), 27: (1, {'@': 122}), 29: (1, {'@': 122}), 30: (1, {'@': 122}), 17: (1, {'@': 122}), 31: (1, {'@': 122}), 32: (1, {'@': 122}), 3: (1, {'@': 122}), 4: (1, {'@': 122})}, 116: {16: (1, {'@': 123}), 35: (1, {'@': 123}), 36: (1, {'@': 123}), 20: (1, {'@': 123}), 21: (1, {'@': 123}), 23: (1, {'@': 123}), 11: (1, {'@': 123}), 24: (1, {'@': 123}), 37: (1, {'@': 123}), 27: (1, {'@': 123}), 38: (1, {'@': 123}), 30: (1, {'@': 123}), 17: (1, {'@': 123}), 31: (1, {'@': 123}), 39: (1, {'@': 123}), 40: (1, {'@': 123}), 41: (1, {'@': 123}), 32: (0, 79), 42: (1, {'@': 123}), 3: (1, {'@': 123}), 4: (1, {'@': 123}), 43: (1, {'@': 123}), 44: (1, {'@': 123}), 45: (1, {'@': 123}), 18: (1, {'@': 123}), 1: (1, {'@': 123}), 47: (1, {'@': 123}), 48: (1, {'@': 123}), 22: (1, {'@': 123}), 25: (1, {'@': 123}), 26: (1, {'@': 123}), 2: (1, {'@': 123}), 29: (1, {'@': 123}), 49: (1, {'@': 123}), 50: (1, {'@': 123}), 51: (1, {'@': 123}), 33: (1, {'@': 123}), 34: (1, {'@': 123}), 46: (0, 80), 77: (0, 81), 78: (0, 82), 79: (0, 83), 80: (0, 84), 52: (0, 85)}, 117: {11: (1, {'@': 124}), 0: (1, {'@': 124}), 1: (1, {'@': 124}), 2: (1, {'@': 124}), 3: (1, {'@': 124}), 4: (1, {'@': 124})}, 118: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 69: (0, 166), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 119: {1: (0, 167)}, 120: {11: (1, {'@': 125}), 0: (1, {'@': 125}), 1: (1, {'@': 125}), 2: (1, {'@': 125}), 3: (1, {'@': 125}), 4: (1, {'@': 125})}, 121: {1: (0, 168)}, 122: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 69: (0, 169), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 123: {83: (0, 99), 38: (0, 100), 6: (0, 2), 40: (0, 102), 8: (0, 170), 36: (0, 106), 47: (0, 113), 33: (0, 171), 42: (0, 115), 90: (0, 172), 4: (0, 4), 49: (0, 101), 3: (0, 5), 50: (0, 103), 41: (0, 104), 51: (0, 107), 22: (0, 108), 84: (0, 109), 2: (0, 9), 43: (0, 110), 37: (0, 111), 48: (0, 112), 23: (0, 173), 39: (0, 114)}, 124: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 69: (0, 174), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 125: {6: (0, 2), 4: (0, 4), 34: (0, 175), 3: (0, 5), 8: (0, 176), 19: (0, 177), 2: (0, 9)}, 126: {5: (0, 178), 11: (0, 10)}, 127: {6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 23: (0, 179), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 69: (0, 180), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 8: (0, 181), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 128: {6: (0, 2), 8: (0, 182), 4: (0, 4), 34: (0, 183), 3: (0, 5), 23: (0, 184), 2: (0, 9)}, 129: {6: (0, 2), 34: (0, 185), 4: (0, 4), 3: (0, 5), 23: (0, 186), 8: (0, 187), 2: (0, 9)}, 130: {16: (1, {'@': 126}), 35: (1, {'@': 126}), 36: (1, {'@': 126}), 20: (1, {'@': 126}), 21: (1, {'@': 126}), 23: (1, {'@': 126}), 11: (1, {'@': 126}), 24: (1, {'@': 126}), 37: (1, {'@': 126}), 27: (1, {'@': 126}), 38: (1, {'@': 126}), 30: (1, {'@': 126}), 17: (1, {'@': 126}), 31: (1, {'@': 126}), 39: (1, {'@': 126}), 40: (1, {'@': 126}), 41: (1, {'@': 126}), 32: (1, {'@': 126}), 42: (1, {'@': 126}), 3: (1, {'@': 126}), 4: (1, {'@': 126}), 43: (1, {'@': 126}), 44: (1, {'@': 126}), 45: (1, {'@': 126}), 46: (1, {'@': 126}), 18: (1, {'@': 126}), 1: (1, {'@': 126}), 47: (1, {'@': 126}), 48: (1, {'@': 126}), 22: (1, {'@': 126}), 25: (1, {'@': 126}), 26: (1, {'@': 126}), 2: (1, {'@': 126}), 29: (1, {'@': 126}), 49: (1, {'@': 126}), 50: (1, {'@': 126}), 51: (1, {'@': 126}), 33: (1, {'@': 126}), 52: (1, {'@': 126}), 34: (1, {'@': 126})}, 131: {83: (0, 99), 38: (0, 100), 6: (0, 2), 85: (0, 188), 40: (0, 102), 34: (0, 189), 23: (0, 190), 36: (0, 106), 8: (0, 191), 47: (0, 113), 42: (0, 115), 4: (0, 4), 49: (0, 101), 3: (0, 5), 50: (0, 103), 41: (0, 104), 51: (0, 107), 22: (0, 108), 84: (0, 109), 2: (0, 9), 43: (0, 110), 37: (0, 111), 48: (0, 112), 39: (0, 114)}, 132: {6: (0, 2), 32: (0, 31), 69: (0, 192), 53: (0, 32), 18: (0, 33), 54: (0, 34), 8: (0, 193), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 133: {16: (1, {'@': 127}), 35: (1, {'@': 127}), 36: (1, {'@': 127}), 20: (1, {'@': 127}), 21: (1, {'@': 127}), 23: (1, {'@': 127}), 11: (1, {'@': 127}), 24: (1, {'@': 127}), 37: (1, {'@': 127}), 27: (1, {'@': 127}), 38: (1, {'@': 127}), 30: (1, {'@': 127}), 17: (1, {'@': 127}), 31: (1, {'@': 127}), 39: (1, {'@': 127}), 40: (1, {'@': 127}), 41: (1, {'@': 127}), 32: (1, {'@': 127}), 42: (1, {'@': 127}), 3: (1, {'@': 127}), 4: (1, {'@': 127}), 43: (1, {'@': 127}), 44: (1, {'@': 127}), 45: (1, {'@': 127}), 46: (1, {'@': 127}), 18: (1, {'@': 127}), 1: (1, {'@': 127}), 47: (1, {'@': 127}), 48: (1, {'@': 127}), 22: (1, {'@': 127}), 25: (1, {'@': 127}), 26: (1, {'@': 127}), 2: (1, {'@': 127}), 29: (1, {'@': 127}), 49: (1, {'@': 127}), 50: (1, {'@': 127}), 51: (1, {'@': 127}), 33: (1, {'@': 127}), 52: (1, {'@': 127}), 34: (1, {'@': 127})}, 134: {23: (0, 194)}, 135: {83: (0, 99), 38: (0, 100), 6: (0, 2), 4: (0, 4), 49: (0, 101), 3: (0, 5), 40: (0, 102), 50: (0, 103), 41: (0, 104), 8: (0, 195), 51: (0, 107), 36: (0, 106), 22: (0, 108), 84: (0, 109), 23: (0, 196), 2: (0, 9), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 136: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 69: (0, 197), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 137: {16: (1, {'@': 128}), 35: (1, {'@': 128}), 36: (1, {'@': 128}), 20: (1, {'@': 128}), 21: (1, {'@': 128}), 23: (1, {'@': 128}), 11: (1, {'@': 128}), 24: (1, {'@': 128}), 37: (1, {'@': 128}), 27: (1, {'@': 128}), 38: (1, {'@': 128}), 30: (1, {'@': 128}), 17: (1, {'@': 128}), 31: (1, {'@': 128}), 39: (1, {'@': 128}), 40: (1, {'@': 128}), 41: (1, {'@': 128}), 32: (1, {'@': 128}), 42: (1, {'@': 128}), 3: (1, {'@': 128}), 4: (1, {'@': 128}), 43: (1, {'@': 128}), 44: (1, {'@': 128}), 45: (1, {'@': 128}), 46: (1, {'@': 128}), 18: (1, {'@': 128}), 1: (1, {'@': 128}), 47: (1, {'@': 128}), 48: (1, {'@': 128}), 22: (1, {'@': 128}), 25: (1, {'@': 128}), 26: (1, {'@': 128}), 2: (1, {'@': 128}), 29: (1, {'@': 128}), 49: (1, {'@': 128}), 50: (1, {'@': 128}), 51: (1, {'@': 128}), 33: (1, {'@': 128}), 52: (1, {'@': 128}), 34: (1, {'@': 128})}, 138: {16: (1, {'@': 129}), 35: (1, {'@': 129}), 36: (1, {'@': 129}), 20: (1, {'@': 129}), 21: (1, {'@': 129}), 23: (1, {'@': 129}), 11: (1, {'@': 129}), 24: (1, {'@': 129}), 37: (1, {'@': 129}), 27: (1, {'@': 129}), 38: (1, {'@': 129}), 30: (1, {'@': 129}), 17: (1, {'@': 129}), 31: (1, {'@': 129}), 39: (1, {'@': 129}), 40: (1, {'@': 129}), 41: (1, {'@': 129}), 32: (1, {'@': 129}), 42: (1, {'@': 129}), 3: (1, {'@': 129}), 4: (1, {'@': 129}), 43: (1, {'@': 129}), 44: (1, {'@': 129}), 45: (1, {'@': 129}), 46: (1, {'@': 129}), 18: (1, {'@': 129}), 1: (1, {'@': 129}), 47: (1, {'@': 129}), 48: (1, {'@': 129}), 22: (1, {'@': 129}), 25: (1, {'@': 129}), 26: (1, {'@': 129}), 2: (1, {'@': 129}), 29: (1, {'@': 129}), 49: (1, {'@': 129}), 50: (1, {'@': 129}), 51: (1, {'@': 129}), 33: (1, {'@': 129}), 52: (0, 85), 34: (1, {'@': 129}), 78: (0, 198)}, 139: {16: (1, {'@': 130}), 35: (1, {'@': 130}), 36: (1, {'@': 130}), 20: (1, {'@': 130}), 21: (1, {'@': 130}), 23: (1, {'@': 130}), 11: (1, {'@': 130}), 24: (1, {'@': 130}), 37: (1, {'@': 130}), 27: (1, {'@': 130}), 38: (1, {'@': 130}), 30: (1, {'@': 130}), 17: (1, {'@': 130}), 31: (1, {'@': 130}), 39: (1, {'@': 130}), 40: (1, {'@': 130}), 41: (1, {'@': 130}), 32: (1, {'@': 130}), 42: (1, {'@': 130}), 3: (1, {'@': 130}), 4: (1, {'@': 130}), 43: (1, {'@': 130}), 44: (1, {'@': 130}), 45: (1, {'@': 130}), 46: (1, {'@': 130}), 18: (1, {'@': 130}), 1: (1, {'@': 130}), 47: (1, {'@': 130}), 48: (1, {'@': 130}), 22: (1, {'@': 130}), 25: (1, {'@': 130}), 26: (1, {'@': 130}), 2: (1, {'@': 130}), 29: (1, {'@': 130}), 49: (1, {'@': 130}), 50: (1, {'@': 130}), 51: (1, {'@': 130}), 33: (1, {'@': 130}), 52: (1, {'@': 130}), 34: (1, {'@': 130})}, 140: {32: (0, 31), 53: (0, 32), 18: (0, 33), 69: (0, 199), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 141: {6: (0, 2), 87: (0, 200), 88: (0, 201), 8: (0, 147), 34: (0, 148), 4: (0, 4), 3: (0, 5), 1: (0, 202), 2: (0, 9)}, 142: {83: (0, 99), 38: (0, 100), 45: (0, 203), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 143: {1: (1, {'@': 131}), 2: (1, {'@': 131}), 3: (1, {'@': 131}), 4: (1, {'@': 131}), 34: (1, {'@': 131}), 83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 144: {69: (0, 204), 6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 8: (0, 205), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 89: (0, 156), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 21: (0, 157), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 145: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 69: (0, 206), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 146: {6: (0, 2), 88: (0, 207), 8: (0, 147), 4: (0, 4), 34: (0, 148), 3: (0, 5), 1: (0, 208), 2: (0, 9)}, 147: {11: (1, {'@': 132}), 24: (1, {'@': 132}), 18: (1, {'@': 132}), 25: (1, {'@': 132}), 32: (1, {'@': 132}), 1: (1, {'@': 132}), 26: (1, {'@': 132}), 27: (1, {'@': 132}), 29: (1, {'@': 132}), 30: (1, {'@': 132}), 17: (1, {'@': 132}), 31: (1, {'@': 132}), 20: (1, {'@': 132}), 22: (1, {'@': 132})}, 148: {11: (1, {'@': 133}), 24: (1, {'@': 133}), 18: (1, {'@': 133}), 25: (1, {'@': 133}), 32: (1, {'@': 133}), 1: (1, {'@': 133}), 26: (1, {'@': 133}), 27: (1, {'@': 133}), 29: (1, {'@': 133}), 30: (1, {'@': 133}), 17: (1, {'@': 133}), 31: (1, {'@': 133}), 20: (1, {'@': 133}), 22: (1, {'@': 133}), 6: (0, 2), 4: (0, 4), 3: (0, 5), 8: (0, 209), 2: (0, 9)}, 149: {32: (0, 31), 53: (0, 32), 18: (0, 33), 1: (0, 210), 54: (0, 34), 5: (0, 88), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 69: (0, 90), 22: (0, 40), 81: (0, 211), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 150: {16: (1, {'@': 134}), 35: (1, {'@': 134}), 36: (1, {'@': 134}), 20: (1, {'@': 134}), 21: (1, {'@': 134}), 23: (1, {'@': 134}), 11: (1, {'@': 134}), 24: (1, {'@': 134}), 37: (1, {'@': 134}), 27: (1, {'@': 134}), 38: (1, {'@': 134}), 30: (1, {'@': 134}), 17: (1, {'@': 134}), 31: (1, {'@': 134}), 39: (1, {'@': 134}), 40: (1, {'@': 134}), 41: (1, {'@': 134}), 32: (1, {'@': 134}), 42: (1, {'@': 134}), 3: (1, {'@': 134}), 4: (1, {'@': 134}), 43: (1, {'@': 134}), 44: (1, {'@': 134}), 45: (1, {'@': 134}), 46: (1, {'@': 134}), 18: (1, {'@': 134}), 1: (1, {'@': 134}), 47: (1, {'@': 134}), 48: (1, {'@': 134}), 22: (1, {'@': 134}), 25: (1, {'@': 134}), 26: (1, {'@': 134}), 2: (1, {'@': 134}), 29: (1, {'@': 134}), 49: (1, {'@': 134}), 50: (1, {'@': 134}), 51: (1, {'@': 134}), 33: (1, {'@': 134}), 52: (1, {'@': 134}), 34: (1, {'@': 134})}, 151: {18: (0, 33), 20: (0, 60), 22: (1, {'@': 115}), 11: (0, 10), 24: (0, 64), 25: (0, 49), 26: (0, 55), 2: (1, {'@': 115}), 27: (0, 48), 29: (1, {'@': 115}), 30: (0, 59), 17: (0, 41), 31: (0, 47), 32: (0, 31), 3: (1, {'@': 115}), 4: (1, {'@': 115}), 53: (0, 93), 54: (0, 34), 5: (0, 35), 55: (0, 36), 57: (0, 38), 58: (0, 39), 59: (0, 42), 60: (0, 43), 61: (0, 44), 63: (0, 46), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 70: (0, 57), 71: (0, 58), 73: (0, 62), 75: (0, 65)}, 152: {1: (1, {'@': 135}), 2: (1, {'@': 135}), 3: (1, {'@': 135}), 4: (1, {'@': 135}), 34: (1, {'@': 135}), 83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 153: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 69: (0, 212), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 154: {2: (0, 9), 21: (1, {'@': 136}), 3: (0, 5), 4: (0, 4), 85: (0, 213), 83: (0, 99), 8: (0, 214), 6: (0, 2), 38: (0, 100), 40: (0, 102), 34: (0, 215), 36: (0, 106), 47: (0, 113), 42: (0, 115), 49: (0, 101), 50: (0, 103), 41: (0, 104), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 39: (0, 114), 44: (0, 216)}, 155: {6: (0, 2), 69: (0, 154), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 89: (0, 217), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 8: (0, 218), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 21: (0, 219), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 156: {6: (0, 2), 4: (0, 4), 3: (0, 5), 2: (0, 9), 21: (0, 220), 8: (0, 221)}, 157: {16: (1, {'@': 137}), 35: (1, {'@': 137}), 36: (1, {'@': 137}), 20: (1, {'@': 137}), 21: (1, {'@': 137}), 23: (1, {'@': 137}), 11: (1, {'@': 137}), 24: (1, {'@': 137}), 37: (1, {'@': 137}), 27: (1, {'@': 137}), 38: (1, {'@': 137}), 30: (1, {'@': 137}), 17: (1, {'@': 137}), 31: (1, {'@': 137}), 39: (1, {'@': 137}), 40: (1, {'@': 137}), 41: (1, {'@': 137}), 32: (1, {'@': 137}), 42: (1, {'@': 137}), 3: (1, {'@': 137}), 4: (1, {'@': 137}), 43: (1, {'@': 137}), 44: (1, {'@': 137}), 45: (1, {'@': 137}), 46: (1, {'@': 137}), 18: (1, {'@': 137}), 1: (1, {'@': 137}), 47: (1, {'@': 137}), 48: (1, {'@': 137}), 22: (1, {'@': 137}), 25: (1, {'@': 137}), 26: (1, {'@': 137}), 2: (1, {'@': 137}), 29: (1, {'@': 137}), 49: (1, {'@': 137}), 50: (1, {'@': 137}), 51: (1, {'@': 137}), 33: (1, {'@': 137}), 52: (1, {'@': 137}), 34: (1, {'@': 137})}, 158: {16: (1, {'@': 138}), 35: (1, {'@': 138}), 36: (1, {'@': 138}), 20: (1, {'@': 138}), 21: (1, {'@': 138}), 23: (1, {'@': 138}), 11: (1, {'@': 138}), 24: (1, {'@': 138}), 37: (1, {'@': 138}), 27: (1, {'@': 138}), 38: (1, {'@': 138}), 30: (0, 96), 17: (1, {'@': 138}), 31: (1, {'@': 138}), 39: (1, {'@': 138}), 40: (1, {'@': 138}), 41: (1, {'@': 138}), 32: (1, {'@': 138}), 42: (1, {'@': 138}), 3: (1, {'@': 138}), 4: (1, {'@': 138}), 43: (1, {'@': 138}), 44: (1, {'@': 138}), 45: (1, {'@': 138}), 46: (1, {'@': 138}), 18: (1, {'@': 138}), 1: (1, {'@': 138}), 47: (1, {'@': 138}), 48: (1, {'@': 138}), 22: (1, {'@': 138}), 25: (1, {'@': 138}), 26: (1, {'@': 138}), 2: (1, {'@': 138}), 29: (1, {'@': 138}), 49: (1, {'@': 138}), 50: (1, {'@': 138}), 51: (1, {'@': 138}), 33: (1, {'@': 138}), 52: (1, {'@': 138}), 34: (1, {'@': 138}), 82: (0, 222)}, 159: {16: (1, {'@': 139}), 35: (1, {'@': 139}), 36: (1, {'@': 139}), 20: (1, {'@': 139}), 21: (1, {'@': 139}), 23: (1, {'@': 139}), 11: (1, {'@': 139}), 24: (1, {'@': 139}), 37: (1, {'@': 139}), 27: (1, {'@': 139}), 38: (1, {'@': 139}), 30: (0, 96), 17: (1, {'@': 139}), 31: (1, {'@': 139}), 39: (1, {'@': 139}), 40: (1, {'@': 139}), 41: (1, {'@': 139}), 32: (1, {'@': 139}), 42: (1, {'@': 139}), 3: (1, {'@': 139}), 4: (1, {'@': 139}), 43: (1, {'@': 139}), 44: (1, {'@': 139}), 45: (1, {'@': 139}), 46: (1, {'@': 139}), 18: (1, {'@': 139}), 1: (1, {'@': 139}), 47: (1, {'@': 139}), 48: (1, {'@': 139}), 22: (1, {'@': 139}), 25: (1, {'@': 139}), 26: (1, {'@': 139}), 2: (1, {'@': 139}), 29: (1, {'@': 139}), 49: (1, {'@': 139}), 50: (1, {'@': 139}), 51: (1, {'@': 139}), 33: (1, {'@': 139}), 52: (1, {'@': 139}), 34: (1, {'@': 139})}, 160: {16: (1, {'@': 140}), 35: (1, {'@': 140}), 36: (1, {'@': 140}), 20: (1, {'@': 140}), 21: (1, {'@': 140}), 23: (1, {'@': 140}), 11: (1, {'@': 140}), 24: (1, {'@': 140}), 37: (1, {'@': 140}), 27: (1, {'@': 140}), 38: (1, {'@': 140}), 30: (1, {'@': 140}), 17: (1, {'@': 140}), 31: (1, {'@': 140}), 39: (1, {'@': 140}), 40: (1, {'@': 140}), 41: (1, {'@': 140}), 32: (1, {'@': 140}), 42: (1, {'@': 140}), 3: (1, {'@': 140}), 4: (1, {'@': 140}), 43: (1, {'@': 140}), 44: (1, {'@': 140}), 45: (1, {'@': 140}), 46: (1, {'@': 140}), 18: (1, {'@': 140}), 1: (1, {'@': 140}), 47: (1, {'@': 140}), 48: (1, {'@': 140}), 22: (1, {'@': 140}), 25: (1, {'@': 140}), 26: (1, {'@': 140}), 2: (1, {'@': 140}), 29: (1, {'@': 140}), 49: (1, {'@': 140}), 50: (1, {'@': 140}), 51: (1, {'@': 140}), 33: (1, {'@': 140}), 52: (1, {'@': 140}), 34: (1, {'@': 140})}, 161: {21: (0, 223)}, 162: {8: (0, 224), 83: (0, 99), 6: (0, 2), 38: (0, 100), 4: (0, 4), 49: (0, 101), 3: (0, 5), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 21: (0, 225), 2: (0, 9), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 163: {16: (1, {'@': 141}), 35: (1, {'@': 141}), 36: (0, 106), 20: (1, {'@': 141}), 21: (1, {'@': 141}), 23: (1, {'@': 141}), 11: (1, {'@': 141}), 24: (1, {'@': 141}), 37: (0, 111), 27: (1, {'@': 141}), 38: (0, 100), 30: (1, {'@': 141}), 17: (1, {'@': 141}), 31: (1, {'@': 141}), 39: (0, 114), 40: (0, 102), 41: (0, 104), 32: (1, {'@': 141}), 42: (0, 115), 3: (1, {'@': 141}), 4: (1, {'@': 141}), 43: (0, 110), 44: (1, {'@': 141}), 45: (1, {'@': 141}), 18: (1, {'@': 141}), 1: (1, {'@': 141}), 47: (0, 113), 48: (0, 112), 22: (0, 108), 25: (1, {'@': 141}), 26: (1, {'@': 141}), 2: (1, {'@': 141}), 29: (1, {'@': 141}), 49: (0, 101), 50: (0, 103), 51: (0, 107), 33: (1, {'@': 141}), 34: (1, {'@': 141}), 83: (0, 99), 84: (0, 109)}, 164: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 69: (0, 226), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 165: {83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 35: (0, 227), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 166: {83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 1: (0, 228), 39: (0, 114), 42: (0, 115)}, 167: {6: (0, 2), 4: (0, 4), 3: (0, 5), 8: (0, 229), 2: (0, 9)}, 168: {6: (0, 2), 4: (0, 4), 3: (0, 5), 8: (0, 230), 2: (0, 9)}, 169: {83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115), 1: (0, 231)}, 170: {23: (0, 232), 6: (0, 2), 4: (0, 4), 3: (0, 5), 33: (0, 171), 90: (0, 233), 8: (0, 234), 2: (0, 9)}, 171: {6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 8: (0, 235), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 69: (0, 236), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 172: {6: (0, 2), 8: (0, 237), 4: (0, 4), 3: (0, 5), 2: (0, 9), 23: (0, 238)}, 173: {16: (1, {'@': 142}), 35: (1, {'@': 142}), 36: (1, {'@': 142}), 20: (1, {'@': 142}), 21: (1, {'@': 142}), 23: (1, {'@': 142}), 11: (1, {'@': 142}), 24: (1, {'@': 142}), 37: (1, {'@': 142}), 27: (1, {'@': 142}), 38: (1, {'@': 142}), 30: (1, {'@': 142}), 17: (1, {'@': 142}), 31: (1, {'@': 142}), 39: (1, {'@': 142}), 40: (1, {'@': 142}), 41: (1, {'@': 142}), 32: (1, {'@': 142}), 42: (1, {'@': 142}), 3: (1, {'@': 142}), 4: (1, {'@': 142}), 43: (1, {'@': 142}), 44: (1, {'@': 142}), 45: (1, {'@': 142}), 46: (1, {'@': 142}), 18: (1, {'@': 142}), 1: (1, {'@': 142}), 47: (1, {'@': 142}), 48: (1, {'@': 142}), 22: (1, {'@': 142}), 25: (1, {'@': 142}), 26: (1, {'@': 142}), 2: (1, {'@': 142}), 29: (1, {'@': 142}), 49: (1, {'@': 142}), 50: (1, {'@': 142}), 51: (1, {'@': 142}), 33: (1, {'@': 142}), 52: (1, {'@': 142}), 34: (1, {'@': 142})}, 174: {83: (0, 99), 23: (0, 239), 6: (0, 2), 38: (0, 100), 40: (0, 102), 36: (0, 106), 8: (0, 240), 90: (0, 241), 47: (0, 113), 33: (0, 171), 42: (0, 115), 4: (0, 4), 3: (0, 5), 49: (0, 101), 50: (0, 103), 41: (0, 104), 51: (0, 107), 22: (0, 108), 84: (0, 109), 2: (0, 9), 43: (0, 110), 37: (0, 111), 48: (0, 112), 39: (0, 114)}, 175: {5: (0, 242), 11: (0, 10)}, 176: {19: (0, 243)}, 177: {6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 8: (0, 244), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 69: (0, 245), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 178: {6: (0, 2), 4: (0, 4), 3: (0, 5), 34: (0, 246), 8: (0, 247), 19: (0, 248), 2: (0, 9)}, 179: {16: (1, {'@': 143}), 35: (1, {'@': 143}), 36: (1, {'@': 143}), 20: (1, {'@': 143}), 21: (1, {'@': 143}), 23: (1, {'@': 143}), 11: (1, {'@': 143}), 24: (1, {'@': 143}), 37: (1, {'@': 143}), 27: (1, {'@': 143}), 38: (1, {'@': 143}), 30: (1, {'@': 143}), 17: (1, {'@': 143}), 31: (1, {'@': 143}), 39: (1, {'@': 143}), 40: (1, {'@': 143}), 41: (1, {'@': 143}), 32: (1, {'@': 143}), 42: (1, {'@': 143}), 3: (1, {'@': 143}), 4: (1, {'@': 143}), 43: (1, {'@': 143}), 44: (1, {'@': 143}), 45: (1, {'@': 143}), 46: (1, {'@': 143}), 18: (1, {'@': 143}), 1: (1, {'@': 143}), 47: (1, {'@': 143}), 48: (1, {'@': 143}), 22: (1, {'@': 143}), 25: (1, {'@': 143}), 26: (1, {'@': 143}), 2: (1, {'@': 143}), 29: (1, {'@': 143}), 49: (1, {'@': 143}), 50: (1, {'@': 143}), 51: (1, {'@': 143}), 33: (1, {'@': 143}), 52: (1, {'@': 143}), 34: (1, {'@': 143})}, 180: {44: (1, {'@': 144}), 34: (1, {'@': 144}), 2: (1, {'@': 144}), 21: (1, {'@': 144}), 3: (1, {'@': 144}), 4: (1, {'@': 144}), 23: (1, {'@': 144}), 83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 181: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 23: (0, 249), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 69: (0, 250), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 182: {6: (0, 2), 4: (0, 4), 34: (0, 251), 3: (0, 5), 8: (0, 252), 2: (0, 9), 23: (0, 253)}, 183: {6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 8: (0, 254), 69: (0, 255), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 23: (0, 256), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 184: {16: (1, {'@': 145}), 35: (1, {'@': 145}), 36: (1, {'@': 145}), 20: (1, {'@': 145}), 21: (1, {'@': 145}), 23: (1, {'@': 145}), 11: (1, {'@': 145}), 24: (1, {'@': 145}), 37: (1, {'@': 145}), 27: (1, {'@': 145}), 38: (1, {'@': 145}), 30: (1, {'@': 145}), 17: (1, {'@': 145}), 31: (1, {'@': 145}), 39: (1, {'@': 145}), 40: (1, {'@': 145}), 41: (1, {'@': 145}), 32: (1, {'@': 145}), 42: (1, {'@': 145}), 3: (1, {'@': 145}), 4: (1, {'@': 145}), 43: (1, {'@': 145}), 44: (1, {'@': 145}), 45: (1, {'@': 145}), 46: (1, {'@': 145}), 18: (1, {'@': 145}), 1: (1, {'@': 145}), 47: (1, {'@': 145}), 48: (1, {'@': 145}), 22: (1, {'@': 145}), 25: (1, {'@': 145}), 26: (1, {'@': 145}), 2: (1, {'@': 145}), 29: (1, {'@': 145}), 49: (1, {'@': 145}), 50: (1, {'@': 145}), 51: (1, {'@': 145}), 33: (1, {'@': 145}), 52: (1, {'@': 145}), 34: (1, {'@': 145})}, 185: {6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 257), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 69: (0, 258), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 23: (0, 259), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 186: {16: (1, {'@': 146}), 35: (1, {'@': 146}), 36: (1, {'@': 146}), 20: (1, {'@': 146}), 21: (1, {'@': 146}), 23: (1, {'@': 146}), 11: (1, {'@': 146}), 24: (1, {'@': 146}), 37: (1, {'@': 146}), 27: (1, {'@': 146}), 38: (1, {'@': 146}), 30: (1, {'@': 146}), 17: (1, {'@': 146}), 31: (1, {'@': 146}), 39: (1, {'@': 146}), 40: (1, {'@': 146}), 41: (1, {'@': 146}), 32: (1, {'@': 146}), 42: (1, {'@': 146}), 3: (1, {'@': 146}), 4: (1, {'@': 146}), 43: (1, {'@': 146}), 44: (1, {'@': 146}), 45: (1, {'@': 146}), 46: (1, {'@': 146}), 18: (1, {'@': 146}), 1: (1, {'@': 146}), 47: (1, {'@': 146}), 48: (1, {'@': 146}), 22: (1, {'@': 146}), 25: (1, {'@': 146}), 26: (1, {'@': 146}), 2: (1, {'@': 146}), 29: (1, {'@': 146}), 49: (1, {'@': 146}), 50: (1, {'@': 146}), 51: (1, {'@': 146}), 33: (1, {'@': 146}), 52: (1, {'@': 146}), 34: (1, {'@': 146})}, 187: {23: (0, 260)}, 188: {6: (0, 2), 4: (0, 4), 34: (0, 261), 3: (0, 5), 8: (0, 262), 2: (0, 9), 23: (0, 263)}, 189: {6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 69: (0, 180), 64: (0, 50), 65: (0, 51), 8: (0, 264), 23: (0, 265), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 190: {16: (1, {'@': 147}), 35: (1, {'@': 147}), 36: (1, {'@': 147}), 20: (1, {'@': 147}), 21: (1, {'@': 147}), 23: (1, {'@': 147}), 11: (1, {'@': 147}), 24: (1, {'@': 147}), 37: (1, {'@': 147}), 27: (1, {'@': 147}), 38: (1, {'@': 147}), 30: (1, {'@': 147}), 17: (1, {'@': 147}), 31: (1, {'@': 147}), 39: (1, {'@': 147}), 40: (1, {'@': 147}), 41: (1, {'@': 147}), 32: (1, {'@': 147}), 42: (1, {'@': 147}), 3: (1, {'@': 147}), 4: (1, {'@': 147}), 43: (1, {'@': 147}), 44: (1, {'@': 147}), 45: (1, {'@': 147}), 46: (1, {'@': 147}), 18: (1, {'@': 147}), 1: (1, {'@': 147}), 47: (1, {'@': 147}), 48: (1, {'@': 147}), 22: (1, {'@': 147}), 25: (1, {'@': 147}), 26: (1, {'@': 147}), 2: (1, {'@': 147}), 29: (1, {'@': 147}), 49: (1, {'@': 147}), 50: (1, {'@': 147}), 51: (1, {'@': 147}), 33: (1, {'@': 147}), 52: (1, {'@': 147}), 34: (1, {'@': 147})}, 191: {34: (0, 266), 6: (0, 2), 8: (0, 267), 4: (0, 4), 3: (0, 5), 23: (0, 268), 2: (0, 9)}, 192: {83: (0, 99), 38: (0, 100), 6: (0, 2), 40: (0, 102), 36: (0, 106), 90: (0, 269), 8: (0, 270), 47: (0, 113), 33: (0, 171), 42: (0, 115), 23: (0, 271), 4: (0, 4), 49: (0, 101), 3: (0, 5), 50: (0, 103), 41: (0, 104), 51: (0, 107), 22: (0, 108), 84: (0, 109), 2: (0, 9), 43: (0, 110), 37: (0, 111), 48: (0, 112), 39: (0, 114)}, 193: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 69: (0, 272), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 194: {16: (1, {'@': 148}), 35: (1, {'@': 148}), 36: (1, {'@': 148}), 20: (1, {'@': 148}), 21: (1, {'@': 148}), 23: (1, {'@': 148}), 11: (1, {'@': 148}), 24: (1, {'@': 148}), 37: (1, {'@': 148}), 27: (1, {'@': 148}), 38: (1, {'@': 148}), 30: (1, {'@': 148}), 17: (1, {'@': 148}), 31: (1, {'@': 148}), 39: (1, {'@': 148}), 40: (1, {'@': 148}), 41: (1, {'@': 148}), 32: (0, 274), 42: (1, {'@': 148}), 3: (1, {'@': 148}), 4: (1, {'@': 148}), 43: (1, {'@': 148}), 44: (1, {'@': 148}), 45: (1, {'@': 148}), 46: (1, {'@': 148}), 18: (1, {'@': 148}), 1: (1, {'@': 148}), 47: (1, {'@': 148}), 48: (1, {'@': 148}), 22: (1, {'@': 148}), 25: (1, {'@': 148}), 26: (1, {'@': 148}), 2: (1, {'@': 148}), 29: (1, {'@': 148}), 49: (1, {'@': 148}), 50: (1, {'@': 148}), 51: (1, {'@': 148}), 33: (1, {'@': 148}), 52: (0, 85), 34: (1, {'@': 148}), 91: (0, 273), 77: (0, 275), 78: (0, 276)}, 195: {23: (0, 277)}, 196: {16: (1, {'@': 149}), 35: (1, {'@': 149}), 36: (1, {'@': 149}), 20: (1, {'@': 149}), 21: (1, {'@': 149}), 23: (1, {'@': 149}), 11: (1, {'@': 149}), 24: (1, {'@': 149}), 37: (1, {'@': 149}), 27: (1, {'@': 149}), 38: (1, {'@': 149}), 30: (1, {'@': 149}), 17: (1, {'@': 149}), 31: (1, {'@': 149}), 39: (1, {'@': 149}), 40: (1, {'@': 149}), 41: (1, {'@': 149}), 32: (1, {'@': 149}), 42: (1, {'@': 149}), 3: (1, {'@': 149}), 4: (1, {'@': 149}), 43: (1, {'@': 149}), 44: (1, {'@': 149}), 45: (1, {'@': 149}), 46: (1, {'@': 149}), 18: (1, {'@': 149}), 1: (1, {'@': 149}), 47: (1, {'@': 149}), 48: (1, {'@': 149}), 22: (1, {'@': 149}), 25: (1, {'@': 149}), 26: (1, {'@': 149}), 2: (1, {'@': 149}), 29: (1, {'@': 149}), 49: (1, {'@': 149}), 50: (1, {'@': 149}), 51: (1, {'@': 149}), 33: (1, {'@': 149}), 52: (1, {'@': 149}), 34: (1, {'@': 149})}, 197: {83: (0, 99), 38: (0, 100), 6: (0, 2), 4: (0, 4), 49: (0, 101), 3: (0, 5), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 8: (0, 278), 51: (0, 107), 23: (0, 279), 22: (0, 108), 84: (0, 109), 2: (0, 9), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 198: {16: (1, {'@': 150}), 35: (1, {'@': 150}), 36: (1, {'@': 150}), 20: (1, {'@': 150}), 21: (1, {'@': 150}), 23: (1, {'@': 150}), 11: (1, {'@': 150}), 24: (1, {'@': 150}), 37: (1, {'@': 150}), 27: (1, {'@': 150}), 38: (1, {'@': 150}), 30: (1, {'@': 150}), 17: (1, {'@': 150}), 31: (1, {'@': 150}), 39: (1, {'@': 150}), 40: (1, {'@': 150}), 41: (1, {'@': 150}), 32: (1, {'@': 150}), 42: (1, {'@': 150}), 3: (1, {'@': 150}), 4: (1, {'@': 150}), 43: (1, {'@': 150}), 44: (1, {'@': 150}), 45: (1, {'@': 150}), 46: (1, {'@': 150}), 18: (1, {'@': 150}), 1: (1, {'@': 150}), 47: (1, {'@': 150}), 48: (1, {'@': 150}), 22: (1, {'@': 150}), 25: (1, {'@': 150}), 26: (1, {'@': 150}), 2: (1, {'@': 150}), 29: (1, {'@': 150}), 49: (1, {'@': 150}), 50: (1, {'@': 150}), 51: (1, {'@': 150}), 33: (1, {'@': 150}), 52: (1, {'@': 150}), 34: (1, {'@': 150})}, 199: {83: (0, 99), 38: (0, 100), 45: (0, 280), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 51: (0, 107), 36: (0, 106), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 200: {6: (0, 2), 8: (0, 147), 88: (0, 281), 4: (0, 4), 34: (0, 148), 3: (0, 5), 1: (0, 282), 2: (0, 9)}, 201: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 88), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 69: (0, 90), 22: (0, 40), 81: (0, 211), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 1: (0, 283), 75: (0, 65), 29: (0, 66)}, 202: {16: (1, {'@': 151}), 35: (1, {'@': 151}), 36: (1, {'@': 151}), 20: (1, {'@': 151}), 21: (1, {'@': 151}), 23: (1, {'@': 151}), 11: (1, {'@': 151}), 24: (1, {'@': 151}), 37: (1, {'@': 151}), 27: (1, {'@': 151}), 38: (1, {'@': 151}), 30: (1, {'@': 151}), 17: (1, {'@': 151}), 31: (1, {'@': 151}), 39: (1, {'@': 151}), 40: (1, {'@': 151}), 41: (1, {'@': 151}), 32: (1, {'@': 151}), 42: (1, {'@': 151}), 3: (1, {'@': 151}), 4: (1, {'@': 151}), 43: (1, {'@': 151}), 44: (1, {'@': 151}), 45: (1, {'@': 151}), 46: (1, {'@': 151}), 18: (1, {'@': 151}), 1: (1, {'@': 151}), 47: (1, {'@': 151}), 48: (1, {'@': 151}), 22: (1, {'@': 151}), 25: (1, {'@': 151}), 26: (1, {'@': 151}), 2: (1, {'@': 151}), 29: (1, {'@': 151}), 49: (1, {'@': 151}), 50: (1, {'@': 151}), 51: (1, {'@': 151}), 33: (1, {'@': 151}), 52: (1, {'@': 151}), 34: (1, {'@': 151})}, 203: {69: (0, 284), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 204: {2: (0, 9), 21: (0, 160), 3: (0, 5), 4: (0, 4), 85: (0, 213), 83: (0, 99), 8: (0, 285), 6: (0, 2), 38: (0, 100), 40: (0, 102), 34: (0, 215), 36: (0, 106), 47: (0, 113), 42: (0, 115), 49: (0, 101), 50: (0, 103), 41: (0, 104), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 39: (0, 114), 44: (0, 216)}, 205: {6: (0, 2), 69: (0, 286), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 89: (0, 217), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 8: (0, 218), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 21: (0, 219), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 206: {1: (1, {'@': 152}), 2: (1, {'@': 152}), 3: (1, {'@': 152}), 4: (1, {'@': 152}), 34: (1, {'@': 152}), 83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 207: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 88), 1: (0, 287), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 69: (0, 90), 22: (0, 40), 81: (0, 288), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 208: {16: (1, {'@': 153}), 35: (1, {'@': 153}), 36: (1, {'@': 153}), 20: (1, {'@': 153}), 21: (1, {'@': 153}), 23: (1, {'@': 153}), 11: (1, {'@': 153}), 24: (1, {'@': 153}), 37: (1, {'@': 153}), 27: (1, {'@': 153}), 38: (1, {'@': 153}), 30: (1, {'@': 153}), 17: (1, {'@': 153}), 31: (1, {'@': 153}), 39: (1, {'@': 153}), 40: (1, {'@': 153}), 41: (1, {'@': 153}), 32: (1, {'@': 153}), 42: (1, {'@': 153}), 3: (1, {'@': 153}), 4: (1, {'@': 153}), 43: (1, {'@': 153}), 44: (1, {'@': 153}), 45: (1, {'@': 153}), 46: (1, {'@': 153}), 18: (1, {'@': 153}), 1: (1, {'@': 153}), 47: (1, {'@': 153}), 48: (1, {'@': 153}), 22: (1, {'@': 153}), 25: (1, {'@': 153}), 26: (1, {'@': 153}), 2: (1, {'@': 153}), 29: (1, {'@': 153}), 49: (1, {'@': 153}), 50: (1, {'@': 153}), 51: (1, {'@': 153}), 33: (1, {'@': 153}), 52: (1, {'@': 153}), 34: (1, {'@': 153})}, 209: {11: (1, {'@': 154}), 24: (1, {'@': 154}), 18: (1, {'@': 154}), 25: (1, {'@': 154}), 32: (1, {'@': 154}), 1: (1, {'@': 154}), 26: (1, {'@': 154}), 27: (1, {'@': 154}), 29: (1, {'@': 154}), 30: (1, {'@': 154}), 17: (1, {'@': 154}), 31: (1, {'@': 154}), 20: (1, {'@': 154}), 22: (1, {'@': 154})}, 210: {16: (1, {'@': 155}), 35: (1, {'@': 155}), 36: (1, {'@': 155}), 20: (1, {'@': 155}), 21: (1, {'@': 155}), 23: (1, {'@': 155}), 11: (1, {'@': 155}), 24: (1, {'@': 155}), 37: (1, {'@': 155}), 27: (1, {'@': 155}), 38: (1, {'@': 155}), 30: (1, {'@': 155}), 17: (1, {'@': 155}), 31: (1, {'@': 155}), 39: (1, {'@': 155}), 40: (1, {'@': 155}), 41: (1, {'@': 155}), 32: (1, {'@': 155}), 42: (1, {'@': 155}), 3: (1, {'@': 155}), 4: (1, {'@': 155}), 43: (1, {'@': 155}), 44: (1, {'@': 155}), 45: (1, {'@': 155}), 46: (1, {'@': 155}), 18: (1, {'@': 155}), 1: (1, {'@': 155}), 47: (1, {'@': 155}), 48: (1, {'@': 155}), 22: (1, {'@': 155}), 25: (1, {'@': 155}), 26: (1, {'@': 155}), 2: (1, {'@': 155}), 29: (1, {'@': 155}), 49: (1, {'@': 155}), 50: (1, {'@': 155}), 51: (1, {'@': 155}), 33: (1, {'@': 155}), 52: (1, {'@': 155}), 34: (1, {'@': 155})}, 211: {1: (1, {'@': 156}), 2: (1, {'@': 156}), 3: (1, {'@': 156}), 4: (1, {'@': 156}), 34: (1, {'@': 156})}, 212: {1: (1, {'@': 157}), 2: (1, {'@': 157}), 3: (1, {'@': 157}), 4: (1, {'@': 157}), 34: (1, {'@': 157}), 83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 213: {2: (0, 9), 21: (1, {'@': 158}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 34: (0, 289), 44: (0, 290), 8: (0, 291)}, 214: {2: (1, {'@': 159}), 21: (1, {'@': 159}), 3: (1, {'@': 159}), 4: (1, {'@': 159}), 34: (0, 292)}, 215: {2: (0, 9), 21: (1, {'@': 160}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 8: (0, 293), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 69: (0, 180), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 216: {2: (0, 9), 21: (1, {'@': 161}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 8: (0, 294)}, 217: {6: (0, 2), 21: (0, 295), 4: (0, 4), 3: (0, 5), 8: (0, 296), 2: (0, 9)}, 218: {21: (0, 297)}, 219: {16: (1, {'@': 162}), 35: (1, {'@': 162}), 36: (1, {'@': 162}), 20: (1, {'@': 162}), 21: (1, {'@': 162}), 23: (1, {'@': 162}), 11: (1, {'@': 162}), 24: (1, {'@': 162}), 37: (1, {'@': 162}), 27: (1, {'@': 162}), 38: (1, {'@': 162}), 30: (1, {'@': 162}), 17: (1, {'@': 162}), 31: (1, {'@': 162}), 39: (1, {'@': 162}), 40: (1, {'@': 162}), 41: (1, {'@': 162}), 32: (1, {'@': 162}), 42: (1, {'@': 162}), 3: (1, {'@': 162}), 4: (1, {'@': 162}), 43: (1, {'@': 162}), 44: (1, {'@': 162}), 45: (1, {'@': 162}), 46: (1, {'@': 162}), 18: (1, {'@': 162}), 1: (1, {'@': 162}), 47: (1, {'@': 162}), 48: (1, {'@': 162}), 22: (1, {'@': 162}), 25: (1, {'@': 162}), 26: (1, {'@': 162}), 2: (1, {'@': 162}), 29: (1, {'@': 162}), 49: (1, {'@': 162}), 50: (1, {'@': 162}), 51: (1, {'@': 162}), 33: (1, {'@': 162}), 52: (1, {'@': 162}), 34: (1, {'@': 162})}, 220: {16: (1, {'@': 163}), 35: (1, {'@': 163}), 36: (1, {'@': 163}), 20: (1, {'@': 163}), 21: (1, {'@': 163}), 23: (1, {'@': 163}), 11: (1, {'@': 163}), 24: (1, {'@': 163}), 37: (1, {'@': 163}), 27: (1, {'@': 163}), 38: (1, {'@': 163}), 30: (1, {'@': 163}), 17: (1, {'@': 163}), 31: (1, {'@': 163}), 39: (1, {'@': 163}), 40: (1, {'@': 163}), 41: (1, {'@': 163}), 32: (1, {'@': 163}), 42: (1, {'@': 163}), 3: (1, {'@': 163}), 4: (1, {'@': 163}), 43: (1, {'@': 163}), 44: (1, {'@': 163}), 45: (1, {'@': 163}), 46: (1, {'@': 163}), 18: (1, {'@': 163}), 1: (1, {'@': 163}), 47: (1, {'@': 163}), 48: (1, {'@': 163}), 22: (1, {'@': 163}), 25: (1, {'@': 163}), 26: (1, {'@': 163}), 2: (1, {'@': 163}), 29: (1, {'@': 163}), 49: (1, {'@': 163}), 50: (1, {'@': 163}), 51: (1, {'@': 163}), 33: (1, {'@': 163}), 52: (1, {'@': 163}), 34: (1, {'@': 163})}, 221: {21: (0, 298)}, 222: {63: (0, 299), 30: (0, 59)}, 223: {16: (1, {'@': 164}), 35: (1, {'@': 164}), 36: (1, {'@': 164}), 20: (1, {'@': 164}), 21: (1, {'@': 164}), 23: (1, {'@': 164}), 11: (1, {'@': 164}), 24: (1, {'@': 164}), 37: (1, {'@': 164}), 27: (1, {'@': 164}), 38: (1, {'@': 164}), 30: (1, {'@': 164}), 17: (1, {'@': 164}), 31: (1, {'@': 164}), 39: (1, {'@': 164}), 40: (1, {'@': 164}), 41: (1, {'@': 164}), 32: (1, {'@': 164}), 42: (1, {'@': 164}), 3: (1, {'@': 164}), 4: (1, {'@': 164}), 43: (1, {'@': 164}), 44: (1, {'@': 164}), 45: (1, {'@': 164}), 46: (1, {'@': 164}), 18: (1, {'@': 164}), 1: (1, {'@': 164}), 47: (1, {'@': 164}), 48: (1, {'@': 164}), 22: (1, {'@': 164}), 25: (1, {'@': 164}), 26: (1, {'@': 164}), 2: (1, {'@': 164}), 29: (1, {'@': 164}), 49: (1, {'@': 164}), 50: (1, {'@': 164}), 51: (1, {'@': 164}), 33: (1, {'@': 164}), 52: (1, {'@': 164}), 34: (1, {'@': 164})}, 224: {21: (0, 300)}, 225: {16: (1, {'@': 165}), 35: (1, {'@': 165}), 36: (1, {'@': 165}), 20: (1, {'@': 165}), 21: (1, {'@': 165}), 23: (1, {'@': 165}), 11: (1, {'@': 165}), 24: (1, {'@': 165}), 37: (1, {'@': 165}), 27: (1, {'@': 165}), 38: (1, {'@': 165}), 30: (1, {'@': 165}), 17: (1, {'@': 165}), 31: (1, {'@': 165}), 39: (1, {'@': 165}), 40: (1, {'@': 165}), 41: (1, {'@': 165}), 32: (1, {'@': 165}), 42: (1, {'@': 165}), 3: (1, {'@': 165}), 4: (1, {'@': 165}), 43: (1, {'@': 165}), 44: (1, {'@': 165}), 45: (1, {'@': 165}), 46: (1, {'@': 165}), 18: (1, {'@': 165}), 1: (1, {'@': 165}), 47: (1, {'@': 165}), 48: (1, {'@': 165}), 22: (1, {'@': 165}), 25: (1, {'@': 165}), 26: (1, {'@': 165}), 2: (1, {'@': 165}), 29: (1, {'@': 165}), 49: (1, {'@': 165}), 50: (1, {'@': 165}), 51: (1, {'@': 165}), 33: (1, {'@': 165}), 52: (1, {'@': 165}), 34: (1, {'@': 165})}, 226: {16: (1, {'@': 166}), 35: (1, {'@': 166}), 36: (0, 106), 20: (1, {'@': 166}), 21: (1, {'@': 166}), 23: (1, {'@': 166}), 11: (1, {'@': 166}), 24: (1, {'@': 166}), 37: (0, 111), 27: (1, {'@': 166}), 38: (0, 100), 30: (1, {'@': 166}), 17: (1, {'@': 166}), 31: (1, {'@': 166}), 39: (0, 114), 40: (0, 102), 41: (0, 104), 32: (1, {'@': 166}), 42: (0, 115), 3: (1, {'@': 166}), 4: (1, {'@': 166}), 43: (0, 110), 44: (1, {'@': 166}), 45: (1, {'@': 166}), 18: (1, {'@': 166}), 1: (1, {'@': 166}), 47: (0, 113), 48: (0, 112), 22: (0, 108), 25: (1, {'@': 166}), 26: (1, {'@': 166}), 2: (1, {'@': 166}), 29: (1, {'@': 166}), 49: (0, 101), 50: (0, 103), 51: (0, 107), 33: (1, {'@': 166}), 34: (1, {'@': 166}), 83: (0, 99), 84: (0, 109)}, 227: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 69: (0, 301), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 228: {6: (0, 2), 4: (0, 4), 3: (0, 5), 8: (0, 302), 2: (0, 9)}, 229: {11: (1, {'@': 167}), 0: (1, {'@': 167}), 1: (1, {'@': 167}), 2: (1, {'@': 167}), 3: (1, {'@': 167}), 4: (1, {'@': 167})}, 230: {11: (1, {'@': 168}), 0: (1, {'@': 168}), 1: (1, {'@': 168}), 2: (1, {'@': 168}), 3: (1, {'@': 168}), 4: (1, {'@': 168})}, 231: {6: (0, 2), 4: (0, 4), 3: (0, 5), 8: (0, 303), 2: (0, 9)}, 232: {16: (1, {'@': 169}), 35: (1, {'@': 169}), 36: (1, {'@': 169}), 20: (1, {'@': 169}), 21: (1, {'@': 169}), 23: (1, {'@': 169}), 11: (1, {'@': 169}), 24: (1, {'@': 169}), 37: (1, {'@': 169}), 27: (1, {'@': 169}), 38: (1, {'@': 169}), 30: (1, {'@': 169}), 17: (1, {'@': 169}), 31: (1, {'@': 169}), 39: (1, {'@': 169}), 40: (1, {'@': 169}), 41: (1, {'@': 169}), 32: (1, {'@': 169}), 42: (1, {'@': 169}), 3: (1, {'@': 169}), 4: (1, {'@': 169}), 43: (1, {'@': 169}), 44: (1, {'@': 169}), 45: (1, {'@': 169}), 46: (1, {'@': 169}), 18: (1, {'@': 169}), 1: (1, {'@': 169}), 47: (1, {'@': 169}), 48: (1, {'@': 169}), 22: (1, {'@': 169}), 25: (1, {'@': 169}), 26: (1, {'@': 169}), 2: (1, {'@': 169}), 29: (1, {'@': 169}), 49: (1, {'@': 169}), 50: (1, {'@': 169}), 51: (1, {'@': 169}), 33: (1, {'@': 169}), 52: (1, {'@': 169}), 34: (1, {'@': 169})}, 233: {6: (0, 2), 4: (0, 4), 3: (0, 5), 23: (0, 304), 8: (0, 305), 2: (0, 9)}, 234: {23: (0, 306)}, 235: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 69: (0, 307), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 236: {1: (1, {'@': 170}), 2: (1, {'@': 170}), 3: (1, {'@': 170}), 4: (1, {'@': 170}), 23: (1, {'@': 170}), 83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 237: {23: (0, 308)}, 238: {16: (1, {'@': 171}), 35: (1, {'@': 171}), 36: (1, {'@': 171}), 20: (1, {'@': 171}), 21: (1, {'@': 171}), 23: (1, {'@': 171}), 11: (1, {'@': 171}), 24: (1, {'@': 171}), 37: (1, {'@': 171}), 27: (1, {'@': 171}), 38: (1, {'@': 171}), 30: (1, {'@': 171}), 17: (1, {'@': 171}), 31: (1, {'@': 171}), 39: (1, {'@': 171}), 40: (1, {'@': 171}), 41: (1, {'@': 171}), 32: (1, {'@': 171}), 42: (1, {'@': 171}), 3: (1, {'@': 171}), 4: (1, {'@': 171}), 43: (1, {'@': 171}), 44: (1, {'@': 171}), 45: (1, {'@': 171}), 46: (1, {'@': 171}), 18: (1, {'@': 171}), 1: (1, {'@': 171}), 47: (1, {'@': 171}), 48: (1, {'@': 171}), 22: (1, {'@': 171}), 25: (1, {'@': 171}), 26: (1, {'@': 171}), 2: (1, {'@': 171}), 29: (1, {'@': 171}), 49: (1, {'@': 171}), 50: (1, {'@': 171}), 51: (1, {'@': 171}), 33: (1, {'@': 171}), 52: (1, {'@': 171}), 34: (1, {'@': 171})}, 239: {16: (1, {'@': 172}), 35: (1, {'@': 172}), 36: (1, {'@': 172}), 20: (1, {'@': 172}), 21: (1, {'@': 172}), 23: (1, {'@': 172}), 11: (1, {'@': 172}), 24: (1, {'@': 172}), 37: (1, {'@': 172}), 27: (1, {'@': 172}), 38: (1, {'@': 172}), 30: (1, {'@': 172}), 17: (1, {'@': 172}), 31: (1, {'@': 172}), 39: (1, {'@': 172}), 40: (1, {'@': 172}), 41: (1, {'@': 172}), 32: (1, {'@': 172}), 42: (1, {'@': 172}), 3: (1, {'@': 172}), 4: (1, {'@': 172}), 43: (1, {'@': 172}), 44: (1, {'@': 172}), 45: (1, {'@': 172}), 46: (1, {'@': 172}), 18: (1, {'@': 172}), 1: (1, {'@': 172}), 47: (1, {'@': 172}), 48: (1, {'@': 172}), 22: (1, {'@': 172}), 25: (1, {'@': 172}), 26: (1, {'@': 172}), 2: (1, {'@': 172}), 29: (1, {'@': 172}), 49: (1, {'@': 172}), 50: (1, {'@': 172}), 51: (1, {'@': 172}), 33: (1, {'@': 172}), 52: (1, {'@': 172}), 34: (1, {'@': 172})}, 240: {6: (0, 2), 23: (0, 309), 4: (0, 4), 3: (0, 5), 90: (0, 310), 33: (0, 171), 8: (0, 311), 2: (0, 9)}, 241: {6: (0, 2), 4: (0, 4), 3: (0, 5), 23: (0, 312), 8: (0, 313), 2: (0, 9)}, 242: {6: (0, 2), 8: (0, 314), 4: (0, 4), 3: (0, 5), 19: (0, 315), 2: (0, 9)}, 243: {6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 8: (0, 316), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 69: (0, 317), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 244: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 69: (0, 318), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 245: {83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 35: (0, 319), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 246: {5: (0, 320), 11: (0, 10)}, 247: {19: (0, 321)}, 248: {6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 69: (0, 322), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 8: (0, 323), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 249: {16: (1, {'@': 173}), 35: (1, {'@': 173}), 36: (1, {'@': 173}), 20: (1, {'@': 173}), 21: (1, {'@': 173}), 23: (1, {'@': 173}), 11: (1, {'@': 173}), 24: (1, {'@': 173}), 37: (1, {'@': 173}), 27: (1, {'@': 173}), 38: (1, {'@': 173}), 30: (1, {'@': 173}), 17: (1, {'@': 173}), 31: (1, {'@': 173}), 39: (1, {'@': 173}), 40: (1, {'@': 173}), 41: (1, {'@': 173}), 32: (1, {'@': 173}), 42: (1, {'@': 173}), 3: (1, {'@': 173}), 4: (1, {'@': 173}), 43: (1, {'@': 173}), 44: (1, {'@': 173}), 45: (1, {'@': 173}), 46: (1, {'@': 173}), 18: (1, {'@': 173}), 1: (1, {'@': 173}), 47: (1, {'@': 173}), 48: (1, {'@': 173}), 22: (1, {'@': 173}), 25: (1, {'@': 173}), 26: (1, {'@': 173}), 2: (1, {'@': 173}), 29: (1, {'@': 173}), 49: (1, {'@': 173}), 50: (1, {'@': 173}), 51: (1, {'@': 173}), 33: (1, {'@': 173}), 52: (1, {'@': 173}), 34: (1, {'@': 173})}, 250: {44: (1, {'@': 174}), 34: (1, {'@': 174}), 2: (1, {'@': 174}), 21: (1, {'@': 174}), 3: (1, {'@': 174}), 4: (1, {'@': 174}), 23: (1, {'@': 174}), 83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 251: {6: (0, 2), 32: (0, 31), 69: (0, 324), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 23: (0, 325), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 8: (0, 326), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 252: {23: (0, 327)}, 253: {16: (1, {'@': 175}), 35: (1, {'@': 175}), 36: (1, {'@': 175}), 20: (1, {'@': 175}), 21: (1, {'@': 175}), 23: (1, {'@': 175}), 11: (1, {'@': 175}), 24: (1, {'@': 175}), 37: (1, {'@': 175}), 27: (1, {'@': 175}), 38: (1, {'@': 175}), 30: (1, {'@': 175}), 17: (1, {'@': 175}), 31: (1, {'@': 175}), 39: (1, {'@': 175}), 40: (1, {'@': 175}), 41: (1, {'@': 175}), 32: (1, {'@': 175}), 42: (1, {'@': 175}), 3: (1, {'@': 175}), 4: (1, {'@': 175}), 43: (1, {'@': 175}), 44: (1, {'@': 175}), 45: (1, {'@': 175}), 46: (1, {'@': 175}), 18: (1, {'@': 175}), 1: (1, {'@': 175}), 47: (1, {'@': 175}), 48: (1, {'@': 175}), 22: (1, {'@': 175}), 25: (1, {'@': 175}), 26: (1, {'@': 175}), 2: (1, {'@': 175}), 29: (1, {'@': 175}), 49: (1, {'@': 175}), 50: (1, {'@': 175}), 51: (1, {'@': 175}), 33: (1, {'@': 175}), 52: (1, {'@': 175}), 34: (1, {'@': 175})}, 254: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 23: (0, 328), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 69: (0, 329), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 255: {44: (1, {'@': 176}), 34: (1, {'@': 176}), 2: (1, {'@': 176}), 21: (1, {'@': 176}), 3: (1, {'@': 176}), 4: (1, {'@': 176}), 23: (1, {'@': 176}), 83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 256: {16: (1, {'@': 177}), 35: (1, {'@': 177}), 36: (1, {'@': 177}), 20: (1, {'@': 177}), 21: (1, {'@': 177}), 23: (1, {'@': 177}), 11: (1, {'@': 177}), 24: (1, {'@': 177}), 37: (1, {'@': 177}), 27: (1, {'@': 177}), 38: (1, {'@': 177}), 30: (1, {'@': 177}), 17: (1, {'@': 177}), 31: (1, {'@': 177}), 39: (1, {'@': 177}), 40: (1, {'@': 177}), 41: (1, {'@': 177}), 32: (1, {'@': 177}), 42: (1, {'@': 177}), 3: (1, {'@': 177}), 4: (1, {'@': 177}), 43: (1, {'@': 177}), 44: (1, {'@': 177}), 45: (1, {'@': 177}), 46: (1, {'@': 177}), 18: (1, {'@': 177}), 1: (1, {'@': 177}), 47: (1, {'@': 177}), 48: (1, {'@': 177}), 22: (1, {'@': 177}), 25: (1, {'@': 177}), 26: (1, {'@': 177}), 2: (1, {'@': 177}), 29: (1, {'@': 177}), 49: (1, {'@': 177}), 50: (1, {'@': 177}), 51: (1, {'@': 177}), 33: (1, {'@': 177}), 52: (1, {'@': 177}), 34: (1, {'@': 177})}, 257: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 69: (0, 330), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 23: (0, 331), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 258: {44: (1, {'@': 178}), 34: (1, {'@': 178}), 2: (1, {'@': 178}), 21: (1, {'@': 178}), 3: (1, {'@': 178}), 4: (1, {'@': 178}), 23: (1, {'@': 178}), 83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 259: {16: (1, {'@': 179}), 35: (1, {'@': 179}), 36: (1, {'@': 179}), 20: (1, {'@': 179}), 21: (1, {'@': 179}), 23: (1, {'@': 179}), 11: (1, {'@': 179}), 24: (1, {'@': 179}), 37: (1, {'@': 179}), 27: (1, {'@': 179}), 38: (1, {'@': 179}), 30: (1, {'@': 179}), 17: (1, {'@': 179}), 31: (1, {'@': 179}), 39: (1, {'@': 179}), 40: (1, {'@': 179}), 41: (1, {'@': 179}), 32: (1, {'@': 179}), 42: (1, {'@': 179}), 3: (1, {'@': 179}), 4: (1, {'@': 179}), 43: (1, {'@': 179}), 44: (1, {'@': 179}), 45: (1, {'@': 179}), 46: (1, {'@': 179}), 18: (1, {'@': 179}), 1: (1, {'@': 179}), 47: (1, {'@': 179}), 48: (1, {'@': 179}), 22: (1, {'@': 179}), 25: (1, {'@': 179}), 26: (1, {'@': 179}), 2: (1, {'@': 179}), 29: (1, {'@': 179}), 49: (1, {'@': 179}), 50: (1, {'@': 179}), 51: (1, {'@': 179}), 33: (1, {'@': 179}), 52: (1, {'@': 179}), 34: (1, {'@': 179})}, 260: {16: (1, {'@': 180}), 35: (1, {'@': 180}), 36: (1, {'@': 180}), 20: (1, {'@': 180}), 21: (1, {'@': 180}), 23: (1, {'@': 180}), 11: (1, {'@': 180}), 24: (1, {'@': 180}), 37: (1, {'@': 180}), 27: (1, {'@': 180}), 38: (1, {'@': 180}), 30: (1, {'@': 180}), 17: (1, {'@': 180}), 31: (1, {'@': 180}), 39: (1, {'@': 180}), 40: (1, {'@': 180}), 41: (1, {'@': 180}), 32: (1, {'@': 180}), 42: (1, {'@': 180}), 3: (1, {'@': 180}), 4: (1, {'@': 180}), 43: (1, {'@': 180}), 44: (1, {'@': 180}), 45: (1, {'@': 180}), 46: (1, {'@': 180}), 18: (1, {'@': 180}), 1: (1, {'@': 180}), 47: (1, {'@': 180}), 48: (1, {'@': 180}), 22: (1, {'@': 180}), 25: (1, {'@': 180}), 26: (1, {'@': 180}), 2: (1, {'@': 180}), 29: (1, {'@': 180}), 49: (1, {'@': 180}), 50: (1, {'@': 180}), 51: (1, {'@': 180}), 33: (1, {'@': 180}), 52: (1, {'@': 180}), 34: (1, {'@': 180})}, 261: {6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 332), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 69: (0, 255), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 23: (0, 333), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 262: {6: (0, 2), 34: (0, 334), 4: (0, 4), 3: (0, 5), 2: (0, 9), 23: (0, 335), 8: (0, 336)}, 263: {16: (1, {'@': 181}), 35: (1, {'@': 181}), 36: (1, {'@': 181}), 20: (1, {'@': 181}), 21: (1, {'@': 181}), 23: (1, {'@': 181}), 11: (1, {'@': 181}), 24: (1, {'@': 181}), 37: (1, {'@': 181}), 27: (1, {'@': 181}), 38: (1, {'@': 181}), 30: (1, {'@': 181}), 17: (1, {'@': 181}), 31: (1, {'@': 181}), 39: (1, {'@': 181}), 40: (1, {'@': 181}), 41: (1, {'@': 181}), 32: (1, {'@': 181}), 42: (1, {'@': 181}), 3: (1, {'@': 181}), 4: (1, {'@': 181}), 43: (1, {'@': 181}), 44: (1, {'@': 181}), 45: (1, {'@': 181}), 46: (1, {'@': 181}), 18: (1, {'@': 181}), 1: (1, {'@': 181}), 47: (1, {'@': 181}), 48: (1, {'@': 181}), 22: (1, {'@': 181}), 25: (1, {'@': 181}), 26: (1, {'@': 181}), 2: (1, {'@': 181}), 29: (1, {'@': 181}), 49: (1, {'@': 181}), 50: (1, {'@': 181}), 51: (1, {'@': 181}), 33: (1, {'@': 181}), 52: (1, {'@': 181}), 34: (1, {'@': 181})}, 264: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 23: (0, 337), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 69: (0, 250), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 265: {16: (1, {'@': 182}), 35: (1, {'@': 182}), 36: (1, {'@': 182}), 20: (1, {'@': 182}), 21: (1, {'@': 182}), 23: (1, {'@': 182}), 11: (1, {'@': 182}), 24: (1, {'@': 182}), 37: (1, {'@': 182}), 27: (1, {'@': 182}), 38: (1, {'@': 182}), 30: (1, {'@': 182}), 17: (1, {'@': 182}), 31: (1, {'@': 182}), 39: (1, {'@': 182}), 40: (1, {'@': 182}), 41: (1, {'@': 182}), 32: (1, {'@': 182}), 42: (1, {'@': 182}), 3: (1, {'@': 182}), 4: (1, {'@': 182}), 43: (1, {'@': 182}), 44: (1, {'@': 182}), 45: (1, {'@': 182}), 46: (1, {'@': 182}), 18: (1, {'@': 182}), 1: (1, {'@': 182}), 47: (1, {'@': 182}), 48: (1, {'@': 182}), 22: (1, {'@': 182}), 25: (1, {'@': 182}), 26: (1, {'@': 182}), 2: (1, {'@': 182}), 29: (1, {'@': 182}), 49: (1, {'@': 182}), 50: (1, {'@': 182}), 51: (1, {'@': 182}), 33: (1, {'@': 182}), 52: (1, {'@': 182}), 34: (1, {'@': 182})}, 266: {6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 69: (0, 258), 59: (0, 42), 23: (0, 338), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 8: (0, 339), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 267: {23: (0, 340)}, 268: {16: (1, {'@': 183}), 35: (1, {'@': 183}), 36: (1, {'@': 183}), 20: (1, {'@': 183}), 21: (1, {'@': 183}), 23: (1, {'@': 183}), 11: (1, {'@': 183}), 24: (1, {'@': 183}), 37: (1, {'@': 183}), 27: (1, {'@': 183}), 38: (1, {'@': 183}), 30: (1, {'@': 183}), 17: (1, {'@': 183}), 31: (1, {'@': 183}), 39: (1, {'@': 183}), 40: (1, {'@': 183}), 41: (1, {'@': 183}), 32: (1, {'@': 183}), 42: (1, {'@': 183}), 3: (1, {'@': 183}), 4: (1, {'@': 183}), 43: (1, {'@': 183}), 44: (1, {'@': 183}), 45: (1, {'@': 183}), 46: (1, {'@': 183}), 18: (1, {'@': 183}), 1: (1, {'@': 183}), 47: (1, {'@': 183}), 48: (1, {'@': 183}), 22: (1, {'@': 183}), 25: (1, {'@': 183}), 26: (1, {'@': 183}), 2: (1, {'@': 183}), 29: (1, {'@': 183}), 49: (1, {'@': 183}), 50: (1, {'@': 183}), 51: (1, {'@': 183}), 33: (1, {'@': 183}), 52: (1, {'@': 183}), 34: (1, {'@': 183})}, 269: {6: (0, 2), 4: (0, 4), 3: (0, 5), 8: (0, 341), 2: (0, 9), 23: (0, 342)}, 270: {23: (0, 343), 6: (0, 2), 4: (0, 4), 90: (0, 344), 3: (0, 5), 33: (0, 171), 2: (0, 9), 8: (0, 345)}, 271: {16: (1, {'@': 184}), 35: (1, {'@': 184}), 36: (1, {'@': 184}), 20: (1, {'@': 184}), 21: (1, {'@': 184}), 23: (1, {'@': 184}), 11: (1, {'@': 184}), 24: (1, {'@': 184}), 37: (1, {'@': 184}), 27: (1, {'@': 184}), 38: (1, {'@': 184}), 30: (1, {'@': 184}), 17: (1, {'@': 184}), 31: (1, {'@': 184}), 39: (1, {'@': 184}), 40: (1, {'@': 184}), 41: (1, {'@': 184}), 32: (1, {'@': 184}), 42: (1, {'@': 184}), 3: (1, {'@': 184}), 4: (1, {'@': 184}), 43: (1, {'@': 184}), 44: (1, {'@': 184}), 45: (1, {'@': 184}), 46: (1, {'@': 184}), 18: (1, {'@': 184}), 1: (1, {'@': 184}), 47: (1, {'@': 184}), 48: (1, {'@': 184}), 22: (1, {'@': 184}), 25: (1, {'@': 184}), 26: (1, {'@': 184}), 2: (1, {'@': 184}), 29: (1, {'@': 184}), 49: (1, {'@': 184}), 50: (1, {'@': 184}), 51: (1, {'@': 184}), 33: (1, {'@': 184}), 52: (1, {'@': 184}), 34: (1, {'@': 184})}, 272: {83: (0, 99), 38: (0, 100), 6: (0, 2), 8: (0, 346), 40: (0, 102), 36: (0, 106), 90: (0, 347), 47: (0, 113), 33: (0, 171), 42: (0, 115), 23: (0, 348), 4: (0, 4), 49: (0, 101), 3: (0, 5), 50: (0, 103), 41: (0, 104), 51: (0, 107), 22: (0, 108), 84: (0, 109), 2: (0, 9), 43: (0, 110), 37: (0, 111), 48: (0, 112), 39: (0, 114)}, 273: {16: (1, {'@': 185}), 35: (1, {'@': 185}), 36: (1, {'@': 185}), 20: (1, {'@': 185}), 21: (1, {'@': 185}), 23: (1, {'@': 185}), 11: (1, {'@': 185}), 24: (1, {'@': 185}), 37: (1, {'@': 185}), 27: (1, {'@': 185}), 38: (1, {'@': 185}), 30: (1, {'@': 185}), 17: (1, {'@': 185}), 31: (1, {'@': 185}), 39: (1, {'@': 185}), 40: (1, {'@': 185}), 41: (1, {'@': 185}), 32: (0, 274), 42: (1, {'@': 185}), 3: (1, {'@': 185}), 4: (1, {'@': 185}), 43: (1, {'@': 185}), 44: (1, {'@': 185}), 45: (1, {'@': 185}), 46: (1, {'@': 185}), 18: (1, {'@': 185}), 1: (1, {'@': 185}), 47: (1, {'@': 185}), 48: (1, {'@': 185}), 22: (1, {'@': 185}), 25: (1, {'@': 185}), 26: (1, {'@': 185}), 2: (1, {'@': 185}), 29: (1, {'@': 185}), 49: (1, {'@': 185}), 50: (1, {'@': 185}), 51: (1, {'@': 185}), 33: (1, {'@': 185}), 52: (0, 85), 34: (1, {'@': 185}), 78: (0, 349), 77: (0, 350)}, 274: {6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 69: (0, 135), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 8: (0, 136), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 275: {16: (1, {'@': 186}), 35: (1, {'@': 186}), 36: (1, {'@': 186}), 20: (1, {'@': 186}), 21: (1, {'@': 186}), 23: (1, {'@': 186}), 11: (1, {'@': 186}), 24: (1, {'@': 186}), 37: (1, {'@': 186}), 27: (1, {'@': 186}), 38: (1, {'@': 186}), 30: (1, {'@': 186}), 17: (1, {'@': 186}), 31: (1, {'@': 186}), 39: (1, {'@': 186}), 40: (1, {'@': 186}), 41: (1, {'@': 186}), 32: (1, {'@': 186}), 42: (1, {'@': 186}), 3: (1, {'@': 186}), 4: (1, {'@': 186}), 43: (1, {'@': 186}), 44: (1, {'@': 186}), 45: (1, {'@': 186}), 46: (1, {'@': 186}), 18: (1, {'@': 186}), 1: (1, {'@': 186}), 47: (1, {'@': 186}), 48: (1, {'@': 186}), 22: (1, {'@': 186}), 25: (1, {'@': 186}), 26: (1, {'@': 186}), 2: (1, {'@': 186}), 29: (1, {'@': 186}), 49: (1, {'@': 186}), 50: (1, {'@': 186}), 51: (1, {'@': 186}), 33: (1, {'@': 186}), 52: (1, {'@': 186}), 34: (1, {'@': 186})}, 276: {16: (1, {'@': 187}), 35: (1, {'@': 187}), 36: (1, {'@': 187}), 20: (1, {'@': 187}), 21: (1, {'@': 187}), 23: (1, {'@': 187}), 11: (1, {'@': 187}), 24: (1, {'@': 187}), 37: (1, {'@': 187}), 27: (1, {'@': 187}), 38: (1, {'@': 187}), 30: (1, {'@': 187}), 17: (1, {'@': 187}), 31: (1, {'@': 187}), 39: (1, {'@': 187}), 40: (1, {'@': 187}), 41: (1, {'@': 187}), 32: (1, {'@': 187}), 42: (1, {'@': 187}), 3: (1, {'@': 187}), 4: (1, {'@': 187}), 43: (1, {'@': 187}), 44: (1, {'@': 187}), 45: (1, {'@': 187}), 46: (1, {'@': 187}), 18: (1, {'@': 187}), 1: (1, {'@': 187}), 47: (1, {'@': 187}), 48: (1, {'@': 187}), 22: (1, {'@': 187}), 25: (1, {'@': 187}), 26: (1, {'@': 187}), 2: (1, {'@': 187}), 29: (1, {'@': 187}), 49: (1, {'@': 187}), 50: (1, {'@': 187}), 51: (1, {'@': 187}), 33: (1, {'@': 187}), 52: (1, {'@': 187}), 34: (1, {'@': 187})}, 277: {16: (1, {'@': 188}), 35: (1, {'@': 188}), 36: (1, {'@': 188}), 20: (1, {'@': 188}), 21: (1, {'@': 188}), 23: (1, {'@': 188}), 11: (1, {'@': 188}), 24: (1, {'@': 188}), 37: (1, {'@': 188}), 27: (1, {'@': 188}), 38: (1, {'@': 188}), 30: (1, {'@': 188}), 17: (1, {'@': 188}), 31: (1, {'@': 188}), 39: (1, {'@': 188}), 40: (1, {'@': 188}), 41: (1, {'@': 188}), 32: (1, {'@': 188}), 42: (1, {'@': 188}), 3: (1, {'@': 188}), 4: (1, {'@': 188}), 43: (1, {'@': 188}), 44: (1, {'@': 188}), 45: (1, {'@': 188}), 46: (1, {'@': 188}), 18: (1, {'@': 188}), 1: (1, {'@': 188}), 47: (1, {'@': 188}), 48: (1, {'@': 188}), 22: (1, {'@': 188}), 25: (1, {'@': 188}), 26: (1, {'@': 188}), 2: (1, {'@': 188}), 29: (1, {'@': 188}), 49: (1, {'@': 188}), 50: (1, {'@': 188}), 51: (1, {'@': 188}), 33: (1, {'@': 188}), 52: (1, {'@': 188}), 34: (1, {'@': 188})}, 278: {23: (0, 351)}, 279: {16: (1, {'@': 189}), 35: (1, {'@': 189}), 36: (1, {'@': 189}), 20: (1, {'@': 189}), 21: (1, {'@': 189}), 23: (1, {'@': 189}), 11: (1, {'@': 189}), 24: (1, {'@': 189}), 37: (1, {'@': 189}), 27: (1, {'@': 189}), 38: (1, {'@': 189}), 30: (1, {'@': 189}), 17: (1, {'@': 189}), 31: (1, {'@': 189}), 39: (1, {'@': 189}), 40: (1, {'@': 189}), 41: (1, {'@': 189}), 32: (1, {'@': 189}), 42: (1, {'@': 189}), 3: (1, {'@': 189}), 4: (1, {'@': 189}), 43: (1, {'@': 189}), 44: (1, {'@': 189}), 45: (1, {'@': 189}), 46: (1, {'@': 189}), 18: (1, {'@': 189}), 1: (1, {'@': 189}), 47: (1, {'@': 189}), 48: (1, {'@': 189}), 22: (1, {'@': 189}), 25: (1, {'@': 189}), 26: (1, {'@': 189}), 2: (1, {'@': 189}), 29: (1, {'@': 189}), 49: (1, {'@': 189}), 50: (1, {'@': 189}), 51: (1, {'@': 189}), 33: (1, {'@': 189}), 52: (1, {'@': 189}), 34: (1, {'@': 189})}, 280: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 69: (0, 352), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 281: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 88), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 69: (0, 90), 22: (0, 40), 81: (0, 288), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 1: (0, 353), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 282: {16: (1, {'@': 190}), 35: (1, {'@': 190}), 36: (1, {'@': 190}), 20: (1, {'@': 190}), 21: (1, {'@': 190}), 23: (1, {'@': 190}), 11: (1, {'@': 190}), 24: (1, {'@': 190}), 37: (1, {'@': 190}), 27: (1, {'@': 190}), 38: (1, {'@': 190}), 30: (1, {'@': 190}), 17: (1, {'@': 190}), 31: (1, {'@': 190}), 39: (1, {'@': 190}), 40: (1, {'@': 190}), 41: (1, {'@': 190}), 32: (1, {'@': 190}), 42: (1, {'@': 190}), 3: (1, {'@': 190}), 4: (1, {'@': 190}), 43: (1, {'@': 190}), 44: (1, {'@': 190}), 45: (1, {'@': 190}), 46: (1, {'@': 190}), 18: (1, {'@': 190}), 1: (1, {'@': 190}), 47: (1, {'@': 190}), 48: (1, {'@': 190}), 22: (1, {'@': 190}), 25: (1, {'@': 190}), 26: (1, {'@': 190}), 2: (1, {'@': 190}), 29: (1, {'@': 190}), 49: (1, {'@': 190}), 50: (1, {'@': 190}), 51: (1, {'@': 190}), 33: (1, {'@': 190}), 52: (1, {'@': 190}), 34: (1, {'@': 190})}, 283: {16: (1, {'@': 191}), 35: (1, {'@': 191}), 36: (1, {'@': 191}), 20: (1, {'@': 191}), 21: (1, {'@': 191}), 23: (1, {'@': 191}), 11: (1, {'@': 191}), 24: (1, {'@': 191}), 37: (1, {'@': 191}), 27: (1, {'@': 191}), 38: (1, {'@': 191}), 30: (1, {'@': 191}), 17: (1, {'@': 191}), 31: (1, {'@': 191}), 39: (1, {'@': 191}), 40: (1, {'@': 191}), 41: (1, {'@': 191}), 32: (1, {'@': 191}), 42: (1, {'@': 191}), 3: (1, {'@': 191}), 4: (1, {'@': 191}), 43: (1, {'@': 191}), 44: (1, {'@': 191}), 45: (1, {'@': 191}), 46: (1, {'@': 191}), 18: (1, {'@': 191}), 1: (1, {'@': 191}), 47: (1, {'@': 191}), 48: (1, {'@': 191}), 22: (1, {'@': 191}), 25: (1, {'@': 191}), 26: (1, {'@': 191}), 2: (1, {'@': 191}), 29: (1, {'@': 191}), 49: (1, {'@': 191}), 50: (1, {'@': 191}), 51: (1, {'@': 191}), 33: (1, {'@': 191}), 52: (1, {'@': 191}), 34: (1, {'@': 191})}, 284: {83: (0, 99), 38: (0, 100), 6: (0, 2), 44: (0, 354), 40: (0, 102), 36: (0, 106), 47: (0, 113), 33: (0, 171), 42: (0, 115), 8: (0, 355), 4: (0, 4), 49: (0, 101), 3: (0, 5), 50: (0, 103), 41: (0, 104), 51: (0, 107), 22: (0, 108), 90: (0, 356), 84: (0, 109), 2: (0, 9), 43: (0, 110), 37: (0, 111), 48: (0, 112), 1: (0, 357), 39: (0, 114)}, 285: {2: (1, {'@': 159}), 21: (0, 223), 3: (1, {'@': 159}), 4: (1, {'@': 159}), 34: (0, 292)}, 286: {2: (0, 9), 21: (0, 225), 3: (0, 5), 4: (0, 4), 85: (0, 213), 83: (0, 99), 8: (0, 358), 6: (0, 2), 38: (0, 100), 40: (0, 102), 34: (0, 215), 36: (0, 106), 47: (0, 113), 42: (0, 115), 49: (0, 101), 50: (0, 103), 41: (0, 104), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 39: (0, 114), 44: (0, 216)}, 287: {16: (1, {'@': 192}), 35: (1, {'@': 192}), 36: (1, {'@': 192}), 20: (1, {'@': 192}), 21: (1, {'@': 192}), 23: (1, {'@': 192}), 11: (1, {'@': 192}), 24: (1, {'@': 192}), 37: (1, {'@': 192}), 27: (1, {'@': 192}), 38: (1, {'@': 192}), 30: (1, {'@': 192}), 17: (1, {'@': 192}), 31: (1, {'@': 192}), 39: (1, {'@': 192}), 40: (1, {'@': 192}), 41: (1, {'@': 192}), 32: (1, {'@': 192}), 42: (1, {'@': 192}), 3: (1, {'@': 192}), 4: (1, {'@': 192}), 43: (1, {'@': 192}), 44: (1, {'@': 192}), 45: (1, {'@': 192}), 46: (1, {'@': 192}), 18: (1, {'@': 192}), 1: (1, {'@': 192}), 47: (1, {'@': 192}), 48: (1, {'@': 192}), 22: (1, {'@': 192}), 25: (1, {'@': 192}), 26: (1, {'@': 192}), 2: (1, {'@': 192}), 29: (1, {'@': 192}), 49: (1, {'@': 192}), 50: (1, {'@': 192}), 51: (1, {'@': 192}), 33: (1, {'@': 192}), 52: (1, {'@': 192}), 34: (1, {'@': 192})}, 288: {1: (1, {'@': 193}), 2: (1, {'@': 193}), 3: (1, {'@': 193}), 4: (1, {'@': 193}), 34: (1, {'@': 193})}, 289: {2: (0, 9), 21: (1, {'@': 194}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 8: (0, 359), 59: (0, 42), 69: (0, 255), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 290: {2: (0, 9), 21: (1, {'@': 195}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 8: (0, 360)}, 291: {2: (1, {'@': 196}), 21: (1, {'@': 196}), 3: (1, {'@': 196}), 4: (1, {'@': 196}), 34: (0, 361)}, 292: {6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 69: (0, 258), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 67: (0, 53), 8: (0, 362), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 293: {2: (1, {'@': 197}), 21: (1, {'@': 197}), 3: (1, {'@': 197}), 4: (1, {'@': 197}), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 69: (0, 250), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 294: {2: (1, {'@': 198}), 21: (1, {'@': 198}), 3: (1, {'@': 198}), 4: (1, {'@': 198})}, 295: {16: (1, {'@': 199}), 35: (1, {'@': 199}), 36: (1, {'@': 199}), 20: (1, {'@': 199}), 21: (1, {'@': 199}), 23: (1, {'@': 199}), 11: (1, {'@': 199}), 24: (1, {'@': 199}), 37: (1, {'@': 199}), 27: (1, {'@': 199}), 38: (1, {'@': 199}), 30: (1, {'@': 199}), 17: (1, {'@': 199}), 31: (1, {'@': 199}), 39: (1, {'@': 199}), 40: (1, {'@': 199}), 41: (1, {'@': 199}), 32: (1, {'@': 199}), 42: (1, {'@': 199}), 3: (1, {'@': 199}), 4: (1, {'@': 199}), 43: (1, {'@': 199}), 44: (1, {'@': 199}), 45: (1, {'@': 199}), 46: (1, {'@': 199}), 18: (1, {'@': 199}), 1: (1, {'@': 199}), 47: (1, {'@': 199}), 48: (1, {'@': 199}), 22: (1, {'@': 199}), 25: (1, {'@': 199}), 26: (1, {'@': 199}), 2: (1, {'@': 199}), 29: (1, {'@': 199}), 49: (1, {'@': 199}), 50: (1, {'@': 199}), 51: (1, {'@': 199}), 33: (1, {'@': 199}), 52: (1, {'@': 199}), 34: (1, {'@': 199})}, 296: {21: (0, 363)}, 297: {16: (1, {'@': 200}), 35: (1, {'@': 200}), 36: (1, {'@': 200}), 20: (1, {'@': 200}), 21: (1, {'@': 200}), 23: (1, {'@': 200}), 11: (1, {'@': 200}), 24: (1, {'@': 200}), 37: (1, {'@': 200}), 27: (1, {'@': 200}), 38: (1, {'@': 200}), 30: (1, {'@': 200}), 17: (1, {'@': 200}), 31: (1, {'@': 200}), 39: (1, {'@': 200}), 40: (1, {'@': 200}), 41: (1, {'@': 200}), 32: (1, {'@': 200}), 42: (1, {'@': 200}), 3: (1, {'@': 200}), 4: (1, {'@': 200}), 43: (1, {'@': 200}), 44: (1, {'@': 200}), 45: (1, {'@': 200}), 46: (1, {'@': 200}), 18: (1, {'@': 200}), 1: (1, {'@': 200}), 47: (1, {'@': 200}), 48: (1, {'@': 200}), 22: (1, {'@': 200}), 25: (1, {'@': 200}), 26: (1, {'@': 200}), 2: (1, {'@': 200}), 29: (1, {'@': 200}), 49: (1, {'@': 200}), 50: (1, {'@': 200}), 51: (1, {'@': 200}), 33: (1, {'@': 200}), 52: (1, {'@': 200}), 34: (1, {'@': 200})}, 298: {16: (1, {'@': 201}), 35: (1, {'@': 201}), 36: (1, {'@': 201}), 20: (1, {'@': 201}), 21: (1, {'@': 201}), 23: (1, {'@': 201}), 11: (1, {'@': 201}), 24: (1, {'@': 201}), 37: (1, {'@': 201}), 27: (1, {'@': 201}), 38: (1, {'@': 201}), 30: (1, {'@': 201}), 17: (1, {'@': 201}), 31: (1, {'@': 201}), 39: (1, {'@': 201}), 40: (1, {'@': 201}), 41: (1, {'@': 201}), 32: (1, {'@': 201}), 42: (1, {'@': 201}), 3: (1, {'@': 201}), 4: (1, {'@': 201}), 43: (1, {'@': 201}), 44: (1, {'@': 201}), 45: (1, {'@': 201}), 46: (1, {'@': 201}), 18: (1, {'@': 201}), 1: (1, {'@': 201}), 47: (1, {'@': 201}), 48: (1, {'@': 201}), 22: (1, {'@': 201}), 25: (1, {'@': 201}), 26: (1, {'@': 201}), 2: (1, {'@': 201}), 29: (1, {'@': 201}), 49: (1, {'@': 201}), 50: (1, {'@': 201}), 51: (1, {'@': 201}), 33: (1, {'@': 201}), 52: (1, {'@': 201}), 34: (1, {'@': 201})}, 299: {16: (1, {'@': 202}), 35: (1, {'@': 202}), 36: (1, {'@': 202}), 20: (1, {'@': 202}), 21: (1, {'@': 202}), 23: (1, {'@': 202}), 11: (1, {'@': 202}), 24: (1, {'@': 202}), 37: (1, {'@': 202}), 27: (1, {'@': 202}), 38: (1, {'@': 202}), 30: (0, 96), 17: (1, {'@': 202}), 31: (1, {'@': 202}), 39: (1, {'@': 202}), 40: (1, {'@': 202}), 41: (1, {'@': 202}), 32: (1, {'@': 202}), 42: (1, {'@': 202}), 3: (1, {'@': 202}), 4: (1, {'@': 202}), 43: (1, {'@': 202}), 44: (1, {'@': 202}), 45: (1, {'@': 202}), 46: (1, {'@': 202}), 18: (1, {'@': 202}), 1: (1, {'@': 202}), 47: (1, {'@': 202}), 48: (1, {'@': 202}), 22: (1, {'@': 202}), 25: (1, {'@': 202}), 26: (1, {'@': 202}), 2: (1, {'@': 202}), 29: (1, {'@': 202}), 49: (1, {'@': 202}), 50: (1, {'@': 202}), 51: (1, {'@': 202}), 33: (1, {'@': 202}), 52: (1, {'@': 202}), 34: (1, {'@': 202})}, 300: {16: (1, {'@': 203}), 35: (1, {'@': 203}), 36: (1, {'@': 203}), 20: (1, {'@': 203}), 21: (1, {'@': 203}), 23: (1, {'@': 203}), 11: (1, {'@': 203}), 24: (1, {'@': 203}), 37: (1, {'@': 203}), 27: (1, {'@': 203}), 38: (1, {'@': 203}), 30: (1, {'@': 203}), 17: (1, {'@': 203}), 31: (1, {'@': 203}), 39: (1, {'@': 203}), 40: (1, {'@': 203}), 41: (1, {'@': 203}), 32: (1, {'@': 203}), 42: (1, {'@': 203}), 3: (1, {'@': 203}), 4: (1, {'@': 203}), 43: (1, {'@': 203}), 44: (1, {'@': 203}), 45: (1, {'@': 203}), 46: (1, {'@': 203}), 18: (1, {'@': 203}), 1: (1, {'@': 203}), 47: (1, {'@': 203}), 48: (1, {'@': 203}), 22: (1, {'@': 203}), 25: (1, {'@': 203}), 26: (1, {'@': 203}), 2: (1, {'@': 203}), 29: (1, {'@': 203}), 49: (1, {'@': 203}), 50: (1, {'@': 203}), 51: (1, {'@': 203}), 33: (1, {'@': 203}), 52: (1, {'@': 203}), 34: (1, {'@': 203})}, 301: {16: (1, {'@': 204}), 35: (1, {'@': 204}), 36: (0, 106), 20: (1, {'@': 204}), 21: (1, {'@': 204}), 23: (1, {'@': 204}), 11: (1, {'@': 204}), 24: (1, {'@': 204}), 37: (0, 111), 27: (1, {'@': 204}), 38: (0, 100), 30: (1, {'@': 204}), 17: (1, {'@': 204}), 31: (1, {'@': 204}), 39: (0, 114), 40: (0, 102), 41: (0, 104), 32: (1, {'@': 204}), 42: (0, 115), 3: (1, {'@': 204}), 4: (1, {'@': 204}), 43: (0, 110), 44: (1, {'@': 204}), 45: (1, {'@': 204}), 18: (1, {'@': 204}), 1: (1, {'@': 204}), 47: (0, 113), 48: (0, 112), 22: (0, 108), 25: (1, {'@': 204}), 26: (1, {'@': 204}), 2: (1, {'@': 204}), 29: (1, {'@': 204}), 49: (0, 101), 50: (0, 103), 51: (0, 107), 33: (1, {'@': 204}), 34: (1, {'@': 204}), 83: (0, 99), 84: (0, 109)}, 302: {11: (1, {'@': 205}), 0: (1, {'@': 205}), 1: (1, {'@': 205}), 2: (1, {'@': 205}), 3: (1, {'@': 205}), 4: (1, {'@': 205})}, 303: {11: (1, {'@': 206}), 0: (1, {'@': 206}), 1: (1, {'@': 206}), 2: (1, {'@': 206}), 3: (1, {'@': 206}), 4: (1, {'@': 206})}, 304: {16: (1, {'@': 207}), 35: (1, {'@': 207}), 36: (1, {'@': 207}), 20: (1, {'@': 207}), 21: (1, {'@': 207}), 23: (1, {'@': 207}), 11: (1, {'@': 207}), 24: (1, {'@': 207}), 37: (1, {'@': 207}), 27: (1, {'@': 207}), 38: (1, {'@': 207}), 30: (1, {'@': 207}), 17: (1, {'@': 207}), 31: (1, {'@': 207}), 39: (1, {'@': 207}), 40: (1, {'@': 207}), 41: (1, {'@': 207}), 32: (1, {'@': 207}), 42: (1, {'@': 207}), 3: (1, {'@': 207}), 4: (1, {'@': 207}), 43: (1, {'@': 207}), 44: (1, {'@': 207}), 45: (1, {'@': 207}), 46: (1, {'@': 207}), 18: (1, {'@': 207}), 1: (1, {'@': 207}), 47: (1, {'@': 207}), 48: (1, {'@': 207}), 22: (1, {'@': 207}), 25: (1, {'@': 207}), 26: (1, {'@': 207}), 2: (1, {'@': 207}), 29: (1, {'@': 207}), 49: (1, {'@': 207}), 50: (1, {'@': 207}), 51: (1, {'@': 207}), 33: (1, {'@': 207}), 52: (1, {'@': 207}), 34: (1, {'@': 207})}, 305: {23: (0, 364)}, 306: {16: (1, {'@': 208}), 35: (1, {'@': 208}), 36: (1, {'@': 208}), 20: (1, {'@': 208}), 21: (1, {'@': 208}), 23: (1, {'@': 208}), 11: (1, {'@': 208}), 24: (1, {'@': 208}), 37: (1, {'@': 208}), 27: (1, {'@': 208}), 38: (1, {'@': 208}), 30: (1, {'@': 208}), 17: (1, {'@': 208}), 31: (1, {'@': 208}), 39: (1, {'@': 208}), 40: (1, {'@': 208}), 41: (1, {'@': 208}), 32: (1, {'@': 208}), 42: (1, {'@': 208}), 3: (1, {'@': 208}), 4: (1, {'@': 208}), 43: (1, {'@': 208}), 44: (1, {'@': 208}), 45: (1, {'@': 208}), 46: (1, {'@': 208}), 18: (1, {'@': 208}), 1: (1, {'@': 208}), 47: (1, {'@': 208}), 48: (1, {'@': 208}), 22: (1, {'@': 208}), 25: (1, {'@': 208}), 26: (1, {'@': 208}), 2: (1, {'@': 208}), 29: (1, {'@': 208}), 49: (1, {'@': 208}), 50: (1, {'@': 208}), 51: (1, {'@': 208}), 33: (1, {'@': 208}), 52: (1, {'@': 208}), 34: (1, {'@': 208})}, 307: {1: (1, {'@': 209}), 2: (1, {'@': 209}), 3: (1, {'@': 209}), 4: (1, {'@': 209}), 23: (1, {'@': 209}), 83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 308: {16: (1, {'@': 210}), 35: (1, {'@': 210}), 36: (1, {'@': 210}), 20: (1, {'@': 210}), 21: (1, {'@': 210}), 23: (1, {'@': 210}), 11: (1, {'@': 210}), 24: (1, {'@': 210}), 37: (1, {'@': 210}), 27: (1, {'@': 210}), 38: (1, {'@': 210}), 30: (1, {'@': 210}), 17: (1, {'@': 210}), 31: (1, {'@': 210}), 39: (1, {'@': 210}), 40: (1, {'@': 210}), 41: (1, {'@': 210}), 32: (1, {'@': 210}), 42: (1, {'@': 210}), 3: (1, {'@': 210}), 4: (1, {'@': 210}), 43: (1, {'@': 210}), 44: (1, {'@': 210}), 45: (1, {'@': 210}), 46: (1, {'@': 210}), 18: (1, {'@': 210}), 1: (1, {'@': 210}), 47: (1, {'@': 210}), 48: (1, {'@': 210}), 22: (1, {'@': 210}), 25: (1, {'@': 210}), 26: (1, {'@': 210}), 2: (1, {'@': 210}), 29: (1, {'@': 210}), 49: (1, {'@': 210}), 50: (1, {'@': 210}), 51: (1, {'@': 210}), 33: (1, {'@': 210}), 52: (1, {'@': 210}), 34: (1, {'@': 210})}, 309: {16: (1, {'@': 211}), 35: (1, {'@': 211}), 36: (1, {'@': 211}), 20: (1, {'@': 211}), 21: (1, {'@': 211}), 23: (1, {'@': 211}), 11: (1, {'@': 211}), 24: (1, {'@': 211}), 37: (1, {'@': 211}), 27: (1, {'@': 211}), 38: (1, {'@': 211}), 30: (1, {'@': 211}), 17: (1, {'@': 211}), 31: (1, {'@': 211}), 39: (1, {'@': 211}), 40: (1, {'@': 211}), 41: (1, {'@': 211}), 32: (1, {'@': 211}), 42: (1, {'@': 211}), 3: (1, {'@': 211}), 4: (1, {'@': 211}), 43: (1, {'@': 211}), 44: (1, {'@': 211}), 45: (1, {'@': 211}), 46: (1, {'@': 211}), 18: (1, {'@': 211}), 1: (1, {'@': 211}), 47: (1, {'@': 211}), 48: (1, {'@': 211}), 22: (1, {'@': 211}), 25: (1, {'@': 211}), 26: (1, {'@': 211}), 2: (1, {'@': 211}), 29: (1, {'@': 211}), 49: (1, {'@': 211}), 50: (1, {'@': 211}), 51: (1, {'@': 211}), 33: (1, {'@': 211}), 52: (1, {'@': 211}), 34: (1, {'@': 211})}, 310: {6: (0, 2), 4: (0, 4), 3: (0, 5), 23: (0, 365), 8: (0, 366), 2: (0, 9)}, 311: {23: (0, 367)}, 312: {16: (1, {'@': 212}), 35: (1, {'@': 212}), 36: (1, {'@': 212}), 20: (1, {'@': 212}), 21: (1, {'@': 212}), 23: (1, {'@': 212}), 11: (1, {'@': 212}), 24: (1, {'@': 212}), 37: (1, {'@': 212}), 27: (1, {'@': 212}), 38: (1, {'@': 212}), 30: (1, {'@': 212}), 17: (1, {'@': 212}), 31: (1, {'@': 212}), 39: (1, {'@': 212}), 40: (1, {'@': 212}), 41: (1, {'@': 212}), 32: (1, {'@': 212}), 42: (1, {'@': 212}), 3: (1, {'@': 212}), 4: (1, {'@': 212}), 43: (1, {'@': 212}), 44: (1, {'@': 212}), 45: (1, {'@': 212}), 46: (1, {'@': 212}), 18: (1, {'@': 212}), 1: (1, {'@': 212}), 47: (1, {'@': 212}), 48: (1, {'@': 212}), 22: (1, {'@': 212}), 25: (1, {'@': 212}), 26: (1, {'@': 212}), 2: (1, {'@': 212}), 29: (1, {'@': 212}), 49: (1, {'@': 212}), 50: (1, {'@': 212}), 51: (1, {'@': 212}), 33: (1, {'@': 212}), 52: (1, {'@': 212}), 34: (1, {'@': 212})}, 313: {23: (0, 368)}, 314: {8: (0, 369), 6: (0, 2), 4: (0, 4), 19: (0, 370), 3: (0, 5), 2: (0, 9)}, 315: {6: (0, 2), 69: (0, 371), 8: (0, 372), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 316: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 69: (0, 373), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 317: {83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 35: (0, 374), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 318: {83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 35: (0, 375), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 319: {18: (1, {'@': 213}), 20: (1, {'@': 213}), 22: (1, {'@': 213}), 11: (1, {'@': 213}), 24: (1, {'@': 213}), 25: (1, {'@': 213}), 26: (1, {'@': 213}), 2: (0, 9), 27: (1, {'@': 213}), 29: (1, {'@': 213}), 30: (1, {'@': 213}), 17: (1, {'@': 213}), 31: (1, {'@': 213}), 32: (1, {'@': 213}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 8: (0, 376)}, 320: {8: (0, 377), 6: (0, 2), 4: (0, 4), 3: (0, 5), 19: (0, 378), 2: (0, 9)}, 321: {6: (0, 2), 32: (0, 31), 69: (0, 379), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 8: (0, 380), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 322: {83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 35: (0, 381), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 323: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 69: (0, 382), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 324: {44: (1, {'@': 214}), 34: (1, {'@': 214}), 2: (1, {'@': 214}), 21: (1, {'@': 214}), 3: (1, {'@': 214}), 4: (1, {'@': 214}), 23: (1, {'@': 214}), 83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 325: {16: (1, {'@': 215}), 35: (1, {'@': 215}), 36: (1, {'@': 215}), 20: (1, {'@': 215}), 21: (1, {'@': 215}), 23: (1, {'@': 215}), 11: (1, {'@': 215}), 24: (1, {'@': 215}), 37: (1, {'@': 215}), 27: (1, {'@': 215}), 38: (1, {'@': 215}), 30: (1, {'@': 215}), 17: (1, {'@': 215}), 31: (1, {'@': 215}), 39: (1, {'@': 215}), 40: (1, {'@': 215}), 41: (1, {'@': 215}), 32: (1, {'@': 215}), 42: (1, {'@': 215}), 3: (1, {'@': 215}), 4: (1, {'@': 215}), 43: (1, {'@': 215}), 44: (1, {'@': 215}), 45: (1, {'@': 215}), 46: (1, {'@': 215}), 18: (1, {'@': 215}), 1: (1, {'@': 215}), 47: (1, {'@': 215}), 48: (1, {'@': 215}), 22: (1, {'@': 215}), 25: (1, {'@': 215}), 26: (1, {'@': 215}), 2: (1, {'@': 215}), 29: (1, {'@': 215}), 49: (1, {'@': 215}), 50: (1, {'@': 215}), 51: (1, {'@': 215}), 33: (1, {'@': 215}), 52: (1, {'@': 215}), 34: (1, {'@': 215})}, 326: {23: (0, 383), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 69: (0, 384), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 327: {16: (1, {'@': 216}), 35: (1, {'@': 216}), 36: (1, {'@': 216}), 20: (1, {'@': 216}), 21: (1, {'@': 216}), 23: (1, {'@': 216}), 11: (1, {'@': 216}), 24: (1, {'@': 216}), 37: (1, {'@': 216}), 27: (1, {'@': 216}), 38: (1, {'@': 216}), 30: (1, {'@': 216}), 17: (1, {'@': 216}), 31: (1, {'@': 216}), 39: (1, {'@': 216}), 40: (1, {'@': 216}), 41: (1, {'@': 216}), 32: (1, {'@': 216}), 42: (1, {'@': 216}), 3: (1, {'@': 216}), 4: (1, {'@': 216}), 43: (1, {'@': 216}), 44: (1, {'@': 216}), 45: (1, {'@': 216}), 46: (1, {'@': 216}), 18: (1, {'@': 216}), 1: (1, {'@': 216}), 47: (1, {'@': 216}), 48: (1, {'@': 216}), 22: (1, {'@': 216}), 25: (1, {'@': 216}), 26: (1, {'@': 216}), 2: (1, {'@': 216}), 29: (1, {'@': 216}), 49: (1, {'@': 216}), 50: (1, {'@': 216}), 51: (1, {'@': 216}), 33: (1, {'@': 216}), 52: (1, {'@': 216}), 34: (1, {'@': 216})}, 328: {16: (1, {'@': 217}), 35: (1, {'@': 217}), 36: (1, {'@': 217}), 20: (1, {'@': 217}), 21: (1, {'@': 217}), 23: (1, {'@': 217}), 11: (1, {'@': 217}), 24: (1, {'@': 217}), 37: (1, {'@': 217}), 27: (1, {'@': 217}), 38: (1, {'@': 217}), 30: (1, {'@': 217}), 17: (1, {'@': 217}), 31: (1, {'@': 217}), 39: (1, {'@': 217}), 40: (1, {'@': 217}), 41: (1, {'@': 217}), 32: (1, {'@': 217}), 42: (1, {'@': 217}), 3: (1, {'@': 217}), 4: (1, {'@': 217}), 43: (1, {'@': 217}), 44: (1, {'@': 217}), 45: (1, {'@': 217}), 46: (1, {'@': 217}), 18: (1, {'@': 217}), 1: (1, {'@': 217}), 47: (1, {'@': 217}), 48: (1, {'@': 217}), 22: (1, {'@': 217}), 25: (1, {'@': 217}), 26: (1, {'@': 217}), 2: (1, {'@': 217}), 29: (1, {'@': 217}), 49: (1, {'@': 217}), 50: (1, {'@': 217}), 51: (1, {'@': 217}), 33: (1, {'@': 217}), 52: (1, {'@': 217}), 34: (1, {'@': 217})}, 329: {44: (1, {'@': 218}), 34: (1, {'@': 218}), 2: (1, {'@': 218}), 21: (1, {'@': 218}), 3: (1, {'@': 218}), 4: (1, {'@': 218}), 23: (1, {'@': 218}), 83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 330: {44: (1, {'@': 219}), 34: (1, {'@': 219}), 2: (1, {'@': 219}), 21: (1, {'@': 219}), 3: (1, {'@': 219}), 4: (1, {'@': 219}), 23: (1, {'@': 219}), 83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 331: {16: (1, {'@': 220}), 35: (1, {'@': 220}), 36: (1, {'@': 220}), 20: (1, {'@': 220}), 21: (1, {'@': 220}), 23: (1, {'@': 220}), 11: (1, {'@': 220}), 24: (1, {'@': 220}), 37: (1, {'@': 220}), 27: (1, {'@': 220}), 38: (1, {'@': 220}), 30: (1, {'@': 220}), 17: (1, {'@': 220}), 31: (1, {'@': 220}), 39: (1, {'@': 220}), 40: (1, {'@': 220}), 41: (1, {'@': 220}), 32: (1, {'@': 220}), 42: (1, {'@': 220}), 3: (1, {'@': 220}), 4: (1, {'@': 220}), 43: (1, {'@': 220}), 44: (1, {'@': 220}), 45: (1, {'@': 220}), 46: (1, {'@': 220}), 18: (1, {'@': 220}), 1: (1, {'@': 220}), 47: (1, {'@': 220}), 48: (1, {'@': 220}), 22: (1, {'@': 220}), 25: (1, {'@': 220}), 26: (1, {'@': 220}), 2: (1, {'@': 220}), 29: (1, {'@': 220}), 49: (1, {'@': 220}), 50: (1, {'@': 220}), 51: (1, {'@': 220}), 33: (1, {'@': 220}), 52: (1, {'@': 220}), 34: (1, {'@': 220})}, 332: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 23: (0, 385), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 69: (0, 329), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 333: {16: (1, {'@': 221}), 35: (1, {'@': 221}), 36: (1, {'@': 221}), 20: (1, {'@': 221}), 21: (1, {'@': 221}), 23: (1, {'@': 221}), 11: (1, {'@': 221}), 24: (1, {'@': 221}), 37: (1, {'@': 221}), 27: (1, {'@': 221}), 38: (1, {'@': 221}), 30: (1, {'@': 221}), 17: (1, {'@': 221}), 31: (1, {'@': 221}), 39: (1, {'@': 221}), 40: (1, {'@': 221}), 41: (1, {'@': 221}), 32: (1, {'@': 221}), 42: (1, {'@': 221}), 3: (1, {'@': 221}), 4: (1, {'@': 221}), 43: (1, {'@': 221}), 44: (1, {'@': 221}), 45: (1, {'@': 221}), 46: (1, {'@': 221}), 18: (1, {'@': 221}), 1: (1, {'@': 221}), 47: (1, {'@': 221}), 48: (1, {'@': 221}), 22: (1, {'@': 221}), 25: (1, {'@': 221}), 26: (1, {'@': 221}), 2: (1, {'@': 221}), 29: (1, {'@': 221}), 49: (1, {'@': 221}), 50: (1, {'@': 221}), 51: (1, {'@': 221}), 33: (1, {'@': 221}), 52: (1, {'@': 221}), 34: (1, {'@': 221})}, 334: {6: (0, 2), 32: (0, 31), 69: (0, 324), 53: (0, 32), 18: (0, 33), 23: (0, 386), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 8: (0, 387), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 335: {16: (1, {'@': 222}), 35: (1, {'@': 222}), 36: (1, {'@': 222}), 20: (1, {'@': 222}), 21: (1, {'@': 222}), 23: (1, {'@': 222}), 11: (1, {'@': 222}), 24: (1, {'@': 222}), 37: (1, {'@': 222}), 27: (1, {'@': 222}), 38: (1, {'@': 222}), 30: (1, {'@': 222}), 17: (1, {'@': 222}), 31: (1, {'@': 222}), 39: (1, {'@': 222}), 40: (1, {'@': 222}), 41: (1, {'@': 222}), 32: (1, {'@': 222}), 42: (1, {'@': 222}), 3: (1, {'@': 222}), 4: (1, {'@': 222}), 43: (1, {'@': 222}), 44: (1, {'@': 222}), 45: (1, {'@': 222}), 46: (1, {'@': 222}), 18: (1, {'@': 222}), 1: (1, {'@': 222}), 47: (1, {'@': 222}), 48: (1, {'@': 222}), 22: (1, {'@': 222}), 25: (1, {'@': 222}), 26: (1, {'@': 222}), 2: (1, {'@': 222}), 29: (1, {'@': 222}), 49: (1, {'@': 222}), 50: (1, {'@': 222}), 51: (1, {'@': 222}), 33: (1, {'@': 222}), 52: (1, {'@': 222}), 34: (1, {'@': 222})}, 336: {23: (0, 388)}, 337: {16: (1, {'@': 223}), 35: (1, {'@': 223}), 36: (1, {'@': 223}), 20: (1, {'@': 223}), 21: (1, {'@': 223}), 23: (1, {'@': 223}), 11: (1, {'@': 223}), 24: (1, {'@': 223}), 37: (1, {'@': 223}), 27: (1, {'@': 223}), 38: (1, {'@': 223}), 30: (1, {'@': 223}), 17: (1, {'@': 223}), 31: (1, {'@': 223}), 39: (1, {'@': 223}), 40: (1, {'@': 223}), 41: (1, {'@': 223}), 32: (1, {'@': 223}), 42: (1, {'@': 223}), 3: (1, {'@': 223}), 4: (1, {'@': 223}), 43: (1, {'@': 223}), 44: (1, {'@': 223}), 45: (1, {'@': 223}), 46: (1, {'@': 223}), 18: (1, {'@': 223}), 1: (1, {'@': 223}), 47: (1, {'@': 223}), 48: (1, {'@': 223}), 22: (1, {'@': 223}), 25: (1, {'@': 223}), 26: (1, {'@': 223}), 2: (1, {'@': 223}), 29: (1, {'@': 223}), 49: (1, {'@': 223}), 50: (1, {'@': 223}), 51: (1, {'@': 223}), 33: (1, {'@': 223}), 52: (1, {'@': 223}), 34: (1, {'@': 223})}, 338: {16: (1, {'@': 224}), 35: (1, {'@': 224}), 36: (1, {'@': 224}), 20: (1, {'@': 224}), 21: (1, {'@': 224}), 23: (1, {'@': 224}), 11: (1, {'@': 224}), 24: (1, {'@': 224}), 37: (1, {'@': 224}), 27: (1, {'@': 224}), 38: (1, {'@': 224}), 30: (1, {'@': 224}), 17: (1, {'@': 224}), 31: (1, {'@': 224}), 39: (1, {'@': 224}), 40: (1, {'@': 224}), 41: (1, {'@': 224}), 32: (1, {'@': 224}), 42: (1, {'@': 224}), 3: (1, {'@': 224}), 4: (1, {'@': 224}), 43: (1, {'@': 224}), 44: (1, {'@': 224}), 45: (1, {'@': 224}), 46: (1, {'@': 224}), 18: (1, {'@': 224}), 1: (1, {'@': 224}), 47: (1, {'@': 224}), 48: (1, {'@': 224}), 22: (1, {'@': 224}), 25: (1, {'@': 224}), 26: (1, {'@': 224}), 2: (1, {'@': 224}), 29: (1, {'@': 224}), 49: (1, {'@': 224}), 50: (1, {'@': 224}), 51: (1, {'@': 224}), 33: (1, {'@': 224}), 52: (1, {'@': 224}), 34: (1, {'@': 224})}, 339: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 23: (0, 389), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 69: (0, 330), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 340: {16: (1, {'@': 225}), 35: (1, {'@': 225}), 36: (1, {'@': 225}), 20: (1, {'@': 225}), 21: (1, {'@': 225}), 23: (1, {'@': 225}), 11: (1, {'@': 225}), 24: (1, {'@': 225}), 37: (1, {'@': 225}), 27: (1, {'@': 225}), 38: (1, {'@': 225}), 30: (1, {'@': 225}), 17: (1, {'@': 225}), 31: (1, {'@': 225}), 39: (1, {'@': 225}), 40: (1, {'@': 225}), 41: (1, {'@': 225}), 32: (1, {'@': 225}), 42: (1, {'@': 225}), 3: (1, {'@': 225}), 4: (1, {'@': 225}), 43: (1, {'@': 225}), 44: (1, {'@': 225}), 45: (1, {'@': 225}), 46: (1, {'@': 225}), 18: (1, {'@': 225}), 1: (1, {'@': 225}), 47: (1, {'@': 225}), 48: (1, {'@': 225}), 22: (1, {'@': 225}), 25: (1, {'@': 225}), 26: (1, {'@': 225}), 2: (1, {'@': 225}), 29: (1, {'@': 225}), 49: (1, {'@': 225}), 50: (1, {'@': 225}), 51: (1, {'@': 225}), 33: (1, {'@': 225}), 52: (1, {'@': 225}), 34: (1, {'@': 225})}, 341: {23: (0, 390)}, 342: {16: (1, {'@': 226}), 35: (1, {'@': 226}), 36: (1, {'@': 226}), 20: (1, {'@': 226}), 21: (1, {'@': 226}), 23: (1, {'@': 226}), 11: (1, {'@': 226}), 24: (1, {'@': 226}), 37: (1, {'@': 226}), 27: (1, {'@': 226}), 38: (1, {'@': 226}), 30: (1, {'@': 226}), 17: (1, {'@': 226}), 31: (1, {'@': 226}), 39: (1, {'@': 226}), 40: (1, {'@': 226}), 41: (1, {'@': 226}), 32: (1, {'@': 226}), 42: (1, {'@': 226}), 3: (1, {'@': 226}), 4: (1, {'@': 226}), 43: (1, {'@': 226}), 44: (1, {'@': 226}), 45: (1, {'@': 226}), 46: (1, {'@': 226}), 18: (1, {'@': 226}), 1: (1, {'@': 226}), 47: (1, {'@': 226}), 48: (1, {'@': 226}), 22: (1, {'@': 226}), 25: (1, {'@': 226}), 26: (1, {'@': 226}), 2: (1, {'@': 226}), 29: (1, {'@': 226}), 49: (1, {'@': 226}), 50: (1, {'@': 226}), 51: (1, {'@': 226}), 33: (1, {'@': 226}), 52: (1, {'@': 226}), 34: (1, {'@': 226})}, 343: {16: (1, {'@': 227}), 35: (1, {'@': 227}), 36: (1, {'@': 227}), 20: (1, {'@': 227}), 21: (1, {'@': 227}), 23: (1, {'@': 227}), 11: (1, {'@': 227}), 24: (1, {'@': 227}), 37: (1, {'@': 227}), 27: (1, {'@': 227}), 38: (1, {'@': 227}), 30: (1, {'@': 227}), 17: (1, {'@': 227}), 31: (1, {'@': 227}), 39: (1, {'@': 227}), 40: (1, {'@': 227}), 41: (1, {'@': 227}), 32: (1, {'@': 227}), 42: (1, {'@': 227}), 3: (1, {'@': 227}), 4: (1, {'@': 227}), 43: (1, {'@': 227}), 44: (1, {'@': 227}), 45: (1, {'@': 227}), 46: (1, {'@': 227}), 18: (1, {'@': 227}), 1: (1, {'@': 227}), 47: (1, {'@': 227}), 48: (1, {'@': 227}), 22: (1, {'@': 227}), 25: (1, {'@': 227}), 26: (1, {'@': 227}), 2: (1, {'@': 227}), 29: (1, {'@': 227}), 49: (1, {'@': 227}), 50: (1, {'@': 227}), 51: (1, {'@': 227}), 33: (1, {'@': 227}), 52: (1, {'@': 227}), 34: (1, {'@': 227})}, 344: {6: (0, 2), 23: (0, 391), 4: (0, 4), 3: (0, 5), 8: (0, 392), 2: (0, 9)}, 345: {23: (0, 393)}, 346: {6: (0, 2), 90: (0, 394), 8: (0, 395), 4: (0, 4), 3: (0, 5), 33: (0, 171), 2: (0, 9), 23: (0, 396)}, 347: {6: (0, 2), 4: (0, 4), 3: (0, 5), 8: (0, 397), 2: (0, 9), 23: (0, 398)}, 348: {16: (1, {'@': 228}), 35: (1, {'@': 228}), 36: (1, {'@': 228}), 20: (1, {'@': 228}), 21: (1, {'@': 228}), 23: (1, {'@': 228}), 11: (1, {'@': 228}), 24: (1, {'@': 228}), 37: (1, {'@': 228}), 27: (1, {'@': 228}), 38: (1, {'@': 228}), 30: (1, {'@': 228}), 17: (1, {'@': 228}), 31: (1, {'@': 228}), 39: (1, {'@': 228}), 40: (1, {'@': 228}), 41: (1, {'@': 228}), 32: (1, {'@': 228}), 42: (1, {'@': 228}), 3: (1, {'@': 228}), 4: (1, {'@': 228}), 43: (1, {'@': 228}), 44: (1, {'@': 228}), 45: (1, {'@': 228}), 46: (1, {'@': 228}), 18: (1, {'@': 228}), 1: (1, {'@': 228}), 47: (1, {'@': 228}), 48: (1, {'@': 228}), 22: (1, {'@': 228}), 25: (1, {'@': 228}), 26: (1, {'@': 228}), 2: (1, {'@': 228}), 29: (1, {'@': 228}), 49: (1, {'@': 228}), 50: (1, {'@': 228}), 51: (1, {'@': 228}), 33: (1, {'@': 228}), 52: (1, {'@': 228}), 34: (1, {'@': 228})}, 349: {16: (1, {'@': 229}), 35: (1, {'@': 229}), 36: (1, {'@': 229}), 20: (1, {'@': 229}), 21: (1, {'@': 229}), 23: (1, {'@': 229}), 11: (1, {'@': 229}), 24: (1, {'@': 229}), 37: (1, {'@': 229}), 27: (1, {'@': 229}), 38: (1, {'@': 229}), 30: (1, {'@': 229}), 17: (1, {'@': 229}), 31: (1, {'@': 229}), 39: (1, {'@': 229}), 40: (1, {'@': 229}), 41: (1, {'@': 229}), 32: (1, {'@': 229}), 42: (1, {'@': 229}), 3: (1, {'@': 229}), 4: (1, {'@': 229}), 43: (1, {'@': 229}), 44: (1, {'@': 229}), 45: (1, {'@': 229}), 46: (1, {'@': 229}), 18: (1, {'@': 229}), 1: (1, {'@': 229}), 47: (1, {'@': 229}), 48: (1, {'@': 229}), 22: (1, {'@': 229}), 25: (1, {'@': 229}), 26: (1, {'@': 229}), 2: (1, {'@': 229}), 29: (1, {'@': 229}), 49: (1, {'@': 229}), 50: (1, {'@': 229}), 51: (1, {'@': 229}), 33: (1, {'@': 229}), 52: (1, {'@': 229}), 34: (1, {'@': 229})}, 350: {16: (1, {'@': 230}), 35: (1, {'@': 230}), 36: (1, {'@': 230}), 20: (1, {'@': 230}), 21: (1, {'@': 230}), 23: (1, {'@': 230}), 11: (1, {'@': 230}), 24: (1, {'@': 230}), 37: (1, {'@': 230}), 27: (1, {'@': 230}), 38: (1, {'@': 230}), 30: (1, {'@': 230}), 17: (1, {'@': 230}), 31: (1, {'@': 230}), 39: (1, {'@': 230}), 40: (1, {'@': 230}), 41: (1, {'@': 230}), 32: (1, {'@': 230}), 42: (1, {'@': 230}), 3: (1, {'@': 230}), 4: (1, {'@': 230}), 43: (1, {'@': 230}), 44: (1, {'@': 230}), 45: (1, {'@': 230}), 46: (1, {'@': 230}), 18: (1, {'@': 230}), 1: (1, {'@': 230}), 47: (1, {'@': 230}), 48: (1, {'@': 230}), 22: (1, {'@': 230}), 25: (1, {'@': 230}), 26: (1, {'@': 230}), 2: (1, {'@': 230}), 29: (1, {'@': 230}), 49: (1, {'@': 230}), 50: (1, {'@': 230}), 51: (1, {'@': 230}), 33: (1, {'@': 230}), 52: (1, {'@': 230}), 34: (1, {'@': 230})}, 351: {16: (1, {'@': 231}), 35: (1, {'@': 231}), 36: (1, {'@': 231}), 20: (1, {'@': 231}), 21: (1, {'@': 231}), 23: (1, {'@': 231}), 11: (1, {'@': 231}), 24: (1, {'@': 231}), 37: (1, {'@': 231}), 27: (1, {'@': 231}), 38: (1, {'@': 231}), 30: (1, {'@': 231}), 17: (1, {'@': 231}), 31: (1, {'@': 231}), 39: (1, {'@': 231}), 40: (1, {'@': 231}), 41: (1, {'@': 231}), 32: (1, {'@': 231}), 42: (1, {'@': 231}), 3: (1, {'@': 231}), 4: (1, {'@': 231}), 43: (1, {'@': 231}), 44: (1, {'@': 231}), 45: (1, {'@': 231}), 46: (1, {'@': 231}), 18: (1, {'@': 231}), 1: (1, {'@': 231}), 47: (1, {'@': 231}), 48: (1, {'@': 231}), 22: (1, {'@': 231}), 25: (1, {'@': 231}), 26: (1, {'@': 231}), 2: (1, {'@': 231}), 29: (1, {'@': 231}), 49: (1, {'@': 231}), 50: (1, {'@': 231}), 51: (1, {'@': 231}), 33: (1, {'@': 231}), 52: (1, {'@': 231}), 34: (1, {'@': 231})}, 352: {83: (0, 99), 38: (0, 100), 6: (0, 2), 40: (0, 102), 36: (0, 106), 44: (0, 399), 47: (0, 113), 8: (0, 400), 33: (0, 171), 42: (0, 115), 90: (0, 401), 4: (0, 4), 49: (0, 101), 3: (0, 5), 50: (0, 103), 1: (0, 402), 41: (0, 104), 51: (0, 107), 22: (0, 108), 84: (0, 109), 2: (0, 9), 43: (0, 110), 37: (0, 111), 48: (0, 112), 39: (0, 114)}, 353: {16: (1, {'@': 232}), 35: (1, {'@': 232}), 36: (1, {'@': 232}), 20: (1, {'@': 232}), 21: (1, {'@': 232}), 23: (1, {'@': 232}), 11: (1, {'@': 232}), 24: (1, {'@': 232}), 37: (1, {'@': 232}), 27: (1, {'@': 232}), 38: (1, {'@': 232}), 30: (1, {'@': 232}), 17: (1, {'@': 232}), 31: (1, {'@': 232}), 39: (1, {'@': 232}), 40: (1, {'@': 232}), 41: (1, {'@': 232}), 32: (1, {'@': 232}), 42: (1, {'@': 232}), 3: (1, {'@': 232}), 4: (1, {'@': 232}), 43: (1, {'@': 232}), 44: (1, {'@': 232}), 45: (1, {'@': 232}), 46: (1, {'@': 232}), 18: (1, {'@': 232}), 1: (1, {'@': 232}), 47: (1, {'@': 232}), 48: (1, {'@': 232}), 22: (1, {'@': 232}), 25: (1, {'@': 232}), 26: (1, {'@': 232}), 2: (1, {'@': 232}), 29: (1, {'@': 232}), 49: (1, {'@': 232}), 50: (1, {'@': 232}), 51: (1, {'@': 232}), 33: (1, {'@': 232}), 52: (1, {'@': 232}), 34: (1, {'@': 232})}, 354: {6: (0, 2), 4: (0, 4), 3: (0, 5), 1: (0, 403), 8: (0, 404), 90: (0, 405), 33: (0, 171), 2: (0, 9)}, 355: {6: (0, 2), 4: (0, 4), 3: (0, 5), 33: (0, 171), 90: (0, 406), 1: (0, 407), 8: (0, 408), 2: (0, 9)}, 356: {1: (0, 409), 6: (0, 2), 4: (0, 4), 3: (0, 5), 8: (0, 410), 2: (0, 9)}, 357: {16: (1, {'@': 233}), 35: (1, {'@': 233}), 36: (1, {'@': 233}), 20: (1, {'@': 233}), 21: (1, {'@': 233}), 23: (1, {'@': 233}), 11: (1, {'@': 233}), 24: (1, {'@': 233}), 37: (1, {'@': 233}), 27: (1, {'@': 233}), 38: (1, {'@': 233}), 30: (1, {'@': 233}), 17: (1, {'@': 233}), 31: (1, {'@': 233}), 39: (1, {'@': 233}), 40: (1, {'@': 233}), 41: (1, {'@': 233}), 32: (1, {'@': 233}), 42: (1, {'@': 233}), 3: (1, {'@': 233}), 4: (1, {'@': 233}), 43: (1, {'@': 233}), 44: (1, {'@': 233}), 45: (1, {'@': 233}), 46: (1, {'@': 233}), 18: (1, {'@': 233}), 1: (1, {'@': 233}), 47: (1, {'@': 233}), 48: (1, {'@': 233}), 22: (1, {'@': 233}), 25: (1, {'@': 233}), 26: (1, {'@': 233}), 2: (1, {'@': 233}), 29: (1, {'@': 233}), 49: (1, {'@': 233}), 50: (1, {'@': 233}), 51: (1, {'@': 233}), 33: (1, {'@': 233}), 52: (1, {'@': 233}), 34: (1, {'@': 233})}, 358: {2: (1, {'@': 159}), 21: (0, 300), 3: (1, {'@': 159}), 4: (1, {'@': 159}), 34: (0, 292)}, 359: {2: (1, {'@': 234}), 21: (1, {'@': 234}), 3: (1, {'@': 234}), 4: (1, {'@': 234}), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 69: (0, 329), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 360: {2: (1, {'@': 235}), 21: (1, {'@': 235}), 3: (1, {'@': 235}), 4: (1, {'@': 235})}, 361: {6: (0, 2), 32: (0, 31), 69: (0, 324), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 8: (0, 411), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 362: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 69: (0, 330), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 363: {16: (1, {'@': 236}), 35: (1, {'@': 236}), 36: (1, {'@': 236}), 20: (1, {'@': 236}), 21: (1, {'@': 236}), 23: (1, {'@': 236}), 11: (1, {'@': 236}), 24: (1, {'@': 236}), 37: (1, {'@': 236}), 27: (1, {'@': 236}), 38: (1, {'@': 236}), 30: (1, {'@': 236}), 17: (1, {'@': 236}), 31: (1, {'@': 236}), 39: (1, {'@': 236}), 40: (1, {'@': 236}), 41: (1, {'@': 236}), 32: (1, {'@': 236}), 42: (1, {'@': 236}), 3: (1, {'@': 236}), 4: (1, {'@': 236}), 43: (1, {'@': 236}), 44: (1, {'@': 236}), 45: (1, {'@': 236}), 46: (1, {'@': 236}), 18: (1, {'@': 236}), 1: (1, {'@': 236}), 47: (1, {'@': 236}), 48: (1, {'@': 236}), 22: (1, {'@': 236}), 25: (1, {'@': 236}), 26: (1, {'@': 236}), 2: (1, {'@': 236}), 29: (1, {'@': 236}), 49: (1, {'@': 236}), 50: (1, {'@': 236}), 51: (1, {'@': 236}), 33: (1, {'@': 236}), 52: (1, {'@': 236}), 34: (1, {'@': 236})}, 364: {16: (1, {'@': 237}), 35: (1, {'@': 237}), 36: (1, {'@': 237}), 20: (1, {'@': 237}), 21: (1, {'@': 237}), 23: (1, {'@': 237}), 11: (1, {'@': 237}), 24: (1, {'@': 237}), 37: (1, {'@': 237}), 27: (1, {'@': 237}), 38: (1, {'@': 237}), 30: (1, {'@': 237}), 17: (1, {'@': 237}), 31: (1, {'@': 237}), 39: (1, {'@': 237}), 40: (1, {'@': 237}), 41: (1, {'@': 237}), 32: (1, {'@': 237}), 42: (1, {'@': 237}), 3: (1, {'@': 237}), 4: (1, {'@': 237}), 43: (1, {'@': 237}), 44: (1, {'@': 237}), 45: (1, {'@': 237}), 46: (1, {'@': 237}), 18: (1, {'@': 237}), 1: (1, {'@': 237}), 47: (1, {'@': 237}), 48: (1, {'@': 237}), 22: (1, {'@': 237}), 25: (1, {'@': 237}), 26: (1, {'@': 237}), 2: (1, {'@': 237}), 29: (1, {'@': 237}), 49: (1, {'@': 237}), 50: (1, {'@': 237}), 51: (1, {'@': 237}), 33: (1, {'@': 237}), 52: (1, {'@': 237}), 34: (1, {'@': 237})}, 365: {16: (1, {'@': 238}), 35: (1, {'@': 238}), 36: (1, {'@': 238}), 20: (1, {'@': 238}), 21: (1, {'@': 238}), 23: (1, {'@': 238}), 11: (1, {'@': 238}), 24: (1, {'@': 238}), 37: (1, {'@': 238}), 27: (1, {'@': 238}), 38: (1, {'@': 238}), 30: (1, {'@': 238}), 17: (1, {'@': 238}), 31: (1, {'@': 238}), 39: (1, {'@': 238}), 40: (1, {'@': 238}), 41: (1, {'@': 238}), 32: (1, {'@': 238}), 42: (1, {'@': 238}), 3: (1, {'@': 238}), 4: (1, {'@': 238}), 43: (1, {'@': 238}), 44: (1, {'@': 238}), 45: (1, {'@': 238}), 46: (1, {'@': 238}), 18: (1, {'@': 238}), 1: (1, {'@': 238}), 47: (1, {'@': 238}), 48: (1, {'@': 238}), 22: (1, {'@': 238}), 25: (1, {'@': 238}), 26: (1, {'@': 238}), 2: (1, {'@': 238}), 29: (1, {'@': 238}), 49: (1, {'@': 238}), 50: (1, {'@': 238}), 51: (1, {'@': 238}), 33: (1, {'@': 238}), 52: (1, {'@': 238}), 34: (1, {'@': 238})}, 366: {23: (0, 412)}, 367: {16: (1, {'@': 239}), 35: (1, {'@': 239}), 36: (1, {'@': 239}), 20: (1, {'@': 239}), 21: (1, {'@': 239}), 23: (1, {'@': 239}), 11: (1, {'@': 239}), 24: (1, {'@': 239}), 37: (1, {'@': 239}), 27: (1, {'@': 239}), 38: (1, {'@': 239}), 30: (1, {'@': 239}), 17: (1, {'@': 239}), 31: (1, {'@': 239}), 39: (1, {'@': 239}), 40: (1, {'@': 239}), 41: (1, {'@': 239}), 32: (1, {'@': 239}), 42: (1, {'@': 239}), 3: (1, {'@': 239}), 4: (1, {'@': 239}), 43: (1, {'@': 239}), 44: (1, {'@': 239}), 45: (1, {'@': 239}), 46: (1, {'@': 239}), 18: (1, {'@': 239}), 1: (1, {'@': 239}), 47: (1, {'@': 239}), 48: (1, {'@': 239}), 22: (1, {'@': 239}), 25: (1, {'@': 239}), 26: (1, {'@': 239}), 2: (1, {'@': 239}), 29: (1, {'@': 239}), 49: (1, {'@': 239}), 50: (1, {'@': 239}), 51: (1, {'@': 239}), 33: (1, {'@': 239}), 52: (1, {'@': 239}), 34: (1, {'@': 239})}, 368: {16: (1, {'@': 240}), 35: (1, {'@': 240}), 36: (1, {'@': 240}), 20: (1, {'@': 240}), 21: (1, {'@': 240}), 23: (1, {'@': 240}), 11: (1, {'@': 240}), 24: (1, {'@': 240}), 37: (1, {'@': 240}), 27: (1, {'@': 240}), 38: (1, {'@': 240}), 30: (1, {'@': 240}), 17: (1, {'@': 240}), 31: (1, {'@': 240}), 39: (1, {'@': 240}), 40: (1, {'@': 240}), 41: (1, {'@': 240}), 32: (1, {'@': 240}), 42: (1, {'@': 240}), 3: (1, {'@': 240}), 4: (1, {'@': 240}), 43: (1, {'@': 240}), 44: (1, {'@': 240}), 45: (1, {'@': 240}), 46: (1, {'@': 240}), 18: (1, {'@': 240}), 1: (1, {'@': 240}), 47: (1, {'@': 240}), 48: (1, {'@': 240}), 22: (1, {'@': 240}), 25: (1, {'@': 240}), 26: (1, {'@': 240}), 2: (1, {'@': 240}), 29: (1, {'@': 240}), 49: (1, {'@': 240}), 50: (1, {'@': 240}), 51: (1, {'@': 240}), 33: (1, {'@': 240}), 52: (1, {'@': 240}), 34: (1, {'@': 240})}, 369: {19: (0, 413)}, 370: {6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 8: (0, 414), 64: (0, 50), 65: (0, 51), 69: (0, 415), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 371: {83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 35: (0, 416), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 372: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 69: (0, 417), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 373: {83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 35: (0, 418), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 374: {18: (1, {'@': 241}), 20: (1, {'@': 241}), 22: (1, {'@': 241}), 11: (1, {'@': 241}), 24: (1, {'@': 241}), 25: (1, {'@': 241}), 26: (1, {'@': 241}), 2: (0, 9), 27: (1, {'@': 241}), 29: (1, {'@': 241}), 30: (1, {'@': 241}), 17: (1, {'@': 241}), 31: (1, {'@': 241}), 32: (1, {'@': 241}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 8: (0, 419)}, 375: {18: (1, {'@': 242}), 20: (1, {'@': 242}), 22: (1, {'@': 242}), 11: (1, {'@': 242}), 24: (1, {'@': 242}), 25: (1, {'@': 242}), 26: (1, {'@': 242}), 2: (0, 9), 27: (1, {'@': 242}), 29: (1, {'@': 242}), 30: (1, {'@': 242}), 17: (1, {'@': 242}), 31: (1, {'@': 242}), 32: (1, {'@': 242}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 8: (0, 420)}, 376: {18: (1, {'@': 243}), 20: (1, {'@': 243}), 22: (1, {'@': 243}), 11: (1, {'@': 243}), 24: (1, {'@': 243}), 25: (1, {'@': 243}), 26: (1, {'@': 243}), 2: (1, {'@': 243}), 27: (1, {'@': 243}), 29: (1, {'@': 243}), 30: (1, {'@': 243}), 17: (1, {'@': 243}), 31: (1, {'@': 243}), 32: (1, {'@': 243}), 3: (1, {'@': 243}), 4: (1, {'@': 243})}, 377: {6: (0, 2), 19: (0, 421), 8: (0, 422), 4: (0, 4), 3: (0, 5), 2: (0, 9)}, 378: {6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 8: (0, 423), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 69: (0, 424), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 379: {83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 35: (0, 425), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 380: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 69: (0, 426), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 381: {18: (1, {'@': 244}), 20: (1, {'@': 244}), 22: (1, {'@': 244}), 11: (1, {'@': 244}), 24: (1, {'@': 244}), 25: (1, {'@': 244}), 26: (1, {'@': 244}), 2: (0, 9), 27: (1, {'@': 244}), 29: (1, {'@': 244}), 30: (1, {'@': 244}), 17: (1, {'@': 244}), 31: (1, {'@': 244}), 32: (1, {'@': 244}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 8: (0, 427)}, 382: {83: (0, 99), 38: (0, 100), 35: (0, 428), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 383: {16: (1, {'@': 245}), 35: (1, {'@': 245}), 36: (1, {'@': 245}), 20: (1, {'@': 245}), 21: (1, {'@': 245}), 23: (1, {'@': 245}), 11: (1, {'@': 245}), 24: (1, {'@': 245}), 37: (1, {'@': 245}), 27: (1, {'@': 245}), 38: (1, {'@': 245}), 30: (1, {'@': 245}), 17: (1, {'@': 245}), 31: (1, {'@': 245}), 39: (1, {'@': 245}), 40: (1, {'@': 245}), 41: (1, {'@': 245}), 32: (1, {'@': 245}), 42: (1, {'@': 245}), 3: (1, {'@': 245}), 4: (1, {'@': 245}), 43: (1, {'@': 245}), 44: (1, {'@': 245}), 45: (1, {'@': 245}), 46: (1, {'@': 245}), 18: (1, {'@': 245}), 1: (1, {'@': 245}), 47: (1, {'@': 245}), 48: (1, {'@': 245}), 22: (1, {'@': 245}), 25: (1, {'@': 245}), 26: (1, {'@': 245}), 2: (1, {'@': 245}), 29: (1, {'@': 245}), 49: (1, {'@': 245}), 50: (1, {'@': 245}), 51: (1, {'@': 245}), 33: (1, {'@': 245}), 52: (1, {'@': 245}), 34: (1, {'@': 245})}, 384: {44: (1, {'@': 246}), 34: (1, {'@': 246}), 2: (1, {'@': 246}), 21: (1, {'@': 246}), 3: (1, {'@': 246}), 4: (1, {'@': 246}), 23: (1, {'@': 246}), 83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 385: {16: (1, {'@': 247}), 35: (1, {'@': 247}), 36: (1, {'@': 247}), 20: (1, {'@': 247}), 21: (1, {'@': 247}), 23: (1, {'@': 247}), 11: (1, {'@': 247}), 24: (1, {'@': 247}), 37: (1, {'@': 247}), 27: (1, {'@': 247}), 38: (1, {'@': 247}), 30: (1, {'@': 247}), 17: (1, {'@': 247}), 31: (1, {'@': 247}), 39: (1, {'@': 247}), 40: (1, {'@': 247}), 41: (1, {'@': 247}), 32: (1, {'@': 247}), 42: (1, {'@': 247}), 3: (1, {'@': 247}), 4: (1, {'@': 247}), 43: (1, {'@': 247}), 44: (1, {'@': 247}), 45: (1, {'@': 247}), 46: (1, {'@': 247}), 18: (1, {'@': 247}), 1: (1, {'@': 247}), 47: (1, {'@': 247}), 48: (1, {'@': 247}), 22: (1, {'@': 247}), 25: (1, {'@': 247}), 26: (1, {'@': 247}), 2: (1, {'@': 247}), 29: (1, {'@': 247}), 49: (1, {'@': 247}), 50: (1, {'@': 247}), 51: (1, {'@': 247}), 33: (1, {'@': 247}), 52: (1, {'@': 247}), 34: (1, {'@': 247})}, 386: {16: (1, {'@': 248}), 35: (1, {'@': 248}), 36: (1, {'@': 248}), 20: (1, {'@': 248}), 21: (1, {'@': 248}), 23: (1, {'@': 248}), 11: (1, {'@': 248}), 24: (1, {'@': 248}), 37: (1, {'@': 248}), 27: (1, {'@': 248}), 38: (1, {'@': 248}), 30: (1, {'@': 248}), 17: (1, {'@': 248}), 31: (1, {'@': 248}), 39: (1, {'@': 248}), 40: (1, {'@': 248}), 41: (1, {'@': 248}), 32: (1, {'@': 248}), 42: (1, {'@': 248}), 3: (1, {'@': 248}), 4: (1, {'@': 248}), 43: (1, {'@': 248}), 44: (1, {'@': 248}), 45: (1, {'@': 248}), 46: (1, {'@': 248}), 18: (1, {'@': 248}), 1: (1, {'@': 248}), 47: (1, {'@': 248}), 48: (1, {'@': 248}), 22: (1, {'@': 248}), 25: (1, {'@': 248}), 26: (1, {'@': 248}), 2: (1, {'@': 248}), 29: (1, {'@': 248}), 49: (1, {'@': 248}), 50: (1, {'@': 248}), 51: (1, {'@': 248}), 33: (1, {'@': 248}), 52: (1, {'@': 248}), 34: (1, {'@': 248})}, 387: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 69: (0, 384), 58: (0, 39), 22: (0, 40), 17: (0, 41), 23: (0, 429), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 388: {16: (1, {'@': 249}), 35: (1, {'@': 249}), 36: (1, {'@': 249}), 20: (1, {'@': 249}), 21: (1, {'@': 249}), 23: (1, {'@': 249}), 11: (1, {'@': 249}), 24: (1, {'@': 249}), 37: (1, {'@': 249}), 27: (1, {'@': 249}), 38: (1, {'@': 249}), 30: (1, {'@': 249}), 17: (1, {'@': 249}), 31: (1, {'@': 249}), 39: (1, {'@': 249}), 40: (1, {'@': 249}), 41: (1, {'@': 249}), 32: (1, {'@': 249}), 42: (1, {'@': 249}), 3: (1, {'@': 249}), 4: (1, {'@': 249}), 43: (1, {'@': 249}), 44: (1, {'@': 249}), 45: (1, {'@': 249}), 46: (1, {'@': 249}), 18: (1, {'@': 249}), 1: (1, {'@': 249}), 47: (1, {'@': 249}), 48: (1, {'@': 249}), 22: (1, {'@': 249}), 25: (1, {'@': 249}), 26: (1, {'@': 249}), 2: (1, {'@': 249}), 29: (1, {'@': 249}), 49: (1, {'@': 249}), 50: (1, {'@': 249}), 51: (1, {'@': 249}), 33: (1, {'@': 249}), 52: (1, {'@': 249}), 34: (1, {'@': 249})}, 389: {16: (1, {'@': 250}), 35: (1, {'@': 250}), 36: (1, {'@': 250}), 20: (1, {'@': 250}), 21: (1, {'@': 250}), 23: (1, {'@': 250}), 11: (1, {'@': 250}), 24: (1, {'@': 250}), 37: (1, {'@': 250}), 27: (1, {'@': 250}), 38: (1, {'@': 250}), 30: (1, {'@': 250}), 17: (1, {'@': 250}), 31: (1, {'@': 250}), 39: (1, {'@': 250}), 40: (1, {'@': 250}), 41: (1, {'@': 250}), 32: (1, {'@': 250}), 42: (1, {'@': 250}), 3: (1, {'@': 250}), 4: (1, {'@': 250}), 43: (1, {'@': 250}), 44: (1, {'@': 250}), 45: (1, {'@': 250}), 46: (1, {'@': 250}), 18: (1, {'@': 250}), 1: (1, {'@': 250}), 47: (1, {'@': 250}), 48: (1, {'@': 250}), 22: (1, {'@': 250}), 25: (1, {'@': 250}), 26: (1, {'@': 250}), 2: (1, {'@': 250}), 29: (1, {'@': 250}), 49: (1, {'@': 250}), 50: (1, {'@': 250}), 51: (1, {'@': 250}), 33: (1, {'@': 250}), 52: (1, {'@': 250}), 34: (1, {'@': 250})}, 390: {16: (1, {'@': 251}), 35: (1, {'@': 251}), 36: (1, {'@': 251}), 20: (1, {'@': 251}), 21: (1, {'@': 251}), 23: (1, {'@': 251}), 11: (1, {'@': 251}), 24: (1, {'@': 251}), 37: (1, {'@': 251}), 27: (1, {'@': 251}), 38: (1, {'@': 251}), 30: (1, {'@': 251}), 17: (1, {'@': 251}), 31: (1, {'@': 251}), 39: (1, {'@': 251}), 40: (1, {'@': 251}), 41: (1, {'@': 251}), 32: (1, {'@': 251}), 42: (1, {'@': 251}), 3: (1, {'@': 251}), 4: (1, {'@': 251}), 43: (1, {'@': 251}), 44: (1, {'@': 251}), 45: (1, {'@': 251}), 46: (1, {'@': 251}), 18: (1, {'@': 251}), 1: (1, {'@': 251}), 47: (1, {'@': 251}), 48: (1, {'@': 251}), 22: (1, {'@': 251}), 25: (1, {'@': 251}), 26: (1, {'@': 251}), 2: (1, {'@': 251}), 29: (1, {'@': 251}), 49: (1, {'@': 251}), 50: (1, {'@': 251}), 51: (1, {'@': 251}), 33: (1, {'@': 251}), 52: (1, {'@': 251}), 34: (1, {'@': 251})}, 391: {16: (1, {'@': 252}), 35: (1, {'@': 252}), 36: (1, {'@': 252}), 20: (1, {'@': 252}), 21: (1, {'@': 252}), 23: (1, {'@': 252}), 11: (1, {'@': 252}), 24: (1, {'@': 252}), 37: (1, {'@': 252}), 27: (1, {'@': 252}), 38: (1, {'@': 252}), 30: (1, {'@': 252}), 17: (1, {'@': 252}), 31: (1, {'@': 252}), 39: (1, {'@': 252}), 40: (1, {'@': 252}), 41: (1, {'@': 252}), 32: (1, {'@': 252}), 42: (1, {'@': 252}), 3: (1, {'@': 252}), 4: (1, {'@': 252}), 43: (1, {'@': 252}), 44: (1, {'@': 252}), 45: (1, {'@': 252}), 46: (1, {'@': 252}), 18: (1, {'@': 252}), 1: (1, {'@': 252}), 47: (1, {'@': 252}), 48: (1, {'@': 252}), 22: (1, {'@': 252}), 25: (1, {'@': 252}), 26: (1, {'@': 252}), 2: (1, {'@': 252}), 29: (1, {'@': 252}), 49: (1, {'@': 252}), 50: (1, {'@': 252}), 51: (1, {'@': 252}), 33: (1, {'@': 252}), 52: (1, {'@': 252}), 34: (1, {'@': 252})}, 392: {23: (0, 430)}, 393: {16: (1, {'@': 253}), 35: (1, {'@': 253}), 36: (1, {'@': 253}), 20: (1, {'@': 253}), 21: (1, {'@': 253}), 23: (1, {'@': 253}), 11: (1, {'@': 253}), 24: (1, {'@': 253}), 37: (1, {'@': 253}), 27: (1, {'@': 253}), 38: (1, {'@': 253}), 30: (1, {'@': 253}), 17: (1, {'@': 253}), 31: (1, {'@': 253}), 39: (1, {'@': 253}), 40: (1, {'@': 253}), 41: (1, {'@': 253}), 32: (1, {'@': 253}), 42: (1, {'@': 253}), 3: (1, {'@': 253}), 4: (1, {'@': 253}), 43: (1, {'@': 253}), 44: (1, {'@': 253}), 45: (1, {'@': 253}), 46: (1, {'@': 253}), 18: (1, {'@': 253}), 1: (1, {'@': 253}), 47: (1, {'@': 253}), 48: (1, {'@': 253}), 22: (1, {'@': 253}), 25: (1, {'@': 253}), 26: (1, {'@': 253}), 2: (1, {'@': 253}), 29: (1, {'@': 253}), 49: (1, {'@': 253}), 50: (1, {'@': 253}), 51: (1, {'@': 253}), 33: (1, {'@': 253}), 52: (1, {'@': 253}), 34: (1, {'@': 253})}, 394: {23: (0, 431), 6: (0, 2), 4: (0, 4), 8: (0, 432), 3: (0, 5), 2: (0, 9)}, 395: {23: (0, 433)}, 396: {16: (1, {'@': 254}), 35: (1, {'@': 254}), 36: (1, {'@': 254}), 20: (1, {'@': 254}), 21: (1, {'@': 254}), 23: (1, {'@': 254}), 11: (1, {'@': 254}), 24: (1, {'@': 254}), 37: (1, {'@': 254}), 27: (1, {'@': 254}), 38: (1, {'@': 254}), 30: (1, {'@': 254}), 17: (1, {'@': 254}), 31: (1, {'@': 254}), 39: (1, {'@': 254}), 40: (1, {'@': 254}), 41: (1, {'@': 254}), 32: (1, {'@': 254}), 42: (1, {'@': 254}), 3: (1, {'@': 254}), 4: (1, {'@': 254}), 43: (1, {'@': 254}), 44: (1, {'@': 254}), 45: (1, {'@': 254}), 46: (1, {'@': 254}), 18: (1, {'@': 254}), 1: (1, {'@': 254}), 47: (1, {'@': 254}), 48: (1, {'@': 254}), 22: (1, {'@': 254}), 25: (1, {'@': 254}), 26: (1, {'@': 254}), 2: (1, {'@': 254}), 29: (1, {'@': 254}), 49: (1, {'@': 254}), 50: (1, {'@': 254}), 51: (1, {'@': 254}), 33: (1, {'@': 254}), 52: (1, {'@': 254}), 34: (1, {'@': 254})}, 397: {23: (0, 434)}, 398: {16: (1, {'@': 255}), 35: (1, {'@': 255}), 36: (1, {'@': 255}), 20: (1, {'@': 255}), 21: (1, {'@': 255}), 23: (1, {'@': 255}), 11: (1, {'@': 255}), 24: (1, {'@': 255}), 37: (1, {'@': 255}), 27: (1, {'@': 255}), 38: (1, {'@': 255}), 30: (1, {'@': 255}), 17: (1, {'@': 255}), 31: (1, {'@': 255}), 39: (1, {'@': 255}), 40: (1, {'@': 255}), 41: (1, {'@': 255}), 32: (1, {'@': 255}), 42: (1, {'@': 255}), 3: (1, {'@': 255}), 4: (1, {'@': 255}), 43: (1, {'@': 255}), 44: (1, {'@': 255}), 45: (1, {'@': 255}), 46: (1, {'@': 255}), 18: (1, {'@': 255}), 1: (1, {'@': 255}), 47: (1, {'@': 255}), 48: (1, {'@': 255}), 22: (1, {'@': 255}), 25: (1, {'@': 255}), 26: (1, {'@': 255}), 2: (1, {'@': 255}), 29: (1, {'@': 255}), 49: (1, {'@': 255}), 50: (1, {'@': 255}), 51: (1, {'@': 255}), 33: (1, {'@': 255}), 52: (1, {'@': 255}), 34: (1, {'@': 255})}, 399: {6: (0, 2), 8: (0, 435), 4: (0, 4), 3: (0, 5), 33: (0, 171), 1: (0, 436), 2: (0, 9), 90: (0, 437)}, 400: {6: (0, 2), 4: (0, 4), 3: (0, 5), 1: (0, 438), 8: (0, 439), 33: (0, 171), 2: (0, 9), 90: (0, 440)}, 401: {1: (0, 441), 6: (0, 2), 4: (0, 4), 3: (0, 5), 8: (0, 442), 2: (0, 9)}, 402: {16: (1, {'@': 256}), 35: (1, {'@': 256}), 36: (1, {'@': 256}), 20: (1, {'@': 256}), 21: (1, {'@': 256}), 23: (1, {'@': 256}), 11: (1, {'@': 256}), 24: (1, {'@': 256}), 37: (1, {'@': 256}), 27: (1, {'@': 256}), 38: (1, {'@': 256}), 30: (1, {'@': 256}), 17: (1, {'@': 256}), 31: (1, {'@': 256}), 39: (1, {'@': 256}), 40: (1, {'@': 256}), 41: (1, {'@': 256}), 32: (1, {'@': 256}), 42: (1, {'@': 256}), 3: (1, {'@': 256}), 4: (1, {'@': 256}), 43: (1, {'@': 256}), 44: (1, {'@': 256}), 45: (1, {'@': 256}), 46: (1, {'@': 256}), 18: (1, {'@': 256}), 1: (1, {'@': 256}), 47: (1, {'@': 256}), 48: (1, {'@': 256}), 22: (1, {'@': 256}), 25: (1, {'@': 256}), 26: (1, {'@': 256}), 2: (1, {'@': 256}), 29: (1, {'@': 256}), 49: (1, {'@': 256}), 50: (1, {'@': 256}), 51: (1, {'@': 256}), 33: (1, {'@': 256}), 52: (1, {'@': 256}), 34: (1, {'@': 256})}, 403: {16: (1, {'@': 257}), 35: (1, {'@': 257}), 36: (1, {'@': 257}), 20: (1, {'@': 257}), 21: (1, {'@': 257}), 23: (1, {'@': 257}), 11: (1, {'@': 257}), 24: (1, {'@': 257}), 37: (1, {'@': 257}), 27: (1, {'@': 257}), 38: (1, {'@': 257}), 30: (1, {'@': 257}), 17: (1, {'@': 257}), 31: (1, {'@': 257}), 39: (1, {'@': 257}), 40: (1, {'@': 257}), 41: (1, {'@': 257}), 32: (1, {'@': 257}), 42: (1, {'@': 257}), 3: (1, {'@': 257}), 4: (1, {'@': 257}), 43: (1, {'@': 257}), 44: (1, {'@': 257}), 45: (1, {'@': 257}), 46: (1, {'@': 257}), 18: (1, {'@': 257}), 1: (1, {'@': 257}), 47: (1, {'@': 257}), 48: (1, {'@': 257}), 22: (1, {'@': 257}), 25: (1, {'@': 257}), 26: (1, {'@': 257}), 2: (1, {'@': 257}), 29: (1, {'@': 257}), 49: (1, {'@': 257}), 50: (1, {'@': 257}), 51: (1, {'@': 257}), 33: (1, {'@': 257}), 52: (1, {'@': 257}), 34: (1, {'@': 257})}, 404: {1: (0, 443), 6: (0, 2), 8: (0, 444), 4: (0, 4), 3: (0, 5), 90: (0, 445), 33: (0, 171), 2: (0, 9)}, 405: {6: (0, 2), 4: (0, 4), 3: (0, 5), 8: (0, 446), 1: (0, 447), 2: (0, 9)}, 406: {6: (0, 2), 4: (0, 4), 3: (0, 5), 1: (0, 448), 2: (0, 9), 8: (0, 449)}, 407: {16: (1, {'@': 258}), 35: (1, {'@': 258}), 36: (1, {'@': 258}), 20: (1, {'@': 258}), 21: (1, {'@': 258}), 23: (1, {'@': 258}), 11: (1, {'@': 258}), 24: (1, {'@': 258}), 37: (1, {'@': 258}), 27: (1, {'@': 258}), 38: (1, {'@': 258}), 30: (1, {'@': 258}), 17: (1, {'@': 258}), 31: (1, {'@': 258}), 39: (1, {'@': 258}), 40: (1, {'@': 258}), 41: (1, {'@': 258}), 32: (1, {'@': 258}), 42: (1, {'@': 258}), 3: (1, {'@': 258}), 4: (1, {'@': 258}), 43: (1, {'@': 258}), 44: (1, {'@': 258}), 45: (1, {'@': 258}), 46: (1, {'@': 258}), 18: (1, {'@': 258}), 1: (1, {'@': 258}), 47: (1, {'@': 258}), 48: (1, {'@': 258}), 22: (1, {'@': 258}), 25: (1, {'@': 258}), 26: (1, {'@': 258}), 2: (1, {'@': 258}), 29: (1, {'@': 258}), 49: (1, {'@': 258}), 50: (1, {'@': 258}), 51: (1, {'@': 258}), 33: (1, {'@': 258}), 52: (1, {'@': 258}), 34: (1, {'@': 258})}, 408: {1: (0, 450)}, 409: {16: (1, {'@': 259}), 35: (1, {'@': 259}), 36: (1, {'@': 259}), 20: (1, {'@': 259}), 21: (1, {'@': 259}), 23: (1, {'@': 259}), 11: (1, {'@': 259}), 24: (1, {'@': 259}), 37: (1, {'@': 259}), 27: (1, {'@': 259}), 38: (1, {'@': 259}), 30: (1, {'@': 259}), 17: (1, {'@': 259}), 31: (1, {'@': 259}), 39: (1, {'@': 259}), 40: (1, {'@': 259}), 41: (1, {'@': 259}), 32: (1, {'@': 259}), 42: (1, {'@': 259}), 3: (1, {'@': 259}), 4: (1, {'@': 259}), 43: (1, {'@': 259}), 44: (1, {'@': 259}), 45: (1, {'@': 259}), 46: (1, {'@': 259}), 18: (1, {'@': 259}), 1: (1, {'@': 259}), 47: (1, {'@': 259}), 48: (1, {'@': 259}), 22: (1, {'@': 259}), 25: (1, {'@': 259}), 26: (1, {'@': 259}), 2: (1, {'@': 259}), 29: (1, {'@': 259}), 49: (1, {'@': 259}), 50: (1, {'@': 259}), 51: (1, {'@': 259}), 33: (1, {'@': 259}), 52: (1, {'@': 259}), 34: (1, {'@': 259})}, 410: {1: (0, 451)}, 411: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 69: (0, 384), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 412: {16: (1, {'@': 260}), 35: (1, {'@': 260}), 36: (1, {'@': 260}), 20: (1, {'@': 260}), 21: (1, {'@': 260}), 23: (1, {'@': 260}), 11: (1, {'@': 260}), 24: (1, {'@': 260}), 37: (1, {'@': 260}), 27: (1, {'@': 260}), 38: (1, {'@': 260}), 30: (1, {'@': 260}), 17: (1, {'@': 260}), 31: (1, {'@': 260}), 39: (1, {'@': 260}), 40: (1, {'@': 260}), 41: (1, {'@': 260}), 32: (1, {'@': 260}), 42: (1, {'@': 260}), 3: (1, {'@': 260}), 4: (1, {'@': 260}), 43: (1, {'@': 260}), 44: (1, {'@': 260}), 45: (1, {'@': 260}), 46: (1, {'@': 260}), 18: (1, {'@': 260}), 1: (1, {'@': 260}), 47: (1, {'@': 260}), 48: (1, {'@': 260}), 22: (1, {'@': 260}), 25: (1, {'@': 260}), 26: (1, {'@': 260}), 2: (1, {'@': 260}), 29: (1, {'@': 260}), 49: (1, {'@': 260}), 50: (1, {'@': 260}), 51: (1, {'@': 260}), 33: (1, {'@': 260}), 52: (1, {'@': 260}), 34: (1, {'@': 260})}, 413: {6: (0, 2), 69: (0, 452), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 8: (0, 453), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 414: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 69: (0, 454), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 415: {83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 35: (0, 455), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 416: {18: (1, {'@': 261}), 20: (1, {'@': 261}), 22: (1, {'@': 261}), 11: (1, {'@': 261}), 24: (1, {'@': 261}), 25: (1, {'@': 261}), 26: (1, {'@': 261}), 2: (0, 9), 27: (1, {'@': 261}), 29: (1, {'@': 261}), 30: (1, {'@': 261}), 17: (1, {'@': 261}), 31: (1, {'@': 261}), 32: (1, {'@': 261}), 3: (0, 5), 4: (0, 4), 8: (0, 456), 6: (0, 2)}, 417: {83: (0, 99), 35: (0, 457), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 418: {18: (1, {'@': 262}), 20: (1, {'@': 262}), 22: (1, {'@': 262}), 11: (1, {'@': 262}), 24: (1, {'@': 262}), 25: (1, {'@': 262}), 26: (1, {'@': 262}), 2: (0, 9), 27: (1, {'@': 262}), 29: (1, {'@': 262}), 30: (1, {'@': 262}), 17: (1, {'@': 262}), 31: (1, {'@': 262}), 32: (1, {'@': 262}), 3: (0, 5), 4: (0, 4), 8: (0, 458), 6: (0, 2)}, 419: {18: (1, {'@': 263}), 20: (1, {'@': 263}), 22: (1, {'@': 263}), 11: (1, {'@': 263}), 24: (1, {'@': 263}), 25: (1, {'@': 263}), 26: (1, {'@': 263}), 2: (1, {'@': 263}), 27: (1, {'@': 263}), 29: (1, {'@': 263}), 30: (1, {'@': 263}), 17: (1, {'@': 263}), 31: (1, {'@': 263}), 32: (1, {'@': 263}), 3: (1, {'@': 263}), 4: (1, {'@': 263})}, 420: {18: (1, {'@': 264}), 20: (1, {'@': 264}), 22: (1, {'@': 264}), 11: (1, {'@': 264}), 24: (1, {'@': 264}), 25: (1, {'@': 264}), 26: (1, {'@': 264}), 2: (1, {'@': 264}), 27: (1, {'@': 264}), 29: (1, {'@': 264}), 30: (1, {'@': 264}), 17: (1, {'@': 264}), 31: (1, {'@': 264}), 32: (1, {'@': 264}), 3: (1, {'@': 264}), 4: (1, {'@': 264})}, 421: {6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 69: (0, 459), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 8: (0, 460), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 422: {19: (0, 461)}, 423: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 69: (0, 462), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 424: {83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 35: (0, 463), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 425: {18: (1, {'@': 265}), 20: (1, {'@': 265}), 22: (1, {'@': 265}), 11: (1, {'@': 265}), 24: (1, {'@': 265}), 25: (1, {'@': 265}), 26: (1, {'@': 265}), 2: (0, 9), 27: (1, {'@': 265}), 29: (1, {'@': 265}), 30: (1, {'@': 265}), 17: (1, {'@': 265}), 31: (1, {'@': 265}), 32: (1, {'@': 265}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 8: (0, 464)}, 426: {83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 35: (0, 465), 42: (0, 115)}, 427: {18: (1, {'@': 266}), 20: (1, {'@': 266}), 22: (1, {'@': 266}), 11: (1, {'@': 266}), 24: (1, {'@': 266}), 25: (1, {'@': 266}), 26: (1, {'@': 266}), 2: (1, {'@': 266}), 27: (1, {'@': 266}), 29: (1, {'@': 266}), 30: (1, {'@': 266}), 17: (1, {'@': 266}), 31: (1, {'@': 266}), 32: (1, {'@': 266}), 3: (1, {'@': 266}), 4: (1, {'@': 266})}, 428: {18: (1, {'@': 267}), 20: (1, {'@': 267}), 22: (1, {'@': 267}), 11: (1, {'@': 267}), 24: (1, {'@': 267}), 25: (1, {'@': 267}), 26: (1, {'@': 267}), 2: (0, 9), 27: (1, {'@': 267}), 29: (1, {'@': 267}), 30: (1, {'@': 267}), 17: (1, {'@': 267}), 31: (1, {'@': 267}), 32: (1, {'@': 267}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 8: (0, 466)}, 429: {16: (1, {'@': 268}), 35: (1, {'@': 268}), 36: (1, {'@': 268}), 20: (1, {'@': 268}), 21: (1, {'@': 268}), 23: (1, {'@': 268}), 11: (1, {'@': 268}), 24: (1, {'@': 268}), 37: (1, {'@': 268}), 27: (1, {'@': 268}), 38: (1, {'@': 268}), 30: (1, {'@': 268}), 17: (1, {'@': 268}), 31: (1, {'@': 268}), 39: (1, {'@': 268}), 40: (1, {'@': 268}), 41: (1, {'@': 268}), 32: (1, {'@': 268}), 42: (1, {'@': 268}), 3: (1, {'@': 268}), 4: (1, {'@': 268}), 43: (1, {'@': 268}), 44: (1, {'@': 268}), 45: (1, {'@': 268}), 46: (1, {'@': 268}), 18: (1, {'@': 268}), 1: (1, {'@': 268}), 47: (1, {'@': 268}), 48: (1, {'@': 268}), 22: (1, {'@': 268}), 25: (1, {'@': 268}), 26: (1, {'@': 268}), 2: (1, {'@': 268}), 29: (1, {'@': 268}), 49: (1, {'@': 268}), 50: (1, {'@': 268}), 51: (1, {'@': 268}), 33: (1, {'@': 268}), 52: (1, {'@': 268}), 34: (1, {'@': 268})}, 430: {16: (1, {'@': 269}), 35: (1, {'@': 269}), 36: (1, {'@': 269}), 20: (1, {'@': 269}), 21: (1, {'@': 269}), 23: (1, {'@': 269}), 11: (1, {'@': 269}), 24: (1, {'@': 269}), 37: (1, {'@': 269}), 27: (1, {'@': 269}), 38: (1, {'@': 269}), 30: (1, {'@': 269}), 17: (1, {'@': 269}), 31: (1, {'@': 269}), 39: (1, {'@': 269}), 40: (1, {'@': 269}), 41: (1, {'@': 269}), 32: (1, {'@': 269}), 42: (1, {'@': 269}), 3: (1, {'@': 269}), 4: (1, {'@': 269}), 43: (1, {'@': 269}), 44: (1, {'@': 269}), 45: (1, {'@': 269}), 46: (1, {'@': 269}), 18: (1, {'@': 269}), 1: (1, {'@': 269}), 47: (1, {'@': 269}), 48: (1, {'@': 269}), 22: (1, {'@': 269}), 25: (1, {'@': 269}), 26: (1, {'@': 269}), 2: (1, {'@': 269}), 29: (1, {'@': 269}), 49: (1, {'@': 269}), 50: (1, {'@': 269}), 51: (1, {'@': 269}), 33: (1, {'@': 269}), 52: (1, {'@': 269}), 34: (1, {'@': 269})}, 431: {16: (1, {'@': 270}), 35: (1, {'@': 270}), 36: (1, {'@': 270}), 20: (1, {'@': 270}), 21: (1, {'@': 270}), 23: (1, {'@': 270}), 11: (1, {'@': 270}), 24: (1, {'@': 270}), 37: (1, {'@': 270}), 27: (1, {'@': 270}), 38: (1, {'@': 270}), 30: (1, {'@': 270}), 17: (1, {'@': 270}), 31: (1, {'@': 270}), 39: (1, {'@': 270}), 40: (1, {'@': 270}), 41: (1, {'@': 270}), 32: (1, {'@': 270}), 42: (1, {'@': 270}), 3: (1, {'@': 270}), 4: (1, {'@': 270}), 43: (1, {'@': 270}), 44: (1, {'@': 270}), 45: (1, {'@': 270}), 46: (1, {'@': 270}), 18: (1, {'@': 270}), 1: (1, {'@': 270}), 47: (1, {'@': 270}), 48: (1, {'@': 270}), 22: (1, {'@': 270}), 25: (1, {'@': 270}), 26: (1, {'@': 270}), 2: (1, {'@': 270}), 29: (1, {'@': 270}), 49: (1, {'@': 270}), 50: (1, {'@': 270}), 51: (1, {'@': 270}), 33: (1, {'@': 270}), 52: (1, {'@': 270}), 34: (1, {'@': 270})}, 432: {23: (0, 467)}, 433: {16: (1, {'@': 271}), 35: (1, {'@': 271}), 36: (1, {'@': 271}), 20: (1, {'@': 271}), 21: (1, {'@': 271}), 23: (1, {'@': 271}), 11: (1, {'@': 271}), 24: (1, {'@': 271}), 37: (1, {'@': 271}), 27: (1, {'@': 271}), 38: (1, {'@': 271}), 30: (1, {'@': 271}), 17: (1, {'@': 271}), 31: (1, {'@': 271}), 39: (1, {'@': 271}), 40: (1, {'@': 271}), 41: (1, {'@': 271}), 32: (1, {'@': 271}), 42: (1, {'@': 271}), 3: (1, {'@': 271}), 4: (1, {'@': 271}), 43: (1, {'@': 271}), 44: (1, {'@': 271}), 45: (1, {'@': 271}), 46: (1, {'@': 271}), 18: (1, {'@': 271}), 1: (1, {'@': 271}), 47: (1, {'@': 271}), 48: (1, {'@': 271}), 22: (1, {'@': 271}), 25: (1, {'@': 271}), 26: (1, {'@': 271}), 2: (1, {'@': 271}), 29: (1, {'@': 271}), 49: (1, {'@': 271}), 50: (1, {'@': 271}), 51: (1, {'@': 271}), 33: (1, {'@': 271}), 52: (1, {'@': 271}), 34: (1, {'@': 271})}, 434: {16: (1, {'@': 272}), 35: (1, {'@': 272}), 36: (1, {'@': 272}), 20: (1, {'@': 272}), 21: (1, {'@': 272}), 23: (1, {'@': 272}), 11: (1, {'@': 272}), 24: (1, {'@': 272}), 37: (1, {'@': 272}), 27: (1, {'@': 272}), 38: (1, {'@': 272}), 30: (1, {'@': 272}), 17: (1, {'@': 272}), 31: (1, {'@': 272}), 39: (1, {'@': 272}), 40: (1, {'@': 272}), 41: (1, {'@': 272}), 32: (1, {'@': 272}), 42: (1, {'@': 272}), 3: (1, {'@': 272}), 4: (1, {'@': 272}), 43: (1, {'@': 272}), 44: (1, {'@': 272}), 45: (1, {'@': 272}), 46: (1, {'@': 272}), 18: (1, {'@': 272}), 1: (1, {'@': 272}), 47: (1, {'@': 272}), 48: (1, {'@': 272}), 22: (1, {'@': 272}), 25: (1, {'@': 272}), 26: (1, {'@': 272}), 2: (1, {'@': 272}), 29: (1, {'@': 272}), 49: (1, {'@': 272}), 50: (1, {'@': 272}), 51: (1, {'@': 272}), 33: (1, {'@': 272}), 52: (1, {'@': 272}), 34: (1, {'@': 272})}, 435: {6: (0, 2), 90: (0, 468), 1: (0, 469), 4: (0, 4), 3: (0, 5), 33: (0, 171), 2: (0, 9), 8: (0, 470)}, 436: {16: (1, {'@': 273}), 35: (1, {'@': 273}), 36: (1, {'@': 273}), 20: (1, {'@': 273}), 21: (1, {'@': 273}), 23: (1, {'@': 273}), 11: (1, {'@': 273}), 24: (1, {'@': 273}), 37: (1, {'@': 273}), 27: (1, {'@': 273}), 38: (1, {'@': 273}), 30: (1, {'@': 273}), 17: (1, {'@': 273}), 31: (1, {'@': 273}), 39: (1, {'@': 273}), 40: (1, {'@': 273}), 41: (1, {'@': 273}), 32: (1, {'@': 273}), 42: (1, {'@': 273}), 3: (1, {'@': 273}), 4: (1, {'@': 273}), 43: (1, {'@': 273}), 44: (1, {'@': 273}), 45: (1, {'@': 273}), 46: (1, {'@': 273}), 18: (1, {'@': 273}), 1: (1, {'@': 273}), 47: (1, {'@': 273}), 48: (1, {'@': 273}), 22: (1, {'@': 273}), 25: (1, {'@': 273}), 26: (1, {'@': 273}), 2: (1, {'@': 273}), 29: (1, {'@': 273}), 49: (1, {'@': 273}), 50: (1, {'@': 273}), 51: (1, {'@': 273}), 33: (1, {'@': 273}), 52: (1, {'@': 273}), 34: (1, {'@': 273})}, 437: {6: (0, 2), 8: (0, 471), 4: (0, 4), 3: (0, 5), 1: (0, 472), 2: (0, 9)}, 438: {16: (1, {'@': 274}), 35: (1, {'@': 274}), 36: (1, {'@': 274}), 20: (1, {'@': 274}), 21: (1, {'@': 274}), 23: (1, {'@': 274}), 11: (1, {'@': 274}), 24: (1, {'@': 274}), 37: (1, {'@': 274}), 27: (1, {'@': 274}), 38: (1, {'@': 274}), 30: (1, {'@': 274}), 17: (1, {'@': 274}), 31: (1, {'@': 274}), 39: (1, {'@': 274}), 40: (1, {'@': 274}), 41: (1, {'@': 274}), 32: (1, {'@': 274}), 42: (1, {'@': 274}), 3: (1, {'@': 274}), 4: (1, {'@': 274}), 43: (1, {'@': 274}), 44: (1, {'@': 274}), 45: (1, {'@': 274}), 46: (1, {'@': 274}), 18: (1, {'@': 274}), 1: (1, {'@': 274}), 47: (1, {'@': 274}), 48: (1, {'@': 274}), 22: (1, {'@': 274}), 25: (1, {'@': 274}), 26: (1, {'@': 274}), 2: (1, {'@': 274}), 29: (1, {'@': 274}), 49: (1, {'@': 274}), 50: (1, {'@': 274}), 51: (1, {'@': 274}), 33: (1, {'@': 274}), 52: (1, {'@': 274}), 34: (1, {'@': 274})}, 439: {1: (0, 473)}, 440: {6: (0, 2), 4: (0, 4), 3: (0, 5), 1: (0, 474), 8: (0, 475), 2: (0, 9)}, 441: {16: (1, {'@': 275}), 35: (1, {'@': 275}), 36: (1, {'@': 275}), 20: (1, {'@': 275}), 21: (1, {'@': 275}), 23: (1, {'@': 275}), 11: (1, {'@': 275}), 24: (1, {'@': 275}), 37: (1, {'@': 275}), 27: (1, {'@': 275}), 38: (1, {'@': 275}), 30: (1, {'@': 275}), 17: (1, {'@': 275}), 31: (1, {'@': 275}), 39: (1, {'@': 275}), 40: (1, {'@': 275}), 41: (1, {'@': 275}), 32: (1, {'@': 275}), 42: (1, {'@': 275}), 3: (1, {'@': 275}), 4: (1, {'@': 275}), 43: (1, {'@': 275}), 44: (1, {'@': 275}), 45: (1, {'@': 275}), 46: (1, {'@': 275}), 18: (1, {'@': 275}), 1: (1, {'@': 275}), 47: (1, {'@': 275}), 48: (1, {'@': 275}), 22: (1, {'@': 275}), 25: (1, {'@': 275}), 26: (1, {'@': 275}), 2: (1, {'@': 275}), 29: (1, {'@': 275}), 49: (1, {'@': 275}), 50: (1, {'@': 275}), 51: (1, {'@': 275}), 33: (1, {'@': 275}), 52: (1, {'@': 275}), 34: (1, {'@': 275})}, 442: {1: (0, 476)}, 443: {16: (1, {'@': 276}), 35: (1, {'@': 276}), 36: (1, {'@': 276}), 20: (1, {'@': 276}), 21: (1, {'@': 276}), 23: (1, {'@': 276}), 11: (1, {'@': 276}), 24: (1, {'@': 276}), 37: (1, {'@': 276}), 27: (1, {'@': 276}), 38: (1, {'@': 276}), 30: (1, {'@': 276}), 17: (1, {'@': 276}), 31: (1, {'@': 276}), 39: (1, {'@': 276}), 40: (1, {'@': 276}), 41: (1, {'@': 276}), 32: (1, {'@': 276}), 42: (1, {'@': 276}), 3: (1, {'@': 276}), 4: (1, {'@': 276}), 43: (1, {'@': 276}), 44: (1, {'@': 276}), 45: (1, {'@': 276}), 46: (1, {'@': 276}), 18: (1, {'@': 276}), 1: (1, {'@': 276}), 47: (1, {'@': 276}), 48: (1, {'@': 276}), 22: (1, {'@': 276}), 25: (1, {'@': 276}), 26: (1, {'@': 276}), 2: (1, {'@': 276}), 29: (1, {'@': 276}), 49: (1, {'@': 276}), 50: (1, {'@': 276}), 51: (1, {'@': 276}), 33: (1, {'@': 276}), 52: (1, {'@': 276}), 34: (1, {'@': 276})}, 444: {1: (0, 477)}, 445: {6: (0, 2), 4: (0, 4), 3: (0, 5), 1: (0, 478), 2: (0, 9), 8: (0, 479)}, 446: {1: (0, 480)}, 447: {16: (1, {'@': 277}), 35: (1, {'@': 277}), 36: (1, {'@': 277}), 20: (1, {'@': 277}), 21: (1, {'@': 277}), 23: (1, {'@': 277}), 11: (1, {'@': 277}), 24: (1, {'@': 277}), 37: (1, {'@': 277}), 27: (1, {'@': 277}), 38: (1, {'@': 277}), 30: (1, {'@': 277}), 17: (1, {'@': 277}), 31: (1, {'@': 277}), 39: (1, {'@': 277}), 40: (1, {'@': 277}), 41: (1, {'@': 277}), 32: (1, {'@': 277}), 42: (1, {'@': 277}), 3: (1, {'@': 277}), 4: (1, {'@': 277}), 43: (1, {'@': 277}), 44: (1, {'@': 277}), 45: (1, {'@': 277}), 46: (1, {'@': 277}), 18: (1, {'@': 277}), 1: (1, {'@': 277}), 47: (1, {'@': 277}), 48: (1, {'@': 277}), 22: (1, {'@': 277}), 25: (1, {'@': 277}), 26: (1, {'@': 277}), 2: (1, {'@': 277}), 29: (1, {'@': 277}), 49: (1, {'@': 277}), 50: (1, {'@': 277}), 51: (1, {'@': 277}), 33: (1, {'@': 277}), 52: (1, {'@': 277}), 34: (1, {'@': 277})}, 448: {16: (1, {'@': 278}), 35: (1, {'@': 278}), 36: (1, {'@': 278}), 20: (1, {'@': 278}), 21: (1, {'@': 278}), 23: (1, {'@': 278}), 11: (1, {'@': 278}), 24: (1, {'@': 278}), 37: (1, {'@': 278}), 27: (1, {'@': 278}), 38: (1, {'@': 278}), 30: (1, {'@': 278}), 17: (1, {'@': 278}), 31: (1, {'@': 278}), 39: (1, {'@': 278}), 40: (1, {'@': 278}), 41: (1, {'@': 278}), 32: (1, {'@': 278}), 42: (1, {'@': 278}), 3: (1, {'@': 278}), 4: (1, {'@': 278}), 43: (1, {'@': 278}), 44: (1, {'@': 278}), 45: (1, {'@': 278}), 46: (1, {'@': 278}), 18: (1, {'@': 278}), 1: (1, {'@': 278}), 47: (1, {'@': 278}), 48: (1, {'@': 278}), 22: (1, {'@': 278}), 25: (1, {'@': 278}), 26: (1, {'@': 278}), 2: (1, {'@': 278}), 29: (1, {'@': 278}), 49: (1, {'@': 278}), 50: (1, {'@': 278}), 51: (1, {'@': 278}), 33: (1, {'@': 278}), 52: (1, {'@': 278}), 34: (1, {'@': 278})}, 449: {1: (0, 481)}, 450: {16: (1, {'@': 279}), 35: (1, {'@': 279}), 36: (1, {'@': 279}), 20: (1, {'@': 279}), 21: (1, {'@': 279}), 23: (1, {'@': 279}), 11: (1, {'@': 279}), 24: (1, {'@': 279}), 37: (1, {'@': 279}), 27: (1, {'@': 279}), 38: (1, {'@': 279}), 30: (1, {'@': 279}), 17: (1, {'@': 279}), 31: (1, {'@': 279}), 39: (1, {'@': 279}), 40: (1, {'@': 279}), 41: (1, {'@': 279}), 32: (1, {'@': 279}), 42: (1, {'@': 279}), 3: (1, {'@': 279}), 4: (1, {'@': 279}), 43: (1, {'@': 279}), 44: (1, {'@': 279}), 45: (1, {'@': 279}), 46: (1, {'@': 279}), 18: (1, {'@': 279}), 1: (1, {'@': 279}), 47: (1, {'@': 279}), 48: (1, {'@': 279}), 22: (1, {'@': 279}), 25: (1, {'@': 279}), 26: (1, {'@': 279}), 2: (1, {'@': 279}), 29: (1, {'@': 279}), 49: (1, {'@': 279}), 50: (1, {'@': 279}), 51: (1, {'@': 279}), 33: (1, {'@': 279}), 52: (1, {'@': 279}), 34: (1, {'@': 279})}, 451: {16: (1, {'@': 280}), 35: (1, {'@': 280}), 36: (1, {'@': 280}), 20: (1, {'@': 280}), 21: (1, {'@': 280}), 23: (1, {'@': 280}), 11: (1, {'@': 280}), 24: (1, {'@': 280}), 37: (1, {'@': 280}), 27: (1, {'@': 280}), 38: (1, {'@': 280}), 30: (1, {'@': 280}), 17: (1, {'@': 280}), 31: (1, {'@': 280}), 39: (1, {'@': 280}), 40: (1, {'@': 280}), 41: (1, {'@': 280}), 32: (1, {'@': 280}), 42: (1, {'@': 280}), 3: (1, {'@': 280}), 4: (1, {'@': 280}), 43: (1, {'@': 280}), 44: (1, {'@': 280}), 45: (1, {'@': 280}), 46: (1, {'@': 280}), 18: (1, {'@': 280}), 1: (1, {'@': 280}), 47: (1, {'@': 280}), 48: (1, {'@': 280}), 22: (1, {'@': 280}), 25: (1, {'@': 280}), 26: (1, {'@': 280}), 2: (1, {'@': 280}), 29: (1, {'@': 280}), 49: (1, {'@': 280}), 50: (1, {'@': 280}), 51: (1, {'@': 280}), 33: (1, {'@': 280}), 52: (1, {'@': 280}), 34: (1, {'@': 280})}, 452: {83: (0, 99), 38: (0, 100), 35: (0, 482), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 453: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 69: (0, 483), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 454: {83: (0, 99), 38: (0, 100), 35: (0, 484), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 455: {18: (1, {'@': 281}), 20: (1, {'@': 281}), 22: (1, {'@': 281}), 11: (1, {'@': 281}), 24: (1, {'@': 281}), 25: (1, {'@': 281}), 26: (1, {'@': 281}), 2: (0, 9), 27: (1, {'@': 281}), 29: (1, {'@': 281}), 30: (1, {'@': 281}), 17: (1, {'@': 281}), 31: (1, {'@': 281}), 32: (1, {'@': 281}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 8: (0, 485)}, 456: {18: (1, {'@': 282}), 20: (1, {'@': 282}), 22: (1, {'@': 282}), 11: (1, {'@': 282}), 24: (1, {'@': 282}), 25: (1, {'@': 282}), 26: (1, {'@': 282}), 2: (1, {'@': 282}), 27: (1, {'@': 282}), 29: (1, {'@': 282}), 30: (1, {'@': 282}), 17: (1, {'@': 282}), 31: (1, {'@': 282}), 32: (1, {'@': 282}), 3: (1, {'@': 282}), 4: (1, {'@': 282})}, 457: {18: (1, {'@': 283}), 20: (1, {'@': 283}), 22: (1, {'@': 283}), 11: (1, {'@': 283}), 24: (1, {'@': 283}), 25: (1, {'@': 283}), 26: (1, {'@': 283}), 2: (0, 9), 27: (1, {'@': 283}), 29: (1, {'@': 283}), 30: (1, {'@': 283}), 17: (1, {'@': 283}), 31: (1, {'@': 283}), 32: (1, {'@': 283}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 8: (0, 486)}, 458: {18: (1, {'@': 284}), 20: (1, {'@': 284}), 22: (1, {'@': 284}), 11: (1, {'@': 284}), 24: (1, {'@': 284}), 25: (1, {'@': 284}), 26: (1, {'@': 284}), 2: (1, {'@': 284}), 27: (1, {'@': 284}), 29: (1, {'@': 284}), 30: (1, {'@': 284}), 17: (1, {'@': 284}), 31: (1, {'@': 284}), 32: (1, {'@': 284}), 3: (1, {'@': 284}), 4: (1, {'@': 284})}, 459: {83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 35: (0, 487), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 460: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 69: (0, 488), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 461: {6: (0, 2), 32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 2: (0, 9), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 8: (0, 489), 62: (0, 45), 69: (0, 490), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 4: (0, 4), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 3: (0, 5), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 462: {83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 35: (0, 491), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 463: {18: (1, {'@': 285}), 20: (1, {'@': 285}), 22: (1, {'@': 285}), 11: (1, {'@': 285}), 24: (1, {'@': 285}), 25: (1, {'@': 285}), 26: (1, {'@': 285}), 2: (0, 9), 27: (1, {'@': 285}), 29: (1, {'@': 285}), 30: (1, {'@': 285}), 17: (1, {'@': 285}), 31: (1, {'@': 285}), 32: (1, {'@': 285}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 8: (0, 492)}, 464: {18: (1, {'@': 286}), 20: (1, {'@': 286}), 22: (1, {'@': 286}), 11: (1, {'@': 286}), 24: (1, {'@': 286}), 25: (1, {'@': 286}), 26: (1, {'@': 286}), 2: (1, {'@': 286}), 27: (1, {'@': 286}), 29: (1, {'@': 286}), 30: (1, {'@': 286}), 17: (1, {'@': 286}), 31: (1, {'@': 286}), 32: (1, {'@': 286}), 3: (1, {'@': 286}), 4: (1, {'@': 286})}, 465: {18: (1, {'@': 287}), 20: (1, {'@': 287}), 22: (1, {'@': 287}), 11: (1, {'@': 287}), 24: (1, {'@': 287}), 25: (1, {'@': 287}), 26: (1, {'@': 287}), 2: (0, 9), 27: (1, {'@': 287}), 29: (1, {'@': 287}), 30: (1, {'@': 287}), 17: (1, {'@': 287}), 31: (1, {'@': 287}), 32: (1, {'@': 287}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 8: (0, 493)}, 466: {18: (1, {'@': 288}), 20: (1, {'@': 288}), 22: (1, {'@': 288}), 11: (1, {'@': 288}), 24: (1, {'@': 288}), 25: (1, {'@': 288}), 26: (1, {'@': 288}), 2: (1, {'@': 288}), 27: (1, {'@': 288}), 29: (1, {'@': 288}), 30: (1, {'@': 288}), 17: (1, {'@': 288}), 31: (1, {'@': 288}), 32: (1, {'@': 288}), 3: (1, {'@': 288}), 4: (1, {'@': 288})}, 467: {16: (1, {'@': 289}), 35: (1, {'@': 289}), 36: (1, {'@': 289}), 20: (1, {'@': 289}), 21: (1, {'@': 289}), 23: (1, {'@': 289}), 11: (1, {'@': 289}), 24: (1, {'@': 289}), 37: (1, {'@': 289}), 27: (1, {'@': 289}), 38: (1, {'@': 289}), 30: (1, {'@': 289}), 17: (1, {'@': 289}), 31: (1, {'@': 289}), 39: (1, {'@': 289}), 40: (1, {'@': 289}), 41: (1, {'@': 289}), 32: (1, {'@': 289}), 42: (1, {'@': 289}), 3: (1, {'@': 289}), 4: (1, {'@': 289}), 43: (1, {'@': 289}), 44: (1, {'@': 289}), 45: (1, {'@': 289}), 46: (1, {'@': 289}), 18: (1, {'@': 289}), 1: (1, {'@': 289}), 47: (1, {'@': 289}), 48: (1, {'@': 289}), 22: (1, {'@': 289}), 25: (1, {'@': 289}), 26: (1, {'@': 289}), 2: (1, {'@': 289}), 29: (1, {'@': 289}), 49: (1, {'@': 289}), 50: (1, {'@': 289}), 51: (1, {'@': 289}), 33: (1, {'@': 289}), 52: (1, {'@': 289}), 34: (1, {'@': 289})}, 468: {1: (0, 494), 6: (0, 2), 4: (0, 4), 3: (0, 5), 8: (0, 495), 2: (0, 9)}, 469: {16: (1, {'@': 290}), 35: (1, {'@': 290}), 36: (1, {'@': 290}), 20: (1, {'@': 290}), 21: (1, {'@': 290}), 23: (1, {'@': 290}), 11: (1, {'@': 290}), 24: (1, {'@': 290}), 37: (1, {'@': 290}), 27: (1, {'@': 290}), 38: (1, {'@': 290}), 30: (1, {'@': 290}), 17: (1, {'@': 290}), 31: (1, {'@': 290}), 39: (1, {'@': 290}), 40: (1, {'@': 290}), 41: (1, {'@': 290}), 32: (1, {'@': 290}), 42: (1, {'@': 290}), 3: (1, {'@': 290}), 4: (1, {'@': 290}), 43: (1, {'@': 290}), 44: (1, {'@': 290}), 45: (1, {'@': 290}), 46: (1, {'@': 290}), 18: (1, {'@': 290}), 1: (1, {'@': 290}), 47: (1, {'@': 290}), 48: (1, {'@': 290}), 22: (1, {'@': 290}), 25: (1, {'@': 290}), 26: (1, {'@': 290}), 2: (1, {'@': 290}), 29: (1, {'@': 290}), 49: (1, {'@': 290}), 50: (1, {'@': 290}), 51: (1, {'@': 290}), 33: (1, {'@': 290}), 52: (1, {'@': 290}), 34: (1, {'@': 290})}, 470: {1: (0, 496)}, 471: {1: (0, 497)}, 472: {16: (1, {'@': 291}), 35: (1, {'@': 291}), 36: (1, {'@': 291}), 20: (1, {'@': 291}), 21: (1, {'@': 291}), 23: (1, {'@': 291}), 11: (1, {'@': 291}), 24: (1, {'@': 291}), 37: (1, {'@': 291}), 27: (1, {'@': 291}), 38: (1, {'@': 291}), 30: (1, {'@': 291}), 17: (1, {'@': 291}), 31: (1, {'@': 291}), 39: (1, {'@': 291}), 40: (1, {'@': 291}), 41: (1, {'@': 291}), 32: (1, {'@': 291}), 42: (1, {'@': 291}), 3: (1, {'@': 291}), 4: (1, {'@': 291}), 43: (1, {'@': 291}), 44: (1, {'@': 291}), 45: (1, {'@': 291}), 46: (1, {'@': 291}), 18: (1, {'@': 291}), 1: (1, {'@': 291}), 47: (1, {'@': 291}), 48: (1, {'@': 291}), 22: (1, {'@': 291}), 25: (1, {'@': 291}), 26: (1, {'@': 291}), 2: (1, {'@': 291}), 29: (1, {'@': 291}), 49: (1, {'@': 291}), 50: (1, {'@': 291}), 51: (1, {'@': 291}), 33: (1, {'@': 291}), 52: (1, {'@': 291}), 34: (1, {'@': 291})}, 473: {16: (1, {'@': 292}), 35: (1, {'@': 292}), 36: (1, {'@': 292}), 20: (1, {'@': 292}), 21: (1, {'@': 292}), 23: (1, {'@': 292}), 11: (1, {'@': 292}), 24: (1, {'@': 292}), 37: (1, {'@': 292}), 27: (1, {'@': 292}), 38: (1, {'@': 292}), 30: (1, {'@': 292}), 17: (1, {'@': 292}), 31: (1, {'@': 292}), 39: (1, {'@': 292}), 40: (1, {'@': 292}), 41: (1, {'@': 292}), 32: (1, {'@': 292}), 42: (1, {'@': 292}), 3: (1, {'@': 292}), 4: (1, {'@': 292}), 43: (1, {'@': 292}), 44: (1, {'@': 292}), 45: (1, {'@': 292}), 46: (1, {'@': 292}), 18: (1, {'@': 292}), 1: (1, {'@': 292}), 47: (1, {'@': 292}), 48: (1, {'@': 292}), 22: (1, {'@': 292}), 25: (1, {'@': 292}), 26: (1, {'@': 292}), 2: (1, {'@': 292}), 29: (1, {'@': 292}), 49: (1, {'@': 292}), 50: (1, {'@': 292}), 51: (1, {'@': 292}), 33: (1, {'@': 292}), 52: (1, {'@': 292}), 34: (1, {'@': 292})}, 474: {16: (1, {'@': 293}), 35: (1, {'@': 293}), 36: (1, {'@': 293}), 20: (1, {'@': 293}), 21: (1, {'@': 293}), 23: (1, {'@': 293}), 11: (1, {'@': 293}), 24: (1, {'@': 293}), 37: (1, {'@': 293}), 27: (1, {'@': 293}), 38: (1, {'@': 293}), 30: (1, {'@': 293}), 17: (1, {'@': 293}), 31: (1, {'@': 293}), 39: (1, {'@': 293}), 40: (1, {'@': 293}), 41: (1, {'@': 293}), 32: (1, {'@': 293}), 42: (1, {'@': 293}), 3: (1, {'@': 293}), 4: (1, {'@': 293}), 43: (1, {'@': 293}), 44: (1, {'@': 293}), 45: (1, {'@': 293}), 46: (1, {'@': 293}), 18: (1, {'@': 293}), 1: (1, {'@': 293}), 47: (1, {'@': 293}), 48: (1, {'@': 293}), 22: (1, {'@': 293}), 25: (1, {'@': 293}), 26: (1, {'@': 293}), 2: (1, {'@': 293}), 29: (1, {'@': 293}), 49: (1, {'@': 293}), 50: (1, {'@': 293}), 51: (1, {'@': 293}), 33: (1, {'@': 293}), 52: (1, {'@': 293}), 34: (1, {'@': 293})}, 475: {1: (0, 498)}, 476: {16: (1, {'@': 294}), 35: (1, {'@': 294}), 36: (1, {'@': 294}), 20: (1, {'@': 294}), 21: (1, {'@': 294}), 23: (1, {'@': 294}), 11: (1, {'@': 294}), 24: (1, {'@': 294}), 37: (1, {'@': 294}), 27: (1, {'@': 294}), 38: (1, {'@': 294}), 30: (1, {'@': 294}), 17: (1, {'@': 294}), 31: (1, {'@': 294}), 39: (1, {'@': 294}), 40: (1, {'@': 294}), 41: (1, {'@': 294}), 32: (1, {'@': 294}), 42: (1, {'@': 294}), 3: (1, {'@': 294}), 4: (1, {'@': 294}), 43: (1, {'@': 294}), 44: (1, {'@': 294}), 45: (1, {'@': 294}), 46: (1, {'@': 294}), 18: (1, {'@': 294}), 1: (1, {'@': 294}), 47: (1, {'@': 294}), 48: (1, {'@': 294}), 22: (1, {'@': 294}), 25: (1, {'@': 294}), 26: (1, {'@': 294}), 2: (1, {'@': 294}), 29: (1, {'@': 294}), 49: (1, {'@': 294}), 50: (1, {'@': 294}), 51: (1, {'@': 294}), 33: (1, {'@': 294}), 52: (1, {'@': 294}), 34: (1, {'@': 294})}, 477: {16: (1, {'@': 295}), 35: (1, {'@': 295}), 36: (1, {'@': 295}), 20: (1, {'@': 295}), 21: (1, {'@': 295}), 23: (1, {'@': 295}), 11: (1, {'@': 295}), 24: (1, {'@': 295}), 37: (1, {'@': 295}), 27: (1, {'@': 295}), 38: (1, {'@': 295}), 30: (1, {'@': 295}), 17: (1, {'@': 295}), 31: (1, {'@': 295}), 39: (1, {'@': 295}), 40: (1, {'@': 295}), 41: (1, {'@': 295}), 32: (1, {'@': 295}), 42: (1, {'@': 295}), 3: (1, {'@': 295}), 4: (1, {'@': 295}), 43: (1, {'@': 295}), 44: (1, {'@': 295}), 45: (1, {'@': 295}), 46: (1, {'@': 295}), 18: (1, {'@': 295}), 1: (1, {'@': 295}), 47: (1, {'@': 295}), 48: (1, {'@': 295}), 22: (1, {'@': 295}), 25: (1, {'@': 295}), 26: (1, {'@': 295}), 2: (1, {'@': 295}), 29: (1, {'@': 295}), 49: (1, {'@': 295}), 50: (1, {'@': 295}), 51: (1, {'@': 295}), 33: (1, {'@': 295}), 52: (1, {'@': 295}), 34: (1, {'@': 295})}, 478: {16: (1, {'@': 296}), 35: (1, {'@': 296}), 36: (1, {'@': 296}), 20: (1, {'@': 296}), 21: (1, {'@': 296}), 23: (1, {'@': 296}), 11: (1, {'@': 296}), 24: (1, {'@': 296}), 37: (1, {'@': 296}), 27: (1, {'@': 296}), 38: (1, {'@': 296}), 30: (1, {'@': 296}), 17: (1, {'@': 296}), 31: (1, {'@': 296}), 39: (1, {'@': 296}), 40: (1, {'@': 296}), 41: (1, {'@': 296}), 32: (1, {'@': 296}), 42: (1, {'@': 296}), 3: (1, {'@': 296}), 4: (1, {'@': 296}), 43: (1, {'@': 296}), 44: (1, {'@': 296}), 45: (1, {'@': 296}), 46: (1, {'@': 296}), 18: (1, {'@': 296}), 1: (1, {'@': 296}), 47: (1, {'@': 296}), 48: (1, {'@': 296}), 22: (1, {'@': 296}), 25: (1, {'@': 296}), 26: (1, {'@': 296}), 2: (1, {'@': 296}), 29: (1, {'@': 296}), 49: (1, {'@': 296}), 50: (1, {'@': 296}), 51: (1, {'@': 296}), 33: (1, {'@': 296}), 52: (1, {'@': 296}), 34: (1, {'@': 296})}, 479: {1: (0, 499)}, 480: {16: (1, {'@': 297}), 35: (1, {'@': 297}), 36: (1, {'@': 297}), 20: (1, {'@': 297}), 21: (1, {'@': 297}), 23: (1, {'@': 297}), 11: (1, {'@': 297}), 24: (1, {'@': 297}), 37: (1, {'@': 297}), 27: (1, {'@': 297}), 38: (1, {'@': 297}), 30: (1, {'@': 297}), 17: (1, {'@': 297}), 31: (1, {'@': 297}), 39: (1, {'@': 297}), 40: (1, {'@': 297}), 41: (1, {'@': 297}), 32: (1, {'@': 297}), 42: (1, {'@': 297}), 3: (1, {'@': 297}), 4: (1, {'@': 297}), 43: (1, {'@': 297}), 44: (1, {'@': 297}), 45: (1, {'@': 297}), 46: (1, {'@': 297}), 18: (1, {'@': 297}), 1: (1, {'@': 297}), 47: (1, {'@': 297}), 48: (1, {'@': 297}), 22: (1, {'@': 297}), 25: (1, {'@': 297}), 26: (1, {'@': 297}), 2: (1, {'@': 297}), 29: (1, {'@': 297}), 49: (1, {'@': 297}), 50: (1, {'@': 297}), 51: (1, {'@': 297}), 33: (1, {'@': 297}), 52: (1, {'@': 297}), 34: (1, {'@': 297})}, 481: {16: (1, {'@': 298}), 35: (1, {'@': 298}), 36: (1, {'@': 298}), 20: (1, {'@': 298}), 21: (1, {'@': 298}), 23: (1, {'@': 298}), 11: (1, {'@': 298}), 24: (1, {'@': 298}), 37: (1, {'@': 298}), 27: (1, {'@': 298}), 38: (1, {'@': 298}), 30: (1, {'@': 298}), 17: (1, {'@': 298}), 31: (1, {'@': 298}), 39: (1, {'@': 298}), 40: (1, {'@': 298}), 41: (1, {'@': 298}), 32: (1, {'@': 298}), 42: (1, {'@': 298}), 3: (1, {'@': 298}), 4: (1, {'@': 298}), 43: (1, {'@': 298}), 44: (1, {'@': 298}), 45: (1, {'@': 298}), 46: (1, {'@': 298}), 18: (1, {'@': 298}), 1: (1, {'@': 298}), 47: (1, {'@': 298}), 48: (1, {'@': 298}), 22: (1, {'@': 298}), 25: (1, {'@': 298}), 26: (1, {'@': 298}), 2: (1, {'@': 298}), 29: (1, {'@': 298}), 49: (1, {'@': 298}), 50: (1, {'@': 298}), 51: (1, {'@': 298}), 33: (1, {'@': 298}), 52: (1, {'@': 298}), 34: (1, {'@': 298})}, 482: {18: (1, {'@': 299}), 20: (1, {'@': 299}), 22: (1, {'@': 299}), 11: (1, {'@': 299}), 24: (1, {'@': 299}), 25: (1, {'@': 299}), 26: (1, {'@': 299}), 2: (0, 9), 27: (1, {'@': 299}), 29: (1, {'@': 299}), 30: (1, {'@': 299}), 17: (1, {'@': 299}), 31: (1, {'@': 299}), 32: (1, {'@': 299}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 8: (0, 500)}, 483: {83: (0, 99), 38: (0, 100), 35: (0, 501), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 484: {18: (1, {'@': 300}), 20: (1, {'@': 300}), 22: (1, {'@': 300}), 11: (1, {'@': 300}), 24: (1, {'@': 300}), 25: (1, {'@': 300}), 26: (1, {'@': 300}), 2: (0, 9), 27: (1, {'@': 300}), 29: (1, {'@': 300}), 30: (1, {'@': 300}), 17: (1, {'@': 300}), 31: (1, {'@': 300}), 32: (1, {'@': 300}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 8: (0, 502)}, 485: {18: (1, {'@': 301}), 20: (1, {'@': 301}), 22: (1, {'@': 301}), 11: (1, {'@': 301}), 24: (1, {'@': 301}), 25: (1, {'@': 301}), 26: (1, {'@': 301}), 2: (1, {'@': 301}), 27: (1, {'@': 301}), 29: (1, {'@': 301}), 30: (1, {'@': 301}), 17: (1, {'@': 301}), 31: (1, {'@': 301}), 32: (1, {'@': 301}), 3: (1, {'@': 301}), 4: (1, {'@': 301})}, 486: {18: (1, {'@': 302}), 20: (1, {'@': 302}), 22: (1, {'@': 302}), 11: (1, {'@': 302}), 24: (1, {'@': 302}), 25: (1, {'@': 302}), 26: (1, {'@': 302}), 2: (1, {'@': 302}), 27: (1, {'@': 302}), 29: (1, {'@': 302}), 30: (1, {'@': 302}), 17: (1, {'@': 302}), 31: (1, {'@': 302}), 32: (1, {'@': 302}), 3: (1, {'@': 302}), 4: (1, {'@': 302})}, 487: {18: (1, {'@': 303}), 20: (1, {'@': 303}), 22: (1, {'@': 303}), 11: (1, {'@': 303}), 24: (1, {'@': 303}), 25: (1, {'@': 303}), 26: (1, {'@': 303}), 2: (0, 9), 27: (1, {'@': 303}), 29: (1, {'@': 303}), 30: (1, {'@': 303}), 17: (1, {'@': 303}), 31: (1, {'@': 303}), 32: (1, {'@': 303}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 8: (0, 503)}, 488: {83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 35: (0, 504), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 489: {32: (0, 31), 53: (0, 32), 18: (0, 33), 54: (0, 34), 5: (0, 35), 69: (0, 505), 55: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 22: (0, 40), 17: (0, 41), 59: (0, 42), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 31: (0, 47), 27: (0, 48), 11: (0, 10), 25: (0, 49), 64: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 26: (0, 55), 70: (0, 57), 71: (0, 58), 30: (0, 59), 20: (0, 60), 72: (0, 61), 73: (0, 62), 74: (0, 63), 24: (0, 64), 75: (0, 65), 29: (0, 66)}, 490: {83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 48: (0, 112), 35: (0, 506), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 491: {18: (1, {'@': 304}), 20: (1, {'@': 304}), 22: (1, {'@': 304}), 11: (1, {'@': 304}), 24: (1, {'@': 304}), 25: (1, {'@': 304}), 26: (1, {'@': 304}), 2: (0, 9), 27: (1, {'@': 304}), 29: (1, {'@': 304}), 30: (1, {'@': 304}), 17: (1, {'@': 304}), 31: (1, {'@': 304}), 32: (1, {'@': 304}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 8: (0, 507)}, 492: {18: (1, {'@': 305}), 20: (1, {'@': 305}), 22: (1, {'@': 305}), 11: (1, {'@': 305}), 24: (1, {'@': 305}), 25: (1, {'@': 305}), 26: (1, {'@': 305}), 2: (1, {'@': 305}), 27: (1, {'@': 305}), 29: (1, {'@': 305}), 30: (1, {'@': 305}), 17: (1, {'@': 305}), 31: (1, {'@': 305}), 32: (1, {'@': 305}), 3: (1, {'@': 305}), 4: (1, {'@': 305})}, 493: {18: (1, {'@': 306}), 20: (1, {'@': 306}), 22: (1, {'@': 306}), 11: (1, {'@': 306}), 24: (1, {'@': 306}), 25: (1, {'@': 306}), 26: (1, {'@': 306}), 2: (1, {'@': 306}), 27: (1, {'@': 306}), 29: (1, {'@': 306}), 30: (1, {'@': 306}), 17: (1, {'@': 306}), 31: (1, {'@': 306}), 32: (1, {'@': 306}), 3: (1, {'@': 306}), 4: (1, {'@': 306})}, 494: {16: (1, {'@': 307}), 35: (1, {'@': 307}), 36: (1, {'@': 307}), 20: (1, {'@': 307}), 21: (1, {'@': 307}), 23: (1, {'@': 307}), 11: (1, {'@': 307}), 24: (1, {'@': 307}), 37: (1, {'@': 307}), 27: (1, {'@': 307}), 38: (1, {'@': 307}), 30: (1, {'@': 307}), 17: (1, {'@': 307}), 31: (1, {'@': 307}), 39: (1, {'@': 307}), 40: (1, {'@': 307}), 41: (1, {'@': 307}), 32: (1, {'@': 307}), 42: (1, {'@': 307}), 3: (1, {'@': 307}), 4: (1, {'@': 307}), 43: (1, {'@': 307}), 44: (1, {'@': 307}), 45: (1, {'@': 307}), 46: (1, {'@': 307}), 18: (1, {'@': 307}), 1: (1, {'@': 307}), 47: (1, {'@': 307}), 48: (1, {'@': 307}), 22: (1, {'@': 307}), 25: (1, {'@': 307}), 26: (1, {'@': 307}), 2: (1, {'@': 307}), 29: (1, {'@': 307}), 49: (1, {'@': 307}), 50: (1, {'@': 307}), 51: (1, {'@': 307}), 33: (1, {'@': 307}), 52: (1, {'@': 307}), 34: (1, {'@': 307})}, 495: {1: (0, 508)}, 496: {16: (1, {'@': 308}), 35: (1, {'@': 308}), 36: (1, {'@': 308}), 20: (1, {'@': 308}), 21: (1, {'@': 308}), 23: (1, {'@': 308}), 11: (1, {'@': 308}), 24: (1, {'@': 308}), 37: (1, {'@': 308}), 27: (1, {'@': 308}), 38: (1, {'@': 308}), 30: (1, {'@': 308}), 17: (1, {'@': 308}), 31: (1, {'@': 308}), 39: (1, {'@': 308}), 40: (1, {'@': 308}), 41: (1, {'@': 308}), 32: (1, {'@': 308}), 42: (1, {'@': 308}), 3: (1, {'@': 308}), 4: (1, {'@': 308}), 43: (1, {'@': 308}), 44: (1, {'@': 308}), 45: (1, {'@': 308}), 46: (1, {'@': 308}), 18: (1, {'@': 308}), 1: (1, {'@': 308}), 47: (1, {'@': 308}), 48: (1, {'@': 308}), 22: (1, {'@': 308}), 25: (1, {'@': 308}), 26: (1, {'@': 308}), 2: (1, {'@': 308}), 29: (1, {'@': 308}), 49: (1, {'@': 308}), 50: (1, {'@': 308}), 51: (1, {'@': 308}), 33: (1, {'@': 308}), 52: (1, {'@': 308}), 34: (1, {'@': 308})}, 497: {16: (1, {'@': 309}), 35: (1, {'@': 309}), 36: (1, {'@': 309}), 20: (1, {'@': 309}), 21: (1, {'@': 309}), 23: (1, {'@': 309}), 11: (1, {'@': 309}), 24: (1, {'@': 309}), 37: (1, {'@': 309}), 27: (1, {'@': 309}), 38: (1, {'@': 309}), 30: (1, {'@': 309}), 17: (1, {'@': 309}), 31: (1, {'@': 309}), 39: (1, {'@': 309}), 40: (1, {'@': 309}), 41: (1, {'@': 309}), 32: (1, {'@': 309}), 42: (1, {'@': 309}), 3: (1, {'@': 309}), 4: (1, {'@': 309}), 43: (1, {'@': 309}), 44: (1, {'@': 309}), 45: (1, {'@': 309}), 46: (1, {'@': 309}), 18: (1, {'@': 309}), 1: (1, {'@': 309}), 47: (1, {'@': 309}), 48: (1, {'@': 309}), 22: (1, {'@': 309}), 25: (1, {'@': 309}), 26: (1, {'@': 309}), 2: (1, {'@': 309}), 29: (1, {'@': 309}), 49: (1, {'@': 309}), 50: (1, {'@': 309}), 51: (1, {'@': 309}), 33: (1, {'@': 309}), 52: (1, {'@': 309}), 34: (1, {'@': 309})}, 498: {16: (1, {'@': 310}), 35: (1, {'@': 310}), 36: (1, {'@': 310}), 20: (1, {'@': 310}), 21: (1, {'@': 310}), 23: (1, {'@': 310}), 11: (1, {'@': 310}), 24: (1, {'@': 310}), 37: (1, {'@': 310}), 27: (1, {'@': 310}), 38: (1, {'@': 310}), 30: (1, {'@': 310}), 17: (1, {'@': 310}), 31: (1, {'@': 310}), 39: (1, {'@': 310}), 40: (1, {'@': 310}), 41: (1, {'@': 310}), 32: (1, {'@': 310}), 42: (1, {'@': 310}), 3: (1, {'@': 310}), 4: (1, {'@': 310}), 43: (1, {'@': 310}), 44: (1, {'@': 310}), 45: (1, {'@': 310}), 46: (1, {'@': 310}), 18: (1, {'@': 310}), 1: (1, {'@': 310}), 47: (1, {'@': 310}), 48: (1, {'@': 310}), 22: (1, {'@': 310}), 25: (1, {'@': 310}), 26: (1, {'@': 310}), 2: (1, {'@': 310}), 29: (1, {'@': 310}), 49: (1, {'@': 310}), 50: (1, {'@': 310}), 51: (1, {'@': 310}), 33: (1, {'@': 310}), 52: (1, {'@': 310}), 34: (1, {'@': 310})}, 499: {16: (1, {'@': 311}), 35: (1, {'@': 311}), 36: (1, {'@': 311}), 20: (1, {'@': 311}), 21: (1, {'@': 311}), 23: (1, {'@': 311}), 11: (1, {'@': 311}), 24: (1, {'@': 311}), 37: (1, {'@': 311}), 27: (1, {'@': 311}), 38: (1, {'@': 311}), 30: (1, {'@': 311}), 17: (1, {'@': 311}), 31: (1, {'@': 311}), 39: (1, {'@': 311}), 40: (1, {'@': 311}), 41: (1, {'@': 311}), 32: (1, {'@': 311}), 42: (1, {'@': 311}), 3: (1, {'@': 311}), 4: (1, {'@': 311}), 43: (1, {'@': 311}), 44: (1, {'@': 311}), 45: (1, {'@': 311}), 46: (1, {'@': 311}), 18: (1, {'@': 311}), 1: (1, {'@': 311}), 47: (1, {'@': 311}), 48: (1, {'@': 311}), 22: (1, {'@': 311}), 25: (1, {'@': 311}), 26: (1, {'@': 311}), 2: (1, {'@': 311}), 29: (1, {'@': 311}), 49: (1, {'@': 311}), 50: (1, {'@': 311}), 51: (1, {'@': 311}), 33: (1, {'@': 311}), 52: (1, {'@': 311}), 34: (1, {'@': 311})}, 500: {18: (1, {'@': 312}), 20: (1, {'@': 312}), 22: (1, {'@': 312}), 11: (1, {'@': 312}), 24: (1, {'@': 312}), 25: (1, {'@': 312}), 26: (1, {'@': 312}), 2: (1, {'@': 312}), 27: (1, {'@': 312}), 29: (1, {'@': 312}), 30: (1, {'@': 312}), 17: (1, {'@': 312}), 31: (1, {'@': 312}), 32: (1, {'@': 312}), 3: (1, {'@': 312}), 4: (1, {'@': 312})}, 501: {18: (1, {'@': 313}), 20: (1, {'@': 313}), 22: (1, {'@': 313}), 11: (1, {'@': 313}), 24: (1, {'@': 313}), 25: (1, {'@': 313}), 26: (1, {'@': 313}), 2: (0, 9), 27: (1, {'@': 313}), 29: (1, {'@': 313}), 30: (1, {'@': 313}), 17: (1, {'@': 313}), 31: (1, {'@': 313}), 32: (1, {'@': 313}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 8: (0, 509)}, 502: {18: (1, {'@': 314}), 20: (1, {'@': 314}), 22: (1, {'@': 314}), 11: (1, {'@': 314}), 24: (1, {'@': 314}), 25: (1, {'@': 314}), 26: (1, {'@': 314}), 2: (1, {'@': 314}), 27: (1, {'@': 314}), 29: (1, {'@': 314}), 30: (1, {'@': 314}), 17: (1, {'@': 314}), 31: (1, {'@': 314}), 32: (1, {'@': 314}), 3: (1, {'@': 314}), 4: (1, {'@': 314})}, 503: {18: (1, {'@': 315}), 20: (1, {'@': 315}), 22: (1, {'@': 315}), 11: (1, {'@': 315}), 24: (1, {'@': 315}), 25: (1, {'@': 315}), 26: (1, {'@': 315}), 2: (1, {'@': 315}), 27: (1, {'@': 315}), 29: (1, {'@': 315}), 30: (1, {'@': 315}), 17: (1, {'@': 315}), 31: (1, {'@': 315}), 32: (1, {'@': 315}), 3: (1, {'@': 315}), 4: (1, {'@': 315})}, 504: {18: (1, {'@': 316}), 20: (1, {'@': 316}), 22: (1, {'@': 316}), 11: (1, {'@': 316}), 24: (1, {'@': 316}), 25: (1, {'@': 316}), 26: (1, {'@': 316}), 2: (0, 9), 27: (1, {'@': 316}), 29: (1, {'@': 316}), 30: (1, {'@': 316}), 17: (1, {'@': 316}), 31: (1, {'@': 316}), 32: (1, {'@': 316}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 8: (0, 510)}, 505: {83: (0, 99), 38: (0, 100), 49: (0, 101), 40: (0, 102), 50: (0, 103), 41: (0, 104), 36: (0, 106), 51: (0, 107), 22: (0, 108), 84: (0, 109), 43: (0, 110), 37: (0, 111), 35: (0, 511), 48: (0, 112), 47: (0, 113), 39: (0, 114), 42: (0, 115)}, 506: {18: (1, {'@': 317}), 20: (1, {'@': 317}), 22: (1, {'@': 317}), 11: (1, {'@': 317}), 24: (1, {'@': 317}), 25: (1, {'@': 317}), 26: (1, {'@': 317}), 2: (0, 9), 27: (1, {'@': 317}), 29: (1, {'@': 317}), 30: (1, {'@': 317}), 17: (1, {'@': 317}), 31: (1, {'@': 317}), 32: (1, {'@': 317}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 8: (0, 512)}, 507: {18: (1, {'@': 318}), 20: (1, {'@': 318}), 22: (1, {'@': 318}), 11: (1, {'@': 318}), 24: (1, {'@': 318}), 25: (1, {'@': 318}), 26: (1, {'@': 318}), 2: (1, {'@': 318}), 27: (1, {'@': 318}), 29: (1, {'@': 318}), 30: (1, {'@': 318}), 17: (1, {'@': 318}), 31: (1, {'@': 318}), 32: (1, {'@': 318}), 3: (1, {'@': 318}), 4: (1, {'@': 318})}, 508: {16: (1, {'@': 319}), 35: (1, {'@': 319}), 36: (1, {'@': 319}), 20: (1, {'@': 319}), 21: (1, {'@': 319}), 23: (1, {'@': 319}), 11: (1, {'@': 319}), 24: (1, {'@': 319}), 37: (1, {'@': 319}), 27: (1, {'@': 319}), 38: (1, {'@': 319}), 30: (1, {'@': 319}), 17: (1, {'@': 319}), 31: (1, {'@': 319}), 39: (1, {'@': 319}), 40: (1, {'@': 319}), 41: (1, {'@': 319}), 32: (1, {'@': 319}), 42: (1, {'@': 319}), 3: (1, {'@': 319}), 4: (1, {'@': 319}), 43: (1, {'@': 319}), 44: (1, {'@': 319}), 45: (1, {'@': 319}), 46: (1, {'@': 319}), 18: (1, {'@': 319}), 1: (1, {'@': 319}), 47: (1, {'@': 319}), 48: (1, {'@': 319}), 22: (1, {'@': 319}), 25: (1, {'@': 319}), 26: (1, {'@': 319}), 2: (1, {'@': 319}), 29: (1, {'@': 319}), 49: (1, {'@': 319}), 50: (1, {'@': 319}), 51: (1, {'@': 319}), 33: (1, {'@': 319}), 52: (1, {'@': 319}), 34: (1, {'@': 319})}, 509: {18: (1, {'@': 320}), 20: (1, {'@': 320}), 22: (1, {'@': 320}), 11: (1, {'@': 320}), 24: (1, {'@': 320}), 25: (1, {'@': 320}), 26: (1, {'@': 320}), 2: (1, {'@': 320}), 27: (1, {'@': 320}), 29: (1, {'@': 320}), 30: (1, {'@': 320}), 17: (1, {'@': 320}), 31: (1, {'@': 320}), 32: (1, {'@': 320}), 3: (1, {'@': 320}), 4: (1, {'@': 320})}, 510: {18: (1, {'@': 321}), 20: (1, {'@': 321}), 22: (1, {'@': 321}), 11: (1, {'@': 321}), 24: (1, {'@': 321}), 25: (1, {'@': 321}), 26: (1, {'@': 321}), 2: (1, {'@': 321}), 27: (1, {'@': 321}), 29: (1, {'@': 321}), 30: (1, {'@': 321}), 17: (1, {'@': 321}), 31: (1, {'@': 321}), 32: (1, {'@': 321}), 3: (1, {'@': 321}), 4: (1, {'@': 321})}, 511: {18: (1, {'@': 322}), 20: (1, {'@': 322}), 22: (1, {'@': 322}), 11: (1, {'@': 322}), 24: (1, {'@': 322}), 25: (1, {'@': 322}), 26: (1, {'@': 322}), 2: (0, 9), 27: (1, {'@': 322}), 29: (1, {'@': 322}), 30: (1, {'@': 322}), 17: (1, {'@': 322}), 31: (1, {'@': 322}), 32: (1, {'@': 322}), 3: (0, 5), 4: (0, 4), 6: (0, 2), 8: (0, 513)}, 512: {18: (1, {'@': 323}), 20: (1, {'@': 323}), 22: (1, {'@': 323}), 11: (1, {'@': 323}), 24: (1, {'@': 323}), 25: (1, {'@': 323}), 26: (1, {'@': 323}), 2: (1, {'@': 323}), 27: (1, {'@': 323}), 29: (1, {'@': 323}), 30: (1, {'@': 323}), 17: (1, {'@': 323}), 31: (1, {'@': 323}), 32: (1, {'@': 323}), 3: (1, {'@': 323}), 4: (1, {'@': 323})}, 513: {18: (1, {'@': 324}), 20: (1, {'@': 324}), 22: (1, {'@': 324}), 11: (1, {'@': 324}), 24: (1, {'@': 324}), 25: (1, {'@': 324}), 26: (1, {'@': 324}), 2: (1, {'@': 324}), 27: (1, {'@': 324}), 29: (1, {'@': 324}), 30: (1, {'@': 324}), 17: (1, {'@': 324}), 31: (1, {'@': 324}), 32: (1, {'@': 324}), 3: (1, {'@': 324}), 4: (1, {'@': 324})}}, 'start_states': {'start': 0}, 'end_states': {'start': 27}}, 'lexer_conf': {'tokens': [{'@': 0}, {'@': 1}, {'@': 2}, {'@': 3}, {'@': 4}, {'@': 5}, {'@': 6}, {'@': 7}, {'@': 8}, {'@': 9}, {'@': 10}, {'@': 11}, {'@': 12}, {'@': 13}, {'@': 14}, {'@': 15}, {'@': 16}, {'@': 17}, {'@': 18}, {'@': 19}, {'@': 20}, {'@': 21}, {'@': 22}, {'@': 23}, {'@': 24}, {'@': 25}, {'@': 26}, {'@': 27}, {'@': 28}, {'@': 29}, {'@': 30}, {'@': 31}, {'@': 32}, {'@': 33}, {'@': 34}, {'@': 35}, {'@': 36}, {'@': 37}, {'@': 38}, {'@': 39}, {'@': 40}, {'@': 41}, {'@': 42}, {'@': 43}, {'@': 44}], 'ignore': ['__IGNORE_0', '__IGNORE_1'], '__type__': 'LexerConf'}, 'start': ['start'], '__type__': 'LALR_TraditionalLexer'}, 'rules': [{'@': 98}, {'@': 64}, {'@': 65}, {'@': 51}, {'@': 47}, {'@': 45}, {'@': 113}, {'@': 168}, {'@': 167}, {'@': 206}, {'@': 125}, {'@': 205}, {'@': 124}, {'@': 132}, {'@': 133}, {'@': 154}, {'@': 46}, {'@': 53}, {'@': 68}, {'@': 95}, {'@': 93}, {'@': 204}, {'@': 79}, {'@': 72}, {'@': 106}, {'@': 123}, {'@': 116}, {'@': 117}, {'@': 121}, {'@': 108}, {'@': 109}, {'@': 119}, {'@': 110}, {'@': 115}, {'@': 114}, {'@': 118}, {'@': 122}, {'@': 111}, {'@': 112}, {'@': 120}, {'@': 166}, {'@': 141}, {'@': 203}, {'@': 165}, {'@': 164}, {'@': 140}, {'@': 84}, {'@': 85}, {'@': 89}, {'@': 83}, {'@': 76}, {'@': 75}, {'@': 78}, {'@': 69}, {'@': 74}, {'@': 94}, {'@': 97}, {'@': 70}, {'@': 87}, {'@': 86}, {'@': 73}, {'@': 77}, {'@': 90}, {'@': 71}, {'@': 96}, {'@': 88}, {'@': 81}, {'@': 80}, {'@': 202}, {'@': 138}, {'@': 139}, {'@': 268}, {'@': 248}, {'@': 249}, {'@': 222}, {'@': 247}, {'@': 221}, {'@': 181}, {'@': 250}, {'@': 224}, {'@': 225}, {'@': 183}, {'@': 223}, {'@': 182}, {'@': 147}, {'@': 245}, {'@': 215}, {'@': 216}, {'@': 175}, {'@': 217}, {'@': 177}, {'@': 145}, {'@': 220}, {'@': 179}, {'@': 180}, {'@': 146}, {'@': 173}, {'@': 143}, {'@': 126}, {'@': 127}, {'@': 99}, {'@': 232}, {'@': 190}, {'@': 191}, {'@': 151}, {'@': 192}, {'@': 153}, {'@': 155}, {'@': 134}, {'@': 105}, {'@': 152}, {'@': 131}, {'@': 157}, {'@': 135}, {'@': 92}, {'@': 82}, {'@': 236}, {'@': 199}, {'@': 200}, {'@': 162}, {'@': 201}, {'@': 163}, {'@': 137}, {'@': 234}, {'@': 194}, {'@': 235}, {'@': 195}, {'@': 196}, {'@': 158}, {'@': 197}, {'@': 160}, {'@': 198}, {'@': 161}, {'@': 159}, {'@': 136}, {'@': 101}, {'@': 102}, {'@': 103}, {'@': 104}, {'@': 231}, {'@': 189}, {'@': 188}, {'@': 149}, {'@': 130}, {'@': 129}, {'@': 100}, {'@': 185}, {'@': 148}, {'@': 289}, {'@': 270}, {'@': 271}, {'@': 254}, {'@': 272}, {'@': 255}, {'@': 228}, {'@': 269}, {'@': 252}, {'@': 253}, {'@': 227}, {'@': 251}, {'@': 226}, {'@': 184}, {'@': 260}, {'@': 238}, {'@': 239}, {'@': 211}, {'@': 240}, {'@': 212}, {'@': 172}, {'@': 237}, {'@': 207}, {'@': 208}, {'@': 169}, {'@': 210}, {'@': 171}, {'@': 142}, {'@': 319}, {'@': 307}, {'@': 308}, {'@': 290}, {'@': 309}, {'@': 291}, {'@': 273}, {'@': 310}, {'@': 293}, {'@': 292}, {'@': 274}, {'@': 294}, {'@': 275}, {'@': 256}, {'@': 311}, {'@': 296}, {'@': 295}, {'@': 276}, {'@': 297}, {'@': 277}, {'@': 257}, {'@': 298}, {'@': 278}, {'@': 279}, {'@': 258}, {'@': 280}, {'@': 259}, {'@': 233}, {'@': 324}, {'@': 322}, {'@': 323}, {'@': 317}, {'@': 321}, {'@': 316}, {'@': 315}, {'@': 303}, {'@': 318}, {'@': 304}, {'@': 305}, {'@': 285}, {'@': 306}, {'@': 287}, {'@': 286}, {'@': 265}, {'@': 288}, {'@': 267}, {'@': 266}, {'@': 244}, {'@': 320}, {'@': 313}, {'@': 312}, {'@': 299}, {'@': 314}, {'@': 300}, {'@': 301}, {'@': 281}, {'@': 302}, {'@': 283}, {'@': 282}, {'@': 261}, {'@': 284}, {'@': 262}, {'@': 263}, {'@': 241}, {'@': 264}, {'@': 242}, {'@': 243}, {'@': 213}, {'@': 209}, {'@': 170}, {'@': 54}, {'@': 50}, {'@': 55}, {'@': 63}, {'@': 62}, {'@': 61}, {'@': 57}, {'@': 56}, {'@': 67}, {'@': 66}, {'@': 48}, {'@': 52}, {'@': 49}, {'@': 58}, {'@': 60}, {'@': 59}, {'@': 91}, {'@': 107}, {'@': 219}, {'@': 178}, {'@': 174}, {'@': 144}, {'@': 246}, {'@': 214}, {'@': 218}, {'@': 176}, {'@': 156}, {'@': 193}, {'@': 128}, {'@': 150}, {'@': 187}, {'@': 186}, {'@': 229}, {'@': 230}], 'options': {'debug': False, 'keep_all_tokens': False, 'tree_class': None, 'cache_grammar': False, 'postlex': None, 'parser': 'lalr', 'lexer': 'standard', 'transformer': None, 'start': ['start'], 'profile': False, 'priority': None, 'ambiguity': 'auto', 'propagate_positions': False, 'lexer_callbacks': {}, 'maybe_placeholders': False, 'edit_terminals': None}, '__type__': 'Lark'})
MEMO = ({0: {'name': 'STRING_LIT', 'pattern': {'value': '\\"(?:(?:(?:(?:(?!\\${)([^"\\\\]|\\\\.))+)+|\\$\\{[^}]+\\}))*\\"', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 1: {'name': 'DECIMAL', 'pattern': {'value': '[0-9]', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 2: {'name': 'EXP_MARK', 'pattern': {'value': '(?:e|E)(?:(?:\\+|\\-))?', 'flags': [], '_width': [1, 2], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 3: {'name': '__IGNORE_0', 'pattern': {'value': '[ \t]+', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 4: {'name': '__IGNORE_1', 'pattern': {'value': '\\/\\*(.|\n)*?(\\*\\/)', 'flags': [], '_width': [4, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 5: {'name': 'EQUAL', 'pattern': {'value': '=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 6: {'name': 'LBRACE', 'pattern': {'value': '{', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 7: {'name': 'RBRACE', 'pattern': {'value': '}', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 8: {'name': 'COMMA', 'pattern': {'value': ',', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 9: {'name': '__ANON_0', 'pattern': {'value': '\n', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 10: {'name': '__ANON_1', 'pattern': {'value': '#.*\n', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 11: {'name': '__ANON_2', 'pattern': {'value': '\\/\\/.*\n', 'flags': [], '_width': [3, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 12: {'name': '__ANON_3', 'pattern': {'value': '[a-zA-Z_][a-zA-Z0-9_-]*', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 13: {'name': 'QMARK', 'pattern': {'value': '?', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 14: {'name': 'COLON', 'pattern': {'value': ':', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 15: {'name': 'MINUS', 'pattern': {'value': '-', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 16: {'name': 'BANG', 'pattern': {'value': '!', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 17: {'name': '__ANON_4', 'pattern': {'value': '==', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 18: {'name': '__ANON_5', 'pattern': {'value': '!=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 19: {'name': 'LESSTHAN', 'pattern': {'value': '<', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 20: {'name': 'MORETHAN', 'pattern': {'value': '>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 21: {'name': '__ANON_6', 'pattern': {'value': '<=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 22: {'name': '__ANON_7', 'pattern': {'value': '>=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 23: {'name': 'STAR', 'pattern': {'value': '*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 24: {'name': 'SLASH', 'pattern': {'value': '/', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 25: {'name': 'PERCENT', 'pattern': {'value': '%', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 26: {'name': '__ANON_8', 'pattern': {'value': '&&', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 27: {'name': '__ANON_9', 'pattern': {'value': '||', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 28: {'name': 'PLUS', 'pattern': {'value': '+', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 29: {'name': 'LPAR', 'pattern': {'value': '(', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 30: {'name': 'RPAR', 'pattern': {'value': ')', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 31: {'name': 'TRUE', 'pattern': {'value': 'true', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 32: {'name': 'FALSE', 'pattern': {'value': 'false', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 33: {'name': 'NULL', 'pattern': {'value': 'null', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 34: {'name': 'DOT', 'pattern': {'value': '.', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 35: {'name': 'LSQB', 'pattern': {'value': '[', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 36: {'name': 'RSQB', 'pattern': {'value': ']', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 37: {'name': '__ANON_10', 'pattern': {'value': '<<(?P<heredoc>[a-zA-Z][a-zA-Z0-9._-]+)\n(?:.|\n)+?\n+\\s*(?P=heredoc)', 'flags': [], '_width': [9, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 38: {'name': '__ANON_11', 'pattern': {'value': '<<-(?P<heredoc_trim>[a-zA-Z][a-zA-Z0-9._-]+)\n(?:.|\n)+?\n+\\s*(?P=heredoc_trim)', 'flags': [], '_width': [10, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 39: {'name': '__ANON_12', 'pattern': {'value': '...', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 40: {'name': '__ANON_13', 'pattern': {'value': '.*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 41: {'name': '__ANON_14', 'pattern': {'value': '=>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 42: {'name': 'FOR', 'pattern': {'value': 'for', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 43: {'name': 'IN', 'pattern': {'value': 'in', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 44: {'name': 'IF', 'pattern': {'value': 'if', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 45: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 46: {'origin': {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 47: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 48: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 49: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 50: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'block', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 51: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 52: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 53: {'origin': {'name': 'identifier', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_3', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 54: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 55: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'one_line_block', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 56: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 57: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 58: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 59: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 60: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 61: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'one_line_block', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 62: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'block', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 63: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 64: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 65: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 66: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 67: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 68: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 69: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'object', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 70: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 71: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_object_expr', '__type__': 'NonTerminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 72: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_op', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 73: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 74: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'function_call', '__type__': 'NonTerminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 75: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 76: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'int_lit', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 77: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 78: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'tuple', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 79: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'unary_op', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 80: {'origin': {'name': 'int_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 81: {'origin': {'name': 'null_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'NULL', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 82: {'origin': {'name': 'heredoc_template_trim', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_11', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 83: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'float_lit', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 84: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'true_lit', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 85: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'false_lit', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 86: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template_trim', '__type__': 'NonTerminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 87: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 88: {'origin': {'name': 'false_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FALSE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 89: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'null_lit', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 90: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_tuple_expr', '__type__': 'NonTerminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 91: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 92: {'origin': {'name': 'heredoc_template', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_10', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 93: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'conditional', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 94: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index_expr_term', '__type__': 'NonTerminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 95: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'operation', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 96: {'origin': {'name': 'true_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'TRUE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 97: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 98: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 99: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 100: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 101: {'origin': {'name': 'index_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 102: {'origin': {'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 103: {'origin': {'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'attr_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 104: {'origin': {'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'full_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 105: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 106: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 107: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 108: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LESSTHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 109: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MORETHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 110: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_7', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 111: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_8', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 112: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_9', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 113: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 114: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 115: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 116: {'origin': {'name': 'binary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'binary_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 117: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_4', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 118: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'SLASH', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 119: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_6', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 120: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PLUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 121: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_5', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 122: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PERCENT', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 123: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'BANG', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 124: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 125: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 126: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 127: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 128: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 129: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_6', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 130: {'origin': {'name': 'get_attr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 131: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 132: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 133: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 134: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 135: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 136: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 137: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 138: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 139: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 140: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 141: {'origin': {'name': 'binary_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_operator', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 142: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 143: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 144: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 145: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 146: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 147: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 148: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 149: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 150: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_6', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 151: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 152: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 153: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 154: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 155: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 156: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 157: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 158: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 159: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 160: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 161: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 162: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 163: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 164: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 165: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 166: {'origin': {'name': 'binary_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_operator', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 167: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 168: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 169: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 170: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 171: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 172: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 173: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 174: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 175: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 176: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': None, '__type__': 'Rule'}, 177: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 178: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 179: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 180: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 181: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 182: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 183: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 184: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 185: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_7', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 186: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 187: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 188: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 189: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 190: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 191: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 192: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 193: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 194: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 195: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 196: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 197: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 198: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 199: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 200: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 201: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 202: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 203: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 204: {'origin': {'name': 'conditional', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'QMARK', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 205: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 206: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 207: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 208: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 209: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 210: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 211: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 212: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 213: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 39, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 214: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 215: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 216: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 217: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 218: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': None, '__type__': 'Rule'}, 219: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 220: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 221: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 222: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 223: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 224: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 225: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 226: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 227: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 228: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 229: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 230: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 231: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 232: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 233: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 234: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 235: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 236: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 237: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 238: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 239: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 240: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 241: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 35, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 242: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 37, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 243: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 38, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 244: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 245: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 246: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 247: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 248: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 249: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 250: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 251: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 252: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 253: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 254: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 255: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 256: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 257: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 258: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 259: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 260: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 261: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 31, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 262: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 33, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 263: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 34, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 264: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 36, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 265: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 266: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 267: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 268: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 269: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 270: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 271: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 272: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 273: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 274: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 275: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 276: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 277: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 278: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 279: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 280: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 281: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 282: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 30, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 283: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 284: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 32, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 285: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 286: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 287: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 288: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 289: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 290: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 291: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 292: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 293: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 294: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 295: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 296: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 297: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 298: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 299: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 300: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 301: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 302: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 303: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 304: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 305: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 306: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 307: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 308: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 309: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 310: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 311: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 312: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 313: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 314: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 315: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 316: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 317: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 318: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 319: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 320: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 321: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 322: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 323: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 324: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}})

def Lark_StandAlone(transformer=None, postlex=None):
  namespace = {'Rule': Rule, 'TerminalDef': TerminalDef}
  return Lark.deserialize(DATA, namespace, MEMO, transformer=transformer, postlex=postlex)

